<?php
	global $wpdb;
	include_once('functions.php');
	$userInfo = getWPNMUserInfo();
	if(trim($userInfo->timeZONE)){
		date_default_timezone_set($userInfo->timeZONE);
	}
	$uploadUrl = substr(dirname(__FILE__),0,strrpos(dirname(__FILE__),'/')).'/uploads/';
	$pluginUrl = trim(plugin_dir_url(__FILE__),'/');
	$pluginUrl = substr($pluginUrl, 0, strrpos($pluginUrl,'/')).'/';
	$action = $_REQUEST['cmd'];
	$table_numbers = $wpdb->prefix . "nm_phone_numbers";

	if($action=='get_toll_free_numbers'){
		$params = array(
			'country_code' => 'US',
			'type' => 'TollFree',
			'area_code' => '',
			'Contains' => '',
			'InRegion' => ''
		);
		searchWPNMNumbers($userInfo,$params);
	}
	if($action=='get_local_number'){
		$area_code = $_REQUEST['areacode'];
		$state = $_REQUEST['state'];
		$params = array(
			'country_code' => 'US',
			'type' => 'Local',
			'area_code' => $area_code,
			'Contains' => '',
			'InRegion' => $state
		);
		searchWPNMNumbers($userInfo,$params);
	}
	if($action == 'get_can_number'){
		$area_code = $_REQUEST['areacode'];
		$state = $_REQUEST['state'];
		$params = array(
			'country_code' => 'CA',
			'type' => 'Local',
			'area_code' => '',
			'Contains' => $area_code,
			'InRegion' => $state
		);
		searchWPNMNumbers($userInfo,$params);
	}
	if($action == 'get_uk_numbers'){
		$params = array(
			'country_code' => 'GB',
			'type' => 'Local',
			'area_code' => '',
			'Contains' => ''
		);
		searchWPNMNumbers($userInfo,$params);
	}
	if($action == 'get_exist_numbers'){
		getExistingNumbers($userInfo);
	}
	if($action=='save_nm_chat_sms'){
		$data = array(
			'subs_id' => wpnmDBin($_REQUEST['subs_id']),
			'from_number' => wpnmDBin($_REQUEST['fromNum']),
			'to_number' => wpnmDBin($_REQUEST['to_num']),
			'text' => wpnmDBin($_REQUEST['chatWord']),
			'direction' => wpnmDBin('out'),
			'msg_date' => wpnmDBin(date('Y-m-d H:i:s'))
		);
		$wpdb->insert($wpdb->prefix."nm_chat_history",$data);
		$to = $_REQUEST['to_num'];
		$from = $_REQUEST['fromNum'];
		$message = $_REQUEST['chatWord'];
		if($userInfo->sms_gateway=='twilio'){
			try{
				$data = array(
					"To" => $to,
					"From" => $from,
					"Body" => $message
				);
				$url = "https://".$userInfo->AccountSid.":".$userInfo->AuthTocken."@api.twilio.com/2010-04-01/Accounts/".$userInfo->AccountSid."/Messages.json";
				$ch = curl_init();
				curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
				curl_setopt($ch, CURLOPT_URL, $url);
				curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
				curl_setopt($ch, CURLOPT_POST, true);
				curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
				$response = curl_exec($ch);
				$response = json_decode($response,true);
				$smsSid = $response['sid'];
			}catch (Services_Twilio_RestException $e) {
				$smsSid = $e->getMessage();
			}
		}
		else if($userInfo->sms_gateway=='plivo'){
			$url = 'https://api.plivo.com/v1/Account/'.$userInfo->plivo_auth_id.'/Message/';
			$data = array("src"=>$from,"dst"=>$to,"text"=>$message);
			$ch = curl_init();
			curl_setopt($ch,CURLOPT_USERPWD,$userInfo->plivo_auth_id.":".$userInfo->plivo_auth_token);
			curl_setopt($ch, CURLOPT_URL,$url);
			curl_setopt($ch, CURLOPT_POST, true);
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
			curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
			curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
			curl_setopt($ch, CURLOPT_USERAGENT, 'Mozilla/5.0 (Windows NT 6.1; rv:6.0) Gecko/20110814 Firefox/6.0');
			$request = curl_exec($ch);
			curl_close($ch);
			$response = json_decode($request);
			if($response->message_uuid[0]!=''){
				$smsSid = $response->message_uuid[0];
			}else{
				$smsSid = 'Failed.';
			}
		}
		else if($userInfo->sms_gateway=='nexmo'){
			$url = 'https://rest.nexmo.com/sms/json?' . http_build_query(array(
				  'api_key' =>  $userInfo->nexmo_api_key,
				  'api_secret' => $userInfo->nexmo_api_secret,
				  'to' => $to,
				  'from' => $from,
				  'text' => $message
			));
			$ch = curl_init($url);
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
			$response = curl_exec($ch);
			$response = json_decode(curl_exec($ch),true);
			if($response['messages'][0]['status']=='0'){
				$smsSid = $response['messages'][0]['message-id'];
			}else{
				$smsSid = $response['messages'][0]['error-text'];
			}
		}
	}
	if($action=='load_nm_chat'){
		$phoneID = $_REQUEST['phoneID'];
		$hangouts = $wpdb->get_results("select * from ".$wpdb->prefix."nm_chat_history where subs_id='".$phoneID."' order by id asc");
		if($wpdb->num_rows){
			foreach($hangouts as $msg){
				if($msg->direction=='in'){
				?>
					<div class="bubble darker">
						<span class="avatar-right"><?php echo DBout($msg->from_number)?></span><br />
						<div align="right">
							<?php echo DBout($msg->text)?>
						</div>
						<span class="time-left"><?php echo wpnmTimeAgo($msg->msg_date,false)?></span>
					</div>
				<?php
				}else{
				?>
					<div class="bubble">
						<span class="avatar-left"><?php echo 'Admin '.DBout($msg->from_number)?></span>
						<div align="left">
							<?php echo DBout($msg->text)?>
						</div>
						<span class="time-right"><?php echo wpnmTimeAgo($msg->msg_date,false)?></span>
					</div>
				<?php
				}
				$wpdb->query("update ".$wpdb->prefix."nm_chat_history set is_read=".wpnmDBin('0')." where id='".$msg->id."'");
			}
		}else{

		}
	}
	if($action=='search_plivo_local_numbers'){
		$pattren = $_REQUEST['areacode'];
		$state   = $_REQUEST['state'];
		$plivoAuthID	= $userInfo->plivo_auth_id;
		$plivoAuthToken = $userInfo->plivo_auth_token;
		$plivoAppID     = $userInfo->plivo_app_id;
		$json = searchPlivoNewNumbers($plivoAuthID,$plivoAuthToken,$pattren,$state);
		$array = json_decode($json,true);
		for($i=0;$i<count($array['objects']);$i++){
			echo DBout('<option value="'.$array['objects'][$i]['number'].'">'.$array['objects'][$i]['number'].'</option>');
		}
	}
	if($action=='buy_plivo_local_number'){
		$phone = $_REQUEST['phone_number'];
		$authID = $userInfo->plivo_auth_id;
		$authToken = $userInfo->plivo_auth_token;
		if(trim($userInfo->plivo_app_id)==''){
			$appID = createPlivoApplication($userInfo);
		}else{
			$appID = trim($userInfo->plivo_app_id);
		}
		$res = buyPlivoNumber($authID,$authToken,$phone,$appID);
		mail('ahsan@nimblewebsolutions.com','buy plivo',print_r($res,true));
	}

	if($action=="get_number_info"){
		$numID = $_REQUEST['numID'];
		$query = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."nm_user_phone_numbers WHERE id='".$numID."'");
		if($wpdb->num_rows>0){
			$name = 'N/A';
			$DOB  = 'N/A';
			if(trim($query->Name)!='')
				$name = $query->Name;
			if(trim($query->date_of_birth)!='')
				$DOB = $query->date_of_birth;
			echo DBout('Name: '.$name);
			echo DBout('<br>');
			echo DBout('D.O.B: '.DBout($DOB));
		}
	}

	if($action == 'get_plivo_exist_numbers'){
		$plivoAuthID	= $userInfo->plivo_auth_id;
		$plivoAuthToken = $userInfo->plivo_auth_token;
		$json = getPlivoExistingNumbers($plivoAuthID,$plivoAuthToken);
		$array = json_decode($json,true);
		$totalNumbers = count($array['objects']);
		if($totalNumbers>0){
			for($i=0;$i<$totalNumbers;$i++){
				echo DBout('<option value="'.DBout($array['objects'][$i]['carrier']).','.DBout($array['objects'][$i]['number']).'">'.DBout($array['objects'][$i]['number']).'</option>');
			}
		}else{
			echo DBout('<option value="">No numbers exists.</option>');
		}
	}

if ($action == 'get_areacodes') {
    $state = $_REQUEST['state'];
    $table = $wpdb->prefix . "nm_area_codes";
    $query = $wpdb->get_results("SELECT * FROM $table WHERE StateCode = '" . $state . "'");
?>
    <?php
    foreach ($query as $result => $value) { ?>
        <option value="<?= DBout($value->AreaCode) ?>"><?=DBout($value->AreaCode)?></option>
        <?php
    }

}
if ($action == 'get_group_numbers') {
    $group_id = $_REQUEST['id'];
    $table_user_phone_numbers = $wpdb->prefix . 'nm_user_phone_numbers';
    $table_user_gA = $wpdb->prefix . 'nm_phone_number_group_assignment';
    $query_numbers = $wpdb->get_results("SELECT $table_user_phone_numbers.*, $table_user_gA.GroupID FROM $table_user_phone_numbers INNER JOIN $table_user_gA ON $table_user_phone_numbers.id = $table_user_gA.PhoneNumberID AND $table_user_gA.GroupID = '" .$group_id . "'");

	$sql = "select 
				upn.* 
			from 
				".$wpdb->prefix."nm_user_phone_numbers upn ,
				".$wpdb->prefix."nm_phone_number_group_assignment pnga
			where
				pnga.GroupID='".$group_id."' and
				pnga.PhoneNumberID=upn.id";
	$query_numbers = $wpdb->get_results($sql);
    echo DBout('<option value="">Select Number</option>');
    echo DBout('<option value="all">All Numbers</option>');
    foreach ($query_numbers as $result => $numbers){
		if($_REQUEST['phone_number_id']==$numbers->id)
			$sel = 'selected="selected"';
		else
			$sel = '';
?>        <option <?php echo DBout($sel)?> value="<?= DBout($numbers->id) ?>"><?= DBout($numbers->PhoneNumber) ?></option>
        <?php
    }
}
?>