<?php
include_once "functions.php";
	include_once("header.php");
?>
<link rel='stylesheet' href='<?php echo DBout($pluginUrl.'css/datepicker.css');?>' type='text/css' media='all' />
<link rel='stylesheet' href='<?php echo DBout($pluginUrl.'css/jquery-ui.css');?>' type='text/css' media='all' />
<link rel='stylesheet' href='<?php echo DBout($pluginUrl.'css/custom_css/main.css');?>' type='text/css' media='all' />

	<h3 class="pageTitle">Fake/Bounced Numbers <a href="javascript:void(0);" title="Manage Numbers" onclick="checkSelectedNumbers()" class="btn btn-primary move-right">Manage</i></a></h3>
	<table width="100%" align="center" class="listTable table table-bordered table-striped table-hover">
		<thead>
			<tr class="table-heading">
				<th>Sr#</th>
				<th>Name</th>
				<th>Phone Numbers</th>
				<th>Subscribed Date</th>
				<th><input type="checkbox" class="select_all_fake_numbers" value="1" title="Delete All" /></th>
			</tr>
		</thead>
		<tbody>
			<?php
				$numbers = $wpdb->get_results("select * from ".$wpdb->prefix."nm_user_phone_numbers where Status='5' order by id desc");
				if($wpdb->num_rows){
					$index = 1;
					foreach($numbers as $number){
			?>
						<tr>
							<td><?php echo DBout($index++)?></td>
							<td><?php echo DBout($number->Name)?></td>
							<td><?php echo DBout($number->PhoneNumber)?></td>
							<td><?php echo DBout($number->CreatedDate)?></td>
							<td>
								<input type="checkbox" value="<?php echo DBout($number->id)?>" class="phone_id" />
							</td>
						</tr>
			<?php
					}
				}else{
					echo DBout('<tr><td colspan="4">No record found.</td></tr>');
				}
			?>
			
		</tbody>
	</table>
	<div class="modal fade" id="fakeNumberManager" role="dialog">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal">&times;</button>
					<h4 class="modal-title">Manage <span class="red" id="showNumberCount"></span> Fake Numbers</h4>
				</div>
				<div class="modal-body">
					<div class="form-group">
						<label>Restore Numbers: <input checked="checked" type="radio" name="fake_number_type" value="1" /></label>
						<label>Delete Numbers: <input type="radio" name="fake_number_type" value="2" /></label>
					</div>
				</div>
				<div class="modal-footer">
					<span id="loading" class="display-none">Loading...</span>
					<input type="hidden" name="phone_ids" value="" />
					<button type="button" class="btn btn-success" onclick="manageFakeNumbers()">Manage</button>
					<button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
				</div>
			</div>
		</div>
	</div>
<?php include_once('footer.php');?>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.2/jquery.min.js"></script> 
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js" integrity="sha384-0mSbJDEHialfmuBBQP6A4Qrprq5OVfW37PRR3j5ELqxss1yVqOtnepnHVP9aJ7xS" crossorigin="anonymous"></script>
<script>
   var manage_fake_number = '<?php DBout( admin_url().'admin-ajax.php?action=manage_fake_numbers')?>'
</script>
<script src='<?php  echo DBout($pluginUrl.'scripts/display_fake_numbers.js')?>.'></script>