<?php
	function getMessageDetail($userInfo,$messageSid,$recordID){
		global $wpdb;
		if($userInfo->sms_gateway=='twilio'){
			$url = 'https://api.twilio.com/2010-04-01/Accounts/'.trim($userInfo->AccountSid).'/Messages/'.$messageSid.'.json';
			$ch = curl_init();
			curl_setopt($ch, CURLOPT_URL,$url);
			curl_setopt($ch,CURLOPT_USERPWD,trim($userInfo->AccountSid).":".trim($userInfo->AuthTocken));
			curl_setopt($ch, CURLOPT_HTTPGET, true);
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
			curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
			curl_setopt($ch, CURLOPT_USERAGENT, 'Mozilla/5.0 (Windows NT 6.1; rv:6.0) Gecko/20110814 Firefox/6.0');
			$data = curl_exec($ch);
			$data = json_decode($data,true);
			curl_close($ch);
			
			if(trim($data['status'])=='400'){
				$array['status'] = $data['status'];
			}else{
				$array['status'] = $data['status'];
			}
			if((isset($data['error_code'])) && ($data['error_code']=='')){
				$array['status'] = 'delivered.';
			}
			$wpdb->query("update ".$wpdb->prefix."nm_sms_inbox set status='".wpnmDBin($array['status'])."' where id='".$recordID."'");
		}else if($userInfo->sms_gateway=='plivo'){
			$url = 'https://api.plivo.com/v1/Account/'.trim($userInfo->plivo_auth_id).'/Message/'.trim($messageSid).'/';
			$ch = curl_init();
			curl_setopt($ch, CURLOPT_URL,$url);
			curl_setopt($ch,CURLOPT_USERPWD,trim($userInfo->plivo_auth_id).":".trim($userInfo->plivo_auth_token));
			curl_setopt($ch, CURLOPT_HTTPGET, true);
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
			curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
			curl_setopt($ch, CURLOPT_USERAGENT, 'Mozilla/5.0 (Windows NT 6.1; rv:6.0) Gecko/20110814 Firefox/6.0');
			$data = curl_exec($ch);
			$data = json_decode($data,true);
			curl_close($ch);
			if(isset($data['error'])){
				$array['status'] = $data['error'];
			}else{
				$array['status'] = $data['message_state'];
			}
			$wpdb->query("update ".$wpdb->prefix."nm_sms_inbox set status='".wpnmDBin($array['status'])."' where id='".$recordID."'");
		}else if($userInfo->sms_gateway=='nemxo'){
			
		}
	}
	function generatePaging($sql,$link,$pageNum,$max_records_per_page){
		global $wpdb;
		if($pageNum==1){
			$tmpRes    = $wpdb->query($sql);
			$totalRecs = $wpdb->num_rows;
		}else{
			$tmpRes    = $wpdb->query($sql);
			$totalRecs = $wpdb->num_rows;
		}
		$recStart = ((int)($pageNum-1))*((int)$max_records_per_page);
		$totalRecs = $totalRecs;
		
		$pagingString = '<table border="0" cellspacing="0" cellpadding="0" class="move-right"><tr><td class="padding-5" align="right" valign="middle">';
		$totalPages = ceil(((int) $totalRecs)/((int)$max_records_per_page));
		
		$pagingStartPage = 1;
		$pagingEndPage = $totalPages ;
	
		if($pageNum>6)
			$pagingStartPage = $pageNum - 5;
		
		if($pageNum<($totalPages-5))
			$pagingEndPage = $pageNum + 5;
		
		if($pageNum>1){
			$prPage = $pageNum -1;
			$pagingString .= '<a href="'.$link.'sheet=1"><span class="btn-grey">First</span></a>';
			$pagingString .= ' <a href="'.$link.'sheet='. $prPage .'"><span class="btn-grey">Previous</span></a> ';
		}
	
		for($i=$pagingStartPage;$i<=$pagingEndPage;$i++){
			if($pageNum == $i){
				$pagingString .= '<span class="btn-pages-active">'.$i.'</span>';
			}else{
				$pagingString .= '<a href="'.$link.'sheet='.$i.'" class="btn-pages-inactive">'.$i.'</a>';
			}
			
			if($i != $pagingEndPage)
				$pagingString .= ' ';
		}
		if($pageNum < $totalPages){
			$nePage = $pageNum + 1;
			$pagingString .= ' <a href="'.$link.'sheet='. $nePage .'" ><span class="btn-grey">Next</span></a> ';
			$pagingString .= '<a href="'.$link.'sheet='. $totalPages .'" ><span class="btn-grey">Last</span></a> ';
		}
		$pagingString .= '</td></tr></table>';	
		$sqlLIMIT = " LIMIT ". $recStart . " , " . $max_records_per_page;
		if($totalPages == 1){
			$a['pagingString'] = '';
			$a['limit'] = '';
		}else{
			$a['pagingString'] = $pagingString;
			$a['limit'] =  $sqlLIMIT;
		}
		return $a;
	}
	function getPluginInfo(){
		return get_plugin_data(ABSPATH.'wp-content/plugins/wp-messagings/nm_plugin.php',true,true);	
	}
	function getPluginUrl(){
		$pluginUrl = trim(plugin_dir_url(__FILE__),'/');
		$pluginUrl = substr($pluginUrl, 0, strrpos($pluginUrl,'/')).'/';
		return $pluginUrl;
	}
	function getUploadUrl(){
		return substr(dirname(__FILE__),0,strrpos(dirname(__FILE__),'/')).'/uploads/';	
	}
	function wpNMPostCurl($url,$data){
		$ch = curl_init();
		curl_setopt($ch, CURLOPT_URL,$url);
		curl_setopt($ch, CURLOPT_POST, true);
		curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
		curl_setopt($ch, CURLOPT_USERAGENT, 'Mozilla/5.0 (Windows NT 6.1; rv:6.0) Gecko/20110814 Firefox/6.0');
		$data = curl_exec($ch);
        if(curl_error($ch))
        return curl_error($ch);
		curl_close($ch);
		return $data;
	}
	function checkPlivoApplicationExists($userInfo){
		try{
			$url = 'https://api.plivo.com/v1/Account/'.$userInfo->plivo_auth_id.'/Application/';
			$ch = curl_init();
			curl_setopt($ch,CURLOPT_USERPWD,$userInfo->plivo_auth_id.":".$userInfo->plivo_auth_token);
			curl_setopt($ch, CURLOPT_URL,$url);
			curl_setopt($ch, CURLOPT_HTTPGET, true);
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
			curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
			curl_setopt($ch, CURLOPT_USERAGENT, 'Mozilla/5.0 (Windows NT 6.1; rv:6.0) Gecko/20110814 Firefox/6.0');
			$request = curl_exec($ch);
			curl_close($ch);
			$response = json_decode($request,true);
			for($i=0; $i<count($response['objects']); $i++){
				if($response['objects'][$i]['app_name']=='ranksol-wp-messaging'){
					$appData['app_id'] = $response['objects'][$i]['app_id'];
					$appData['app_name'] = $response['objects'][$i]['app_name'];
					break;
				}
			}
			return $appData;
		}catch(Exceptions $e){
			return false;
		}	
	}
	function getNmPhoneNumberDetails($to){
		global $wpdb;
		$result = $wpdb->get_row("select * from ".$wpdb->prefix."nm_phone_numbers where TwilioPhoneNo='".$to."'",ARRAY_A);
		if(count($result)==0){
			return false;
		}else{
			return $result;
		}
	}
	function wpNMISOCountries(){
		return $isoCountries = array(
			'AF' => 'Afghanistan',
			'AX' => 'Aland Islands',
			'AL' => 'Albania',
			'DZ' => 'Algeria',
			'AS' => 'American Samoa',
			'AD' => 'Andorra',
			'AO' => 'Angola',
			'AI' => 'Anguilla',
			'AQ' => 'Antarctica',
			'AG' => 'Antigua And Barbuda',
			'AR' => 'Argentina',
			'AM' => 'Armenia',
			'AW' => 'Aruba',
			'AU' => 'Australia',
			'AT' => 'Austria',
			'AZ' => 'Azerbaijan',
			'BS' => 'Bahamas',
			'BH' => 'Bahrain',
			'BD' => 'Bangladesh',
			'BB' => 'Barbados',
			'BY' => 'Belarus',
			'BE' => 'Belgium',
			'BZ' => 'Belize',
			'BJ' => 'Benin',
			'BM' => 'Bermuda',
			'BT' => 'Bhutan',
			'BO' => 'Bolivia',
			'BA' => 'Bosnia And Herzegovina',
			'BW' => 'Botswana',
			'BV' => 'Bouvet Island',
			'BR' => 'Brazil',
			'IO' => 'British Indian Ocean Territory',
			'BN' => 'Brunei Darussalam',
			'BG' => 'Bulgaria',
			'BF' => 'Burkina Faso',
			'BI' => 'Burundi',
			'KH' => 'Cambodia',
			'CM' => 'Cameroon',
			'CA' => 'Canada',
			'CV' => 'Cape Verde',
			'KY' => 'Cayman Islands',
			'CF' => 'Central African Republic',
			'TD' => 'Chad',
			'CL' => 'Chile',
			'CN' => 'China',
			'CX' => 'Christmas Island',
			'CC' => 'Cocos (Keeling) Islands',
			'CO' => 'Colombia',
			'KM' => 'Comoros',
			'CG' => 'Congo',
			'CD' => 'Congo, Democratic Republic',
			'CK' => 'Cook Islands',
			'CR' => 'Costa Rica',
			'CI' => 'Cote D\'Ivoire',
			'HR' => 'Croatia',
			'CU' => 'Cuba',
			'CY' => 'Cyprus',
			'CZ' => 'Czech Republic',
			'DK' => 'Denmark',
			'DJ' => 'Djibouti',
			'DM' => 'Dominica',
			'DO' => 'Dominican Republic',
			'EC' => 'Ecuador',
			'EG' => 'Egypt',
			'SV' => 'El Salvador',
			'GQ' => 'Equatorial Guinea',
			'ER' => 'Eritrea',
			'EE' => 'Estonia',
			'ET' => 'Ethiopia',
			'FK' => 'Falkland Islands (Malvinas)',
			'FO' => 'Faroe Islands',
			'FJ' => 'Fiji',
			'FI' => 'Finland',
			'FR' => 'France',
			'GF' => 'French Guiana',
			'PF' => 'French Polynesia',
			'TF' => 'French Southern Territories',
			'GA' => 'Gabon',
			'GM' => 'Gambia',
			'GE' => 'Georgia',
			'DE' => 'Germany',
			'GH' => 'Ghana',
			'GI' => 'Gibraltar',
			'GR' => 'Greece',
			'GL' => 'Greenland',
			'GD' => 'Grenada',
			'GP' => 'Guadeloupe',
			'GU' => 'Guam',
			'GT' => 'Guatemala',
			'GG' => 'Guernsey',
			'GN' => 'Guinea',
			'GW' => 'Guinea-Bissau',
			'GY' => 'Guyana',
			'HT' => 'Haiti',
			'HM' => 'Heard Island & Mcdonald Islands',
			'VA' => 'Holy See (Vatican City State)',
			'HN' => 'Honduras',
			'HK' => 'Hong Kong',
			'HU' => 'Hungary',
			'IS' => 'Iceland',
			'IN' => 'India',
			'ID' => 'Indonesia',
			'IR' => 'Iran, Islamic Republic Of',
			'IQ' => 'Iraq',
			'IE' => 'Ireland',
			'IM' => 'Isle Of Man',
			'IL' => 'Israel',
			'IT' => 'Italy',
			'JM' => 'Jamaica',
			'JP' => 'Japan',
			'JE' => 'Jersey',
			'JO' => 'Jordan',
			'KZ' => 'Kazakhstan',
			'KE' => 'Kenya',
			'KI' => 'Kiribati',
			'KR' => 'Korea',
			'KW' => 'Kuwait',
			'KG' => 'Kyrgyzstan',
			'LA' => 'Lao People\'s Democratic Republic',
			'LV' => 'Latvia',
			'LB' => 'Lebanon',
			'LS' => 'Lesotho',
			'LR' => 'Liberia',
			'LY' => 'Libyan Arab Jamahiriya',
			'LI' => 'Liechtenstein',
			'LT' => 'Lithuania',
			'LU' => 'Luxembourg',
			'MO' => 'Macao',
			'MK' => 'Macedonia',
			'MG' => 'Madagascar',
			'MW' => 'Malawi',
			'MY' => 'Malaysia',
			'MV' => 'Maldives',
			'ML' => 'Mali',
			'MT' => 'Malta',
			'MH' => 'Marshall Islands',
			'MQ' => 'Martinique',
			'MR' => 'Mauritania',
			'MU' => 'Mauritius',
			'YT' => 'Mayotte',
			'MX' => 'Mexico',
			'FM' => 'Micronesia, Federated States Of',
			'MD' => 'Moldova',
			'MC' => 'Monaco',
			'MN' => 'Mongolia',
			'ME' => 'Montenegro',
			'MS' => 'Montserrat',
			'MA' => 'Morocco',
			'MZ' => 'Mozambique',
			'MM' => 'Myanmar',
			'NA' => 'Namibia',
			'NR' => 'Nauru',
			'NP' => 'Nepal',
			'NL' => 'Netherlands',
			'AN' => 'Netherlands Antilles',
			'NC' => 'New Caledonia',
			'NZ' => 'New Zealand',
			'NI' => 'Nicaragua',
			'NE' => 'Niger',
			'NG' => 'Nigeria',
			'NU' => 'Niue',
			'NF' => 'Norfolk Island',
			'MP' => 'Northern Mariana Islands',
			'NO' => 'Norway',
			'OM' => 'Oman',
			'PK' => 'Pakistan',
			'PW' => 'Palau',
			'PS' => 'Palestinian Territory, Occupied',
			'PA' => 'Panama',
			'PG' => 'Papua New Guinea',
			'PY' => 'Paraguay',
			'PE' => 'Peru',
			'PH' => 'Philippines',
			'PN' => 'Pitcairn',
			'PL' => 'Poland',
			'PT' => 'Portugal',
			'PR' => 'Puerto Rico',
			'QA' => 'Qatar',
			'RE' => 'Reunion',
			'RO' => 'Romania',
			'RU' => 'Russian Federation',
			'RW' => 'Rwanda',
			'BL' => 'Saint Barthelemy',
			'SH' => 'Saint Helena',
			'KN' => 'Saint Kitts And Nevis',
			'LC' => 'Saint Lucia',
			'MF' => 'Saint Martin',
			'PM' => 'Saint Pierre And Miquelon',
			'VC' => 'Saint Vincent And Grenadines',
			'WS' => 'Samoa',
			'SM' => 'San Marino',
			'ST' => 'Sao Tome And Principe',
			'SA' => 'Saudi Arabia',
			'SN' => 'Senegal',
			'RS' => 'Serbia',
			'SC' => 'Seychelles',
			'SL' => 'Sierra Leone',
			'SG' => 'Singapore',
			'SK' => 'Slovakia',
			'SI' => 'Slovenia',
			'SB' => 'Solomon Islands',
			'SO' => 'Somalia',
			'ZA' => 'South Africa',
			'GS' => 'South Georgia And Sandwich Isl.',
			'ES' => 'Spain',
			'LK' => 'Sri Lanka',
			'SD' => 'Sudan',
			'SR' => 'Suriname',
			'SJ' => 'Svalbard And Jan Mayen',
			'SZ' => 'Swaziland',
			'SE' => 'Sweden',
			'CH' => 'Switzerland',
			'SY' => 'Syrian Arab Republic',
			'TW' => 'Taiwan',
			'TJ' => 'Tajikistan',
			'TZ' => 'Tanzania',
			'TH' => 'Thailand',
			'TL' => 'Timor-Leste',
			'TG' => 'Togo',
			'TK' => 'Tokelau',
			'TO' => 'Tonga',
			'TT' => 'Trinidad And Tobago',
			'TN' => 'Tunisia',
			'TR' => 'Turkey',
			'TM' => 'Turkmenistan',
			'TC' => 'Turks And Caicos Islands',
			'TV' => 'Tuvalu',
			'UG' => 'Uganda',
			'UA' => 'Ukraine',
			'AE' => 'United Arab Emirates',
			'GB' => 'United Kingdom',
			'US' => 'United States',
			'UM' => 'United States Outlying Islands',
			'UY' => 'Uruguay',
			'UZ' => 'Uzbekistan',
			'VU' => 'Vanuatu',
			'VE' => 'Venezuela',
			'VN' => 'Viet Nam',
			'VG' => 'Virgin Islands, British',
			'VI' => 'Virgin Islands, U.S.',
			'WF' => 'Wallis And Futuna',
			'EH' => 'Western Sahara',
			'YE' => 'Yemen',
			'ZM' => 'Zambia',
			'ZW' => 'Zimbabwe',
		);
	}
	function createPlivoApplication($userInfo){
		$url = "https://api.plivo.com/v1/Account/".$userInfo->plivo_auth_id."/Application/";
		$data = array(
			'app_name' => 'ranksol-wp-messaging',
			'answer_url' => admin_url().'admin-ajax.php?action=get_twilio_call_response',
			'message_method' => 'GET',
			'message_url' => admin_url().'admin-ajax.php?action=get_twilio_sms_response'
		);
		$ch = curl_init();
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
		curl_setopt($ch, CURLOPT_USERPWD, $userInfo->plivo_auth_id.":".$userInfo->plivo_auth_token);
		curl_setopt($ch, CURLOPT_URL, $url);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
		curl_setopt($ch, CURLOPT_POST, true);
		curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
		$response = curl_exec($ch);
		$response = json_decode($response,true);
		return $response['app_id'];
	}
	function checkSubscriber($From){
		global $wpdb;
		$result = $wpdb->get_row("select id from ".$wpdb->prefix."nm_user_phone_numbers where PhoneNumber='".$From."'");
		if(count($result)==0){
			return false;
		}else{
			return $result->id;
		}
	}
	function checkGroup($phoneID,$groupID){
		global $wpdb;
		$wpdb->get_row("select id from ".$wpdb->prefix."nm_phone_number_group_assignment where PhoneNumberID='".$phoneID."' and GroupID='".$groupID."'");
		if($wpdb->num_rows==0){
			$data = array(
				'PhoneNumberID' => wpnmDBin($phoneID),
				'GroupID' => wpnmDBin($groupID)
			);
			$wpdb->insert($wpdb->prefix."nm_phone_number_group_assignment",$data);
			$wpdb->query("update ".$wpdb->prefix."nm_user_phone_numbers set Status='1' where id='".$phoneID."' limit 1");
			return 'new';
		}else{
			return 'old';
		}
	}
	function sendEmail($to,$subject,$message,$from){
		$headers  = 'MIME-Version: 1.0' . "\r\n";
		$headers .= 'Content-type: text/html; charset=iso-8859-1' . "\r\n";
		$headers .= 'From:'.$from."\r\n";
		mail($to, $subject, $message, $headers, "-f$from");	
	}
	function subscribe($From,$groupID){
		global $wpdb;
		$data = array(
			'PhoneNumber' => wpnmDBin($From),
			'Status' => wpnmDBin('1')
		);
		$result  = $wpdb->insert($wpdb->prefix."nm_user_phone_numbers",$data);
		$phoneID = $wpdb->insert_id;
		$groupData = array(
			'PhoneNumberID' => wpnmDBin($phoneID),
			'GroupID' => wpnmDBin($groupID)
		);
		$wpdb->insert($wpdb->prefix."nm_phone_number_group_assignment",$groupData);
        return $phoneID;
	}
    
    function addDelayMessages($groupID,$phoneID){
		global $wpdb;
		
        $sql = "SELECT * FROM ".$wpdb->prefix."nm_client_groups where id='".$groupID."'";
		$groupData = $wpdb->get_row($sql);
        
        
        if($groupData->SubscriptionSMS1!=''){
            $DateTime1 = date("Y-m-d",strtotime(date("Y-m-d"). "+ $groupData->DayDelay1 day"))." ".$groupData->DelayTime1;
            $Data = array(
                'DateTime' => wpnmDBin($DateTime1),
    			'PhoneNumberID' => wpnmDBin($phoneID),
    			'GroupID' => wpnmDBin($groupID),
                'SMSText' => wpnmDBin($groupData->SubscriptionSMS1),
                'mms_imgs' => wpnmDBin($groupData->Delay1File)
    		);
    		$wpdb->insert($wpdb->prefix."nm_scheduler",$Data);
        }
        
        if($groupData->SubscriptionSMS2!=''){
            $DateTime2 = date("Y-m-d",strtotime(date("Y-m-d"). "+ $groupData->DayDelay2 day"))." ".$groupData->DelayTime2;
            $Data = array(
                'DateTime' => wpnmDBin($DateTime2),
        		'PhoneNumberID' => wpnmDBin($phoneID),
        		'GroupID' => wpnmDBin($groupID),
                'SMSText' => wpnmDBin($groupData->SubscriptionSMS2),
                'mms_imgs' => wpnmDBin($groupData->Delay2File)
        	);
        	$wpdb->insert($wpdb->prefix."nm_scheduler",$Data);
        }
        
        if($groupData->SubscriptionSMS3!=''){
            $DateTime3 = date("Y-m-d",strtotime(date("Y-m-d"). "+ $groupData->DayDelay3 day"))." ".$groupData->DelayTime3;
            $Data = array(
                'DateTime' => wpnmDBin($DateTime3),
    			'PhoneNumberID' => wpnmDBin($phoneID),
    			'GroupID' => wpnmDBin($groupID),
                'SMSText' => wpnmDBin($groupData->SubscriptionSMS3),
                'mms_imgs' => wpnmDBin($groupData->Delay3File)
    		);
    		$wpdb->insert($wpdb->prefix."nm_scheduler",$Data);
        }
        
        
        
	}
    
	function updateSubscriberStatus($From,$status){
		global $wpdb;
		$result = $wpdb->get_row("select id from ".$wpdb->prefix."nm_user_phone_numbers where PhoneNumber='".$From."'");
		if($wpdb->num_rows>0){
			$phoneNumberID = $result->id;
			$data = array(
				'Status' => wpnmDBin($status)
			);
			$where = array(
				'id' => wpnmDBin($phoneNumberID)
			);
			$wpdb->update($wpdb->prefix."nm_user_phone_numbers",$data,$where);			
		}
	}
	function subscribeToCampaign($to,$from,$body){
		if((trim($to)!="") && (trim($from!="")) && (trim($body)!="")){
			$url = admin_url().'admin-ajax.php?action=get_twilio_sms_response';
			$data = array("To"=>$to,"From"=>$from,"Body"=>$body);
			$ch = curl_init();
			curl_setopt($ch, CURLOPT_URL,$url);
			curl_setopt($ch, CURLOPT_POST, true);
			curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
			curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
			curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
			curl_setopt($ch, CURLOPT_USERAGENT, 'Mozilla/5.0 (Windows NT 6.1; rv:6.0) Gecko/20110814 Firefox/6.0');
			$request = curl_exec($ch);
			curl_close($ch);
		}
	}	
	function searchPlivoNewNumbers($authID,$authToken,$pattren="",$state=""){
		$url = "https://api.plivo.com/v1/Account/".$authID."/PhoneNumber/?country_iso=US&type=local&pattern=".$pattren."&region=".$state;	
		$ch = curl_init();
		curl_setopt($ch,CURLOPT_USERPWD,$authID.":".$authToken);
		curl_setopt($ch, CURLOPT_URL,$url);
		curl_setopt($ch, CURLOPT_HTTPGET, true);
		curl_setopt($ch, CURLOPT_FAILONERROR, FALSE);
		curl_setopt($ch, CURLOPT_HTTPHEADER, array(
			'Content-Type: application/json')
		);		
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
		curl_setopt($ch, CURLOPT_USERAGENT, 'Mozilla/5.0 (Windows NT 6.1; rv:6.0) Gecko/20110814 Firefox/6.0');
		return curl_exec($ch);
		curl_close($ch);
	}
	function buyPlivoNumber($authID,$authToken,$phone,$appID=""){
		$url = "https://api.plivo.com/v1/Account/".$authID."/PhoneNumber/".$phone."/";
		$data = array(
			'app_id' => $appID
		);
		$ch = curl_init();
		curl_setopt($ch,CURLOPT_USERPWD,$authID.":".$authToken);
		curl_setopt($ch, CURLOPT_URL,$url);
		curl_setopt($ch, CURLOPT_POST, true);
		curl_setopt($ch, CURLOPT_FAILONERROR, FALSE);
		curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
		curl_setopt($ch, CURLOPT_HTTPHEADER, array(
			'Content-Type: application/json')
		);		
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
		curl_setopt($ch, CURLOPT_USERAGENT, 'Mozilla/5.0 (Windows NT 6.1; rv:6.0) Gecko/20110814 Firefox/6.0');
		return curl_exec($ch);
		curl_close($ch);
	}
	function getPlivoExistingNumbers($authID,$authToken){
		$url = "https://api.plivo.com/v1/Account/".$authID."/Number/";
		$ch = curl_init();
		curl_setopt($ch,CURLOPT_USERPWD,$authID.":".$authToken);
		curl_setopt($ch, CURLOPT_URL,$url);
		curl_setopt($ch, CURLOPT_HTTPGET, true );
		curl_setopt($ch, CURLOPT_FAILONERROR, true);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
		curl_setopt($ch, CURLOPT_USERAGENT, 'Mozilla/5.0 (Windows NT 6.1; rv:6.0) Gecko/20110814 Firefox/6.0');
		$response = curl_exec($ch);
		return $response;
		curl_close($ch);
	}
	function assignAppToPlivoNumber($authID,$authToken,$phone,$appID){
		$url = "https://api.plivo.com/v1/Account/".$authID."/Number/".$phone."/";
		$data = '{"app_id": "'.$appID.'"}';
		$ch = curl_init();
		curl_setopt($ch,CURLOPT_USERPWD,$authID.":".$authToken);
		curl_setopt($ch, CURLOPT_URL,$url);
		curl_setopt($ch, CURLOPT_POST, true);
		curl_setopt($ch, CURLOPT_FAILONERROR, FALSE);
		curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
		curl_setopt($ch, CURLOPT_HTTPHEADER, array(
			'Content-Type: application/json')
		);		
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
		curl_setopt($ch, CURLOPT_USERAGENT, 'Mozilla/5.0 (Windows NT 6.1; rv:6.0) Gecko/20110814 Firefox/6.0');
		$response = curl_exec($ch);
		curl_close($ch);
	}
	function searchWPNMNumbers($userInfo,$params){
		$url = "https://".$userInfo->AccountSid.":".$userInfo->AuthTocken."@api.twilio.com/2010-04-01/Accounts/".$userInfo->AccountSid."/AvailablePhoneNumbers/".$params['country_code']."/".$params['type'].".json?Contains=".$params['Contains']."&InRegion".$params['InRegion']."&AreaCode=".$params['area_code'];
		$ch = curl_init();
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
		curl_setopt($ch, CURLOPT_URL, $url);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
		curl_setopt($ch, CURLOPT_HTTPGET, true);
		$response = curl_exec($ch);
		$response = json_decode($response,true);
		$totalNumbers = count($response['available_phone_numbers']);
		if($totalNumbers > 0){
			for($i=0; $i<$totalNumbers; $i++){
				echo DBout('<option value="'.$response['available_phone_numbers'][$i]['phone_number'].'">'.$response['available_phone_numbers'][$i]['phone_number'].'</option>');
			}
		}else{
			echo DBout('<option value="">No phone number available</option>');
		}
	}
	function buyWPNMNumbers($userInfo,$phoneNumber){
		if($userInfo->sms_gateway=='twilio'){
			$callUrl = admin_url().'admin-ajax.php?action=get_twilio_call_response';
			$smsUrl  = admin_url().'admin-ajax.php?action=get_twilio_sms_response';
			$url = "https://".$userInfo->AccountSid.":".$userInfo->AuthTocken."@api.twilio.com/2010-04-01/Accounts/".$userInfo->AccountSid."/IncomingPhoneNumbers.json";
			$data = array(
				'FriendlyName' => 'WP Messaging',
				'SmsUrl' => $smsUrl,
				'VoiceUrl' => $callUrl,
				'PhoneNumber' => $phoneNumber
			);
			$ch = curl_init();
			curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
			curl_setopt($ch, CURLOPT_URL, $url);
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
			curl_setopt($ch, CURLOPT_POST, true);
			curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
			$response = curl_exec($ch);
			if($response!==false){
				$response = json_decode($response,true);
				return $response['sid'];
			}else{
				return false;
			}
		}else if($userInfo->sms_gateway=='plivo'){
			
		}	
	}
	function getExistingNumbers($userInfo){
		global $wpdb;
		if($userInfo->sms_gateway=='twilio'){
			$url = "https://".$userInfo->AccountSid.":".$userInfo->AuthTocken."@api.twilio.com/2010-04-01/Accounts/".$userInfo->AccountSid."/IncomingPhoneNumbers.json";
			$ch = curl_init();
			curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
			curl_setopt($ch, CURLOPT_URL, $url);
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
			curl_setopt($ch, CURLOPT_HTTPGET, true);
			$response = curl_exec($ch);
			$response = json_decode($response,true);
			$totalNumbers = count($response['incoming_phone_numbers']);
			if($totalNumbers>0){
				for($i=0; $i<$totalNumbers; $i++){
					echo DBout('<option value="'.$response['incoming_phone_numbers'][$i]['sid'].','.$response['incoming_phone_numbers'][$i]['phone_number'].'">'.$response['incoming_phone_numbers'][$i]['phone_number'].'</option>');
				}
			}else{
				echo DBout('<option value="">No existing number found.</option>');
			}
		}else{
			
		}
	}
	function updateWPNMPhoneNumber($userInfo,$phoneSid){
		if($userInfo->sms_gateway=='twilio'){
			$callUrl = admin_url().'admin-ajax.php?action=get_twilio_call_response';
			$smsUrl  = admin_url().'admin-ajax.php?action=get_twilio_sms_response';
			$url = "https://".$userInfo->AccountSid.":".$userInfo->AuthTocken."@api.twilio.com/2010-04-01/Accounts/".$userInfo->AccountSid."/IncomingPhoneNumbers/".$phoneSid.".json";
			$data = array(
				'VoiceUrl' => $callUrl,
				'SmsUrl' => $smsUrl
			);
			$ch = curl_init();
			curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
			curl_setopt($ch, CURLOPT_URL, $url);
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
			curl_setopt($ch, CURLOPT_POST, true);
			curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
			$response = curl_exec($ch);
			$response = json_decode($response,true);
		}else if($userInfo->sms_gateway=='plivo'){
			
		}
	}
	function wpnmTimeAgo($mysqlDateTime,$full=false){
		$now = new DateTime;
		$ago = new DateTime($mysqlDateTime);
		$diff = $now->diff($ago);
	
		$diff->w = floor($diff->d / 7);
		$diff->d -= $diff->w * 7;
	
		$string = array(
			'y' => 'year',
			'm' => 'month',
			'w' => 'week',
			'd' => 'day',
			'h' => 'hour',
			'i' => 'minute',
			's' => 'second',
		);
		foreach ($string as $k => &$v){
			if($diff->$k){
				$v = $diff->$k . ' ' . $v . ($diff->$k > 1 ? 's' : '');
			}else{
				unset($string[$k]);
			}
		}
	
		if (!$full) $string = array_slice($string, 0, 1);
		return $string ? implode(', ', $string) . ' ago' : 'just now';
	}
	function getWPNMGroupData($groupID){
		global $wpdb;
		return $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."nm_client_groups where id='".$groupID."'");	
	}
	function getWPNMExtension($str){
		$i = strrpos($str,".");
		if (!$i) { return ""; }
		$l = strlen($str) - $i;
		$ext = substr($str,$i+1,$l);
		return $ext;
	}
    
    function getFirstQuestionID($groupID)
    {
        global $wpdb;
        
        $trivia_question = $wpdb->get_row("select * from ".$wpdb->prefix."nm_trivia_questions where campaign_id='".$groupID."' order by id asc limit 1",ARRAY_A);
        
        $no_of_answers = $wpdb->num_rows;
        
    	if($no_of_answers>0)
    	{
    		return $trivia_question['id'];
    	}
    	return false;
    }
    
    function getNextImmediateQuestion($nextImmediateQuestionID)
    {
        global $wpdb;
    	$trivia_question = $wpdb->get_row("select * from ".$wpdb->prefix."nm_trivia_questions where id='".$nextImmediateQuestionID."' limit 1",ARRAY_A);
    	
        if($wpdb->num_rows>0)
    	{
    		$row  = $trivia_question;
			$options      = 'Reply ';
			$msg1		  = $row['question'];	
            
            $trivia_answers = $wpdb->get_results("select * from ".$wpdb->prefix."nm_trivia_answers where question_id='".$row['id']."' order by id asc",ARRAY_A);
            foreach($trivia_answers as $rowAns)
			{
				$options .= $rowAns['value'].' for '.$rowAns['answer'].", \n\r";
			}
            $options = trim($options,",");            
			$msg1 .= "\n\r".$options;
			return $msg1;
    	}
    }
    
    function getNextImmediateQuestionID($groupID,$lastQuestionID)
    {
        global $wpdb;
        
        $trivia_question = $wpdb->get_row("select * from ".$wpdb->prefix."nm_trivia_questions where campaign_id='".$groupID."' and id >'".$lastQuestionID."' order by id asc limit 1",ARRAY_A);
        $no_of_answers = $wpdb->num_rows;
        
        if($no_of_answers>0)
        {
  			return $trivia_question['id'];
    	}
    	return false;
    }
    
    function checkAnsArr($questionID, $key)
    {
        global $wpdb;
    	$quest_Ans = $wpdb->get_row("select sa.* , sq.question, sq.id as questionID from ".$wpdb->prefix."nm_trivia_answers sa, ".$wpdb->prefix."nm_trivia_questions sq where sq.id='".$questionID."' and sa.question_id=sq.id and sa.value='".$key."' limit 1",ARRAY_A);
    	if($wpdb->num_rows>0)
    	{
    		return $quest_Ans;
    	}
    	return false;
    }
    
    function getGroupData($groupID){
		global $wpdb;
		$trivia_question = $wpdb->get_row("select * from ".$wpdb->prefix."nm_client_groups where id='".$groupID."'",ARRAY_A);
		if($wpdb->num_rows>0){
			return $trivia_question;
		}else{
			return false;	
		}
	}
    
    function boundNumber($to,$from,$userID,$groupID,$whatIsSent="",$questionID="0",$is_viral_code="0",$viral_code=""){
        global $wpdb;
        $lease_date = date("Y-m-d H:i",strtotime(date("Y-m-d H:i")." + 24 hours"));
        
        $bound_phones = $wpdb->get_row("select id from ".$wpdb->prefix."nm_bound_phones where to_number='".$to."' and from_number='".$from."' and user_id='".$userID."' and group_id='".$groupID."'",ARRAY_A);
        $no_of_bound_phones = $wpdb->num_rows;
        
        
        if($no_of_bound_phones=='0'){
            
            $data = array();
            $data['to_number'] = wpnmDBin($to);
            $data['from_number'] = wpnmDBin($from);
            $data['user_id'] = wpnmDBin($userID);
            $data['group_id'] = wpnmDBin($groupID);
            $data['lease_date'] = wpnmDBin($lease_date);
            $data['what_is_sent'] = wpnmDBin($whatIsSent);
            $data['question_id'] = wpnmDBin($questionID);
            $data['is_viral_code'] = wpnmDBin($is_viral_code);
            $data['viral_code'] = wpnmDBin($viral_code);
            
            $wpdb->insert($wpdb->prefix."nm_bound_phones",$data);
    	}else{
            $row = $bound_phones;
            $where = array(
				'id' => wpnmDBin($row['id'])
			);
            $data = array();
            $data['lease_date'] = wpnmDBin($lease_date);
			$wpdb->update($wpdb->prefix."nm_bound_phones",$data,$where);
    	}
    }
    
    
    function addGiftTracking($phoneNumberID,$groupID,$userID,$winNumber)
    {
        global $wpdb;
        if($winNumber == '1')
		{
			$isGift = '1';
			$currentCycle= getContestCycleNumber($groupID,$userID);
			
            $data = array();
            $data['phone_number_id'] = wpnmDBin($phoneNumberID);
            $data['campaign_id'] = wpnmDBin($groupID);
            $data['client_id'] = wpnmDBin($userID);
            $data['counter'] = wpnmDBin(0);
            $data['is_gift'] = wpnmDBin($isGift);
            $data['gift_number'] = wpnmDBin(1);
            $data['cycle_number'] = wpnmDBin($currentCycle);
            $wpdb->insert($wpdb->prefix."nm_campaign_gift_track",$data);
            
			$newCycleNum = ($currentCycle+1);
            
            $where = array('id' => wpnmDBin($groupID), 'user_id' => wpnmDBin($userID));
            $data = array("contest_cycle_num"=>wpnmDBin($newCycleNum));
			$wpdb->update($wpdb->prefix."nm_client_groups",$data,$where);
            
			return $isGift;
		}
		else
		{
		    $row = $wpdb->get_row("select id,counter,is_gift from ".$wpdb->prefix."nm_campaign_gift_track where campaign_id='".$groupID."' and client_id='".$userID."' order by id desc limit 1",ARRAY_A);
            $currentMaxCounter = $row['counter'];
			$nextCounterValue  = $currentMaxCounter+1;
			
			if($nextCounterValue == $winNumber)
			{
				$isGift = '1';
				$currentCycle = getContestCycleNumber($groupID,$userID);
				$newCycleNum 	= ($currentCycle+1);
				
                $data = array();
                $data['phone_number_id'] = wpnmDBin($phoneNumberID);
                $data['campaign_id'] = wpnmDBin($groupID);
                $data['client_id'] = wpnmDBin($userID);
                $data['counter'] = wpnmDBin(0);
                $data['is_gift'] = wpnmDBin($isGift);
                $data['gift_number'] = wpnmDBin($nextCounterValue);
                $data['cycle_number'] = wpnmDBin($newCycleNum);
                $wpdb->insert($wpdb->prefix."nm_campaign_gift_track",$data);
                
                $where = array('id' => wpnmDBin($groupID), 'user_id' => wpnmDBin($userID));
                $data = array("contest_cycle_num"=>wpnmDBin($newCycleNum));
    			$wpdb->update($wpdb->prefix."nm_client_groups",$data,$where);
                
			}
			else
			{
				$isGift = '0';
				$currentCycle= getContestCycleNumber($groupID,$userID);
				
                $data = array();
                $data['phone_number_id'] = wpnmDBin($phoneNumberID);
                $data['campaign_id'] = wpnmDBin($groupID);
                $data['client_id'] = wpnmDBin($userID);
                $data['counter'] = wpnmDBin($nextCounterValue);
                $data['is_gift'] = wpnmDBin($isGift);
                $data['gift_number'] = wpnmDBin($nextCounterValue);
                $data['cycle_number'] = wpnmDBin($currentCycle);
                $wpdb->insert($wpdb->prefix."nm_campaign_gift_track",$data);
			}
			return $isGift;
		}		   
    }
    
    
    function getContestCycleNumber($groupID,$userID)
    {
        global $wpdb;
        $campaign = $wpdb->get_row("select contest_cycle_num from ".$wpdb->prefix."nm_client_groups where id='".$groupID."' limit 1",ARRAY_A);
        $currentCycle= $campaign['contest_cycle_num'];	
    	return $currentCycle;
    }
    
    
    function check_viral_coupon_code($code)
    {   
        global $wpdb;
		$row = $wpdb->get_row("select * from ".$wpdb->prefix."nm_viral_coupon_codes where code='".$code."' order by id asc limit 1",ARRAY_A);
		if($wpdb->num_rows>0){
			return $row;
		}else{
			return false;	
		}   
    }
    
    
    function createCouponCode()
    {
        global $wpdb;
    	$couponChars = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";
    	$couponCharLen = (strlen($couponChars)-1);
    	$couponLength = 6;
    	$couponCode = '';
    	$couponCheck = '0';
    	while($couponCheck == '0')
    	{
    		for($i=0; $i<$couponLength; $i++)
    		{
    			$couponCode .= $couponChars[rand(0,$couponCharLen)];
    		}
            
            $row = $wpdb->get_row("select id from ".$wpdb->prefix."nm_viral_coupon_codes where code = '".$couponCode."' limit 1",ARRAY_A);
		    if($wpdb->num_rows==0){
                $couponCheck = '1';
            }
    	}	
    	return strtolower($couponCode);
    }
    
    function addUserCoupon($phoneID,$groupID,$code)
    {
        global $wpdb;
        $data = array("phone_number_id"=>wpnmDBin($phoneID),"group_id"=>wpnmDBin($groupID),"code"=>wpnmDBin($code));
        $wpdb->insert($wpdb->prefix."nm_viral_coupon_codes",$data);        
    }
    
    function addViralFriend($phoneNumberID,$parentPhoneNumberID,$groupID,$status=0)
    {	
        global $wpdb;
    	$row = $wpdb->get_row("select * from ".$wpdb->prefix."nm_viral_friends where phone_number_id='".$phoneNumberID."' and parent_phone_id = '".$parentPhoneNumberID."' and group_id = '".$groupID."'",ARRAY_A);
	    if($wpdb->num_rows==0){
            $data = array("phone_number_id"=>wpnmDBin($phoneNumberID),"parent_phone_id"=>wpnmDBin($parentPhoneNumberID),"group_id"=>wpnmDBin($groupID),"status"=>wpnmDBin($status));
            $wpdb->insert($wpdb->prefix."nm_viral_friends",$data);
 	    }
    }
    
    function getSubscribersDetail($id){
        global $wpdb;
        $rowparentPhone = $wpdb->get_row("select * from ".$wpdb->prefix."nm_user_phone_numbers where id='".$id."'",ARRAY_A);
        return $rowparentPhone;
    }
    
    function count_friend($groupID,$parentPhoneID){
        global $wpdb;
        $rowcount = $wpdb->get_row("select count(id) as count_friend from ".$wpdb->prefix."nm_viral_friends where group_id='".$groupID."' and status ='1' and parent_phone_id='".$parentPhoneID."'",ARRAY_A);
        return $rowcount['count_friend'];
    }
    
	function sendWPNMMessage($from,$to,$message,$userInfo,$media="",$groupID=""){
		global $wpdb;
		$message = wpnmDBout($message.' '.$userInfo->append_text);
		if($userInfo->sms_gateway=='twilio'){
			try{
				if($media==""){
					$data = array(
						"To" => $to,
						"From" => $from,
						"Body" => $message,
						"StatusCallback" => admin_url()."admin-ajax.php?action=get_sms_delivery_status"
					);
				}else{
					$pluginUrl = trim(plugin_dir_url(__FILE__),'/');
					$pluginUrl = substr($pluginUrl, 0, strrpos($pluginUrl,'/')).'/';
					$data = array(
						"To" => $to,
						"From" => $from,
						"Body" => $message,
						"MediaUrl" => $pluginUrl.'uploads/'.$media,
						"StatusCallback" => admin_url()."admin-ajax.php?action=get_sms_delivery_status"
					);
				}
                $url = "https://".$userInfo->AccountSid.":".$userInfo->AuthTocken."@api.twilio.com/2010-04-01/Accounts/".$userInfo->AccountSid."/Messages.json";
				$ch = curl_init();
				curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
				curl_setopt($ch, CURLOPT_URL, $url);
				curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
				curl_setopt($ch, CURLOPT_POST, true);
				curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
				$response = curl_exec($ch);
				$response = json_decode($response,true);
				if(isset($response['code'])){
					$errorCode = $response['code'];
					$smsSid = '';
					$status = $response['status'];
					$errorMessage = $response['message'];
				}else{
					$errorCode = '';
					$smsSid = $response['sid'];
					$status = 'sent';
					$errorMessage = '';
				}
			}catch (Services_Twilio_RestException $e){
				$smsSid = $e->getMessage();
				$status = 'failed';
			}
		}
		else if($userInfo->sms_gateway=='plivo'){
			$url = 'https://api.plivo.com/v1/Account/'.$userInfo->plivo_auth_id.'/Message/';
			$data = array("src"=>$from,"dst"=>$to,"text"=>$message);
			$ch = curl_init();
			curl_setopt($ch,CURLOPT_USERPWD,$userInfo->plivo_auth_id.":".$userInfo->plivo_auth_token);
			curl_setopt($ch, CURLOPT_URL,$url);
			curl_setopt($ch, CURLOPT_POST, true);
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
			curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
			curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
			curl_setopt($ch, CURLOPT_USERAGENT, 'Mozilla/5.0 (Windows NT 6.1; rv:6.0) Gecko/20110814 Firefox/6.0');
			$request = curl_exec($ch);
			curl_close($ch);
			$response = json_decode($request);
			if($response->message_uuid[0]!=''){
				$smsSid = $response->message_uuid[0];
				$status = 'delivered';
			}else{
				$smsSid = 'Failed.';
				$status = 'failed';
			}
		}
		else if($userInfo->sms_gateway=='nexmo'){
			$url = 'https://rest.nexmo.com/sms/json?' . http_build_query(array(
				  'api_key' =>  $userInfo->nexmo_api_key,
				  'api_secret' => $userInfo->nexmo_api_secret,
				  'to' => $to,
				  'from' => $from,
				  'text' => $message
			));
			$ch = curl_init($url);
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
			$response = curl_exec($ch);
			$response = json_decode(curl_exec($ch),true);
			if(($response['messages'][0]['status']=='0') || ($response['messages'][0]['status']=='1')){
				$smsSid = $response['messages'][0]['message-id'];
				$status = 'delivered';
			}else{
				$smsSid = $response['messages'][0]['error-text'];
				$status = 'failed';
			}	
		}
		
		if(trim($userInfo->timeZONE)){
			date_default_timezone_set($userInfo->timeZONE);
		}
		$history = array(
			'ToNum' => wpnmDBin($to),
			'FromNum' => wpnmDBin($from),
			'SMSSid' => wpnmDBin($smsSid),
			'SMS' => wpnmDBin($message),
			'campid' => wpnmDBin($groupID),
			'direction' => wpnmDBin('out-bound'),
			'media' => wpnmDBin($media),
			'CreatedDate' => wpnmDBin(date('Y-m-d H:i:s')),
			'status' => wpnmDBin($status),
			'error_code' => wpnmDBin($errorCode),
			'error_message' => wpnmDBin($errorMessage)
		);
		$wpdb->insert($wpdb->prefix."nm_sms_inbox",$history);
		return $smsSid;
	}
	function getWPNMUserInfo(){
		global $wpdb;
		return $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."nm_client_info");
	}
	
	include_once('page_contents.php');

	function wpnmDBin($string){
		$a = html_entity_decode($string);
		return trim(htmlspecialchars($a,ENT_QUOTES));
	}
	function DBout($string){
		$string = stripslashes(trim($string));
		return str_replace("'","'",html_entity_decode($string,ENT_QUOTES,'UTF-8'));
	}
	function wpnmDBout($string){
		$string = stripslashes(trim($string));
		return str_replace("&#039;","'",html_entity_decode($string,ENT_QUOTES,'UTF-8'));
	}
	function nmTwoWayChat(){
		include_once("nm_two_way_chat.php");
		die();
	}
	function nmNoneSubscribers(){
		include_once("nm_none_subscribers.php");
		die();
	}
	function nmSubscribersStats(){
		include_once("nm_subscribers_stats.php");
		die();
	}
    
    function nmSubsChats(){
		include_once("nm_chats.php");
		die();
	}
    
    
    
	function nm_create_admin_menu(){
       global $wpdb;
       $allowed = 0;
       $query_permissions = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."nm_client_info"); 
       $roles = json_decode($query_permissions[0]->roles,true);
       
       $user = wp_get_current_user();
       $role = ( array ) $user->roles;
       $role = $role[0];
       
       if($role=="administrator"){
           $allowed = 1;
       }else{
           if(in_array($role,$roles)){
               $allowed = 1;
           }
       }
       
       if($allowed==1){
    		add_menu_page('SMS Marketing', 'SMS Marketing', $role,'nm_main','nm_add_main_page_contents' , 'dashicons-format-chat');
    		add_submenu_page('nm_main','Dashboard','Dashboard',$role,'nm_main','nm_add_main_page_contents');   add_submenu_page('nm_main','Subscribers','Subscribers',$role,'nm_subscribers','nm_subscribers_contents');
    		if($_REQUEST['page']=='display_fake_numbers'){
    			add_submenu_page('nm_main','Fake / Bounced Numbers','Fake / Bounced Numbers',$role,'display_fake_numbers','displayFakeNumbers');
    		}
    		if($_REQUEST['page']=='subs_stats'){
    			add_submenu_page('nm_main','Subscribers stats','Subscribers stats',$role,'subs_stats','nmSubscribersStats');
    		}
    		if($_REQUEST['page']=='none_subscribers'){
    			add_submenu_page('nm_main','None subscribers','None subscribers',$role,'none_subscribers','nmNoneSubscribers');
    		}
    		if($_REQUEST['page']=='nm_subs_chat'){
    			add_submenu_page('nm_main','Two way chat','Two way chat',$role,'nm_subs_chat','nmTwoWayChat');
    		}
            
            if($_REQUEST['page']=='nm_subs_chats'){
                add_submenu_page('nm_main','Unread chats','Unread chats',$role,'nm_subs_chats','nmSubsChats');
            }
            
            add_submenu_page('nm_main','Campaigns','Campaigns',$role,'nm_campaigns','nm_campaign_contens');
            add_submenu_page('nm_main','Trivia Campaign','Trivia',$role,'nm_trivia','nm_trivia_contents');
            add_submenu_page('nm_main','Viral Campaign','Viral',$role,'nm_viral','nm_viral_contents');
            add_submenu_page('nm_main','Contest Campaign','Contest',$role,'nm_contest','nm_contest_contents');
    		add_submenu_page('nm_main','Auto Responder','Auto Responder',$role,'nm_auto_responder','nm_auto_responder_contents');
    		add_submenu_page('nm_main','Autoresponder (Woo)','Autoresponder (Woo)',$role,'wooautores','createWooAutoresponder');
    		add_submenu_page('nm_main','Quick SMS','Quick SMS',$role,'nm_gk_sms','sendGKSMS');
    	
    		add_submenu_page('nm_main','Settings','Settings',$role,'nm_settings','nm_setting_contents');
		   add_submenu_page('nm_main','Bulk / Scheduler SMS','Bulk / Scheduler SMS',$role,'nm_scheduler','nmShedulerContentsNew');
		   
    		if($_GET['page']=='show_scheduler_stats'){
    			add_submenu_page('nm_main','Scheduler stats','Scheduler stats',$role,'show_scheduler_stats','nmShowSchedulerStats');
    		}
    	
    		add_submenu_page('nm_main','Widget','Widget',$role,'nm_widget','nm_widget_contents');
    	
    		add_submenu_page('nm_main','SMS Report','SMS Report',$role,'nm_sms_report','nm_sms_report_contents');
    	
    		add_submenu_page('nm_main','Call Report','Call Report',$role,'nm_call_report','nm_call_report_contents');
        
        }
	}
	function nmShedulerContentsNew(){
		include_once("scheduler_new.php");
		die();
	}
		
    function createWooAutoresponder(){
		include_once("nm_woo_autoresponder.php");
		die();
	}
    function nm_trivia_contents(){
        include_once("require_trivia.php");
		die();
    }
    
    function nm_contest_contents(){
        include_once("require_contest.php");
		die();
    }
    
    function nm_viral_contents(){
        include_once("require_viral.php");
		die();
    }
    
    
    
	function nmShowSchedulerStats(){
		include_once("show_scheduler_stats.php");
		die();
	}
	function loadingCustomWooInfoMessage(){
		include_once("send_custom_woocommerce_info.php");
		die();	
	}
	function sendGKSMS(){
		include_once('make_gk_sms.php');
		die();
	}
	function wooorderinfo(){
		include_once("wooinfo_contents.php");
		die();
	}
	function nm_check_twilio_settings(){
		global $wpdb;
		$table = $wpdb->prefix.'nm_client_info';
		$check = $wpdb->get_results("SELECT * FROM $table");
		if(trim($check[0]->AccountSid) == ''){
			$_SESSION['nm_error_notice'] = 'Please Update Your Twilio Account SID And Authentication Tocken From <i>WP Messaging -> Settings -> Twilio Settings</i>';
		}
	}
	function nm_init_sessions(){
		if(!session_id()){
			session_start();
		}
	}

	function nm_drop_table(){
		global $wpdb;	
		$pre = $wpdb->prefix;
		$table[0] = $pre."nm_client_info";
		$table[1] = $pre."nm_states";
		$table[2] = $pre."nm_area_codes";
		$table[3] = $pre."nm_phone_numbers";
		$table[4] = $pre."nm_client_groups";
		$table[5] = $pre."nm_text_sms";
		$table[6] = $pre."nm_user_phone_numbers";
		$table[7] = $pre."nm_phone_number_group_assignment";
		$table[8] = $pre."nm_scheduler";
		$table[9] = $pre."nm_sms_inbox";
		$table[11] = $pre."nm_order_details";
		$table[12] = $pre."nm_widget_style";
		for($i=0; $i<13; $i++){
			$Table_name = $table[$i];
			$query = $wpdb->query("DROP TABLE IF EXISTS $Table_name");
		}
		$callHistory = $wpdb->prefix."nm_call_history";	
		$wpdb->query("DROP TABLE IF EXISTS $callHistory");
		$backendSendings = $wpdb->prefix."nm_backend_sendings";	
		$wpdb->query("DROP TABLE IF EXISTS $backendSendings");
		$timeZones = $wpdb->prefix."nm_time_zones";	
		$wpdb->query("DROP TABLE IF EXISTS $timeZones");
		$wpdb->query("DROP TABLE IF EXISTS ".$wpdb->prefix."nm_chat_history");
	}

	function nm_db_table(){
		global $wpdb;
		global $jal_db_version;
		$backendSendings = $wpdb->prefix."nm_backend_sendings";	
		$wpdb->query("CREATE TABLE IF NOT EXISTS ".$backendSendings." (
			`id` int(11) NOT NULL,
			`to_number` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
			`from_number` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
			`message` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
			`media_file` varchar(200) COLLATE utf8_unicode_ci DEFAULT NULL,
			`status` int(11) DEFAULT '0' COMMENT '1 for sent',
			`batch_type` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
			`sms_sid` varchar(300) COLLATE utf8_unicode_ci DEFAULT NULL,
			`created_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
			) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;");
	
		$wpdb->query("ALTER TABLE ".$backendSendings." ADD PRIMARY KEY (`id`);");
		$wpdb->query("ALTER TABLE ".$backendSendings." MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;");
	
		$timeZones = $wpdb->prefix."nm_time_zones";
		$wpdb->query("DROP TABLE IF EXISTS $timeZones");
		$wpdb->query("CREATE TABLE IF NOT EXISTS ".$timeZones." (
			`id` int(11) NOT NULL,
			`time_zone` varchar(150) NOT NULL,
			`time_zone_value` varchar(50) NOT NULL
			) ENGINE=InnoDB AUTO_INCREMENT=113 DEFAULT CHARSET=latin1;");
		$wpdb->query("INSERT INTO ".$timeZones." (`id`, `time_zone`, `time_zone_value`) VALUES
	
	(1, 'Pacific/Midway', '(GMT-11:00) Midway Island'),
	
	(2, 'US/Samoa', '(GMT-11:00) Samoa'),
	
	(3, 'US/Hawaii', '(GMT-10:00) Hawaii'),
	
	(4, 'US/Alaska', '(GMT-09:00) Alaska'),
	
	(5, 'US/Pacific', '(GMT-08:00) Pacific Time (US &amp; Canada)'),
	
	(6, 'America/Tijuana', '(GMT-08:00) Tijuana'),
	
	(7, 'US/Arizona', '(GMT-07:00) Arizona'),
	
	(8, 'US/Mountain', '(GMT-07:00) Mountain Time (US &amp; Canada)'),
	
	(9, 'America/Chihuahua', '(GMT-07:00) Chihuahua'),
	
	(10, 'America/Mazatlan', '(GMT-07:00) Mazatlan'),
	
	(11, 'America/Mexico_City', '(GMT-06:00) Mexico City'),
	
	(12, 'America/Monterrey', '(GMT-06:00) Monterrey'),
	
	(13, 'Canada/Saskatchewan', '(GMT-06:00) Saskatchewan'),
	
	(14, 'US/Central', '(GMT-06:00) Central Time (US &amp; Canada)'),
	
	(15, 'US/Eastern', '(GMT-05:00) Eastern Time (US &amp; Canada)'),
	
	(16, 'US/East-Indiana', '(GMT-05:00) Indiana (East)'),
	
	(17, 'America/Bogota', '(GMT-05:00) Bogota'),
	
	(18, 'America/Lima', '(GMT-05:00) Lima'),
	
	(19, 'America/Caracas', '(GMT-04:30) Caracas'),
	
	(20, 'Canada/Atlantic', '(GMT-04:00) Atlantic Time (Canada)'),
	
	(21, 'America/La_Paz', '(GMT-04:00) La Paz'),
	
	(22, 'America/Santiago', '(GMT-04:00) Santiago'),
	
	(23, 'Canada/Newfoundland', '(GMT-03:30) Newfoundland'),
	
	(24, 'America/Buenos_Aires', '(GMT-03:00) Buenos Aires'),
	
	(25, 'Greenland', '(GMT-03:00) Greenland'),
	
	(26, 'Atlantic/Stanley', '(GMT-02:00) Stanley'),
	
	(27, 'Atlantic/Azores', '(GMT-01:00) Azores'),
	
	(28, 'Atlantic/Cape_Verde', '(GMT-01:00) Cape Verde Is.'),
	
	(29, 'Africa/Casablanca', '(GMT) Casablanca'),
	
	(30, 'Europe/Dublin', '(GMT) Dublin'),
	
	(31, 'Europe/Lisbon', '(GMT) Lisbon'),
	
	(32, 'Europe/London', '(GMT) London'),
	
	(33, 'Africa/Monrovia', '(GMT) Monrovia'),
	
	(34, 'Europe/Amsterdam', '(GMT+01:00) Amsterdam'),
	
	(35, 'Europe/Belgrade', '(GMT+01:00) Belgrade'),
	
	(36, 'Europe/Berlin', '(GMT+01:00) Berlin'),
	
	(37, 'Europe/Bratislava', '(GMT+01:00) Bratislava'),
	
	(38, 'Europe/Brussels', '(GMT+01:00) Brussels'),
	
	(39, 'Europe/Budapest', '(GMT+01:00) Budapest'),
	
	(40, 'Europe/Copenhagen', '(GMT+01:00) Copenhagen'),
	
	(41, 'Europe/Ljubljana', '(GMT+01:00) Ljubljana'),
	
	(42, 'Europe/Madrid', '(GMT+01:00) Madrid'),
	
	(43, 'Europe/Paris', '(GMT+01:00) Paris'),
	
	(44, 'Europe/Prague', '(GMT+01:00) Prague'),
	
	(45, 'Europe/Rome', '(GMT+01:00) Rome'),
	
	(46, 'Europe/Sarajevo', '(GMT+01:00) Sarajevo'),
	
	(47, 'Europe/Skopje', '(GMT+01:00) Skopje'),
	
	(48, 'Europe/Stockholm', '(GMT+01:00) Stockholm'),
	
	(49, 'Europe/Vienna', '(GMT+01:00) Vienna'),
	
	(50, 'Europe/Warsaw', '(GMT+01:00) Warsaw'),
	
	(51, 'Europe/Zagreb', '(GMT+01:00) Zagreb'),
	
	(52, 'Europe/Athens', '(GMT+02:00) Athens'),
	
	(53, 'Europe/Bucharest', '(GMT+02:00) Bucharest'),
	
	(54, 'Africa/Cairo', '(GMT+02:00) Cairo'),
	
	(55, 'Africa/Harare', '(GMT+02:00) Harare'),
	
	(56, 'Europe/Helsinki', '(GMT+02:00) Helsinki'),
	
	(57, 'Europe/Istanbul', '(GMT+02:00) Istanbul'),
	
	(58, 'Asia/Jerusalem', '(GMT+02:00) Jerusalem'),
	
	(59, 'Europe/Kiev', '(GMT+02:00) Kyiv'),
	
	(60, 'Europe/Minsk', '(GMT+02:00) Minsk'),
	
	(61, 'Europe/Riga', '(GMT+02:00) Riga'),
	
	(62, 'Europe/Sofia', '(GMT+02:00) Sofia'),
	
	(63, 'Europe/Tallinn', '(GMT+02:00) Tallinn'),
	
	(64, 'Europe/Vilnius', '(GMT+02:00) Vilnius'),
	
	(65, 'Asia/Baghdad', '(GMT+03:00) Baghdad'),
	
	(66, 'Asia/Kuwait', '(GMT+03:00) Kuwait'),
	
	(67, 'Africa/Nairobi', '(GMT+03:00) Nairobi'),
	
	(68, 'Asia/Riyadh', '(GMT+03:00) Riyadh'),
	
	(69, 'Europe/Moscow', '(GMT+03:00) Moscow'),
	
	(70, 'Asia/Tehran', '(GMT+03:30) Tehran'),
	
	(71, 'Asia/Baku', '(GMT+04:00) Baku'),
	
	(72, 'Europe/Volgograd', '(GMT+04:00) Volgograd'),
	
	(73, 'Asia/Muscat', '(GMT+04:00) Muscat'),
	
	(74, 'Asia/Tbilisi', '(GMT+04:00) Tbilisi'),
	
	(75, 'Asia/Yerevan', '(GMT+04:00) Yerevan'),
	
	(76, 'Asia/Kabul', '(GMT+04:30) Kabul'),
	
	(77, 'Asia/Karachi', '(GMT+05:00) Karachi'),
	
	(78, 'Asia/Tashkent', '(GMT+05:00) Tashkent'),
	
	(79, 'Asia/Kolkata', '(GMT+05:30) Kolkata'),
	
	(80, 'Asia/Kathmandu', '(GMT+05:45) Kathmandu'),
	
	(81, 'Asia/Yekaterinburg', '(GMT+06:00) Ekaterinburg'),
	
	(82, 'Asia/Almaty', '(GMT+06:00) Almaty'),
	
	(83, 'Asia/Dhaka', '(GMT+06:00) Dhaka'),
	
	(84, 'Asia/Novosibirsk', '(GMT+07:00) Novosibirsk'),
	
	(85, 'Asia/Bangkok', '(GMT+07:00) Bangkok'),
	
	(86, 'Asia/Jakarta', '(GMT+07:00) Jakarta'),
	
	(87, 'Asia/Krasnoyarsk', '(GMT+08:00) Krasnoyarsk'),
	
	(88, 'Asia/Chongqing', '(GMT+08:00) Chongqing'),
	
	(89, 'Asia/Hong_Kong', '(GMT+08:00) Hong Kong'),
	
	(90, 'Asia/Kuala_Lumpur', '(GMT+08:00) Kuala Lumpur'),
	
	(91, 'Australia/Perth', '(GMT+08:00) Perth'),
	
	(92, 'Asia/Singapore', '(GMT+08:00) Singapore'),
	
	(93, 'Asia/Taipei', '(GMT+08:00) Taipei'),
	
	(94, 'Asia/Ulaanbaatar', '(GMT+08:00) Ulaan Bataar'),
	
	(95, 'Asia/Urumqi', '(GMT+08:00) Urumqi'),
	
	(96, 'Asia/Irkutsk', '(GMT+09:00) Irkutsk'),
	
	(97, 'Asia/Seoul', '(GMT+09:00) Seoul'),
	
	(98, 'Asia/Tokyo', '(GMT+09:00) Tokyo'),
	
	(99, 'Australia/Adelaide', '(GMT+09:30) Adelaide'),
	
	(100, 'Australia/Darwin', '(GMT+09:30) Darwin'),
	
	(101, 'Asia/Yakutsk', '(GMT+10:00) Yakutsk'),
	
	(102, 'Australia/Brisbane', '(GMT+10:00) Brisbane'),
	
	(103, 'Australia/Canberra', '(GMT+10:00) Canberra'),
	
	(104, 'Pacific/Guam', '(GMT+10:00) Guam'),
	
	(105, 'Australia/Hobart', '(GMT+10:00) Hobart'),
	
	(106, 'Australia/Melbourne', '(GMT+10:00) Melbourne'),
	
	(107, 'Pacific/Port_Moresby', '(GMT+10:00) Port Moresby'),
	
	(108, 'Australia/Sydney', '(GMT+10:00) Sydney'),
	
	(109, 'Asia/Vladivostok', '(GMT+11:00) Vladivostok'),
	
	(110, 'Asia/Magadan', '(GMT+12:00) Magadan'),
	
	(111, 'Pacific/Auckland', '(GMT+12:00) Auckland'),
	
	(112, 'Pacific/Fiji', '(GMT+12:00) Fiji');");
		$wpdb->query("ALTER TABLE ".$timeZones." ADD PRIMARY KEY (`id`);");
		$wpdb->query("ALTER TABLE ".$timeZones." MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=113;");
	
		$callHistory = $wpdb->prefix."nm_call_history";
		$wpdb->query("CREATE TABLE IF NOT EXISTS $callHistory (
			`id` int(11) NOT NULL,
			`to_number` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
			`from_number` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
			`created_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
			) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;");
		$wpdb->query("ALTER TABLE ".$callHistory." ADD PRIMARY KEY (`id`);");
		$wpdb->query("ALTER TABLE ".$callHistory."
			MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=1;");

		$wooInfo = $wpdb->prefix."nm_order_details";
		$sqlwoo = "CREATE TABLE IF NOT EXISTS `$wooInfo`(
			`id` int(11) NOT NULL,
			`status_text` varchar(300) COLLATE utf8_unicode_ci DEFAULT NULL,
			`forward_camp_id` int(11) NOT NULL DEFAULT '0'
			) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;";
		$wpdb->query($sqlwoo);
		$wpdb->query("ALTER TABLE `$wooInfo` ADD PRIMARY KEY (`id`);");
		$wpdb->query("ALTER TABLE `$wooInfo` MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;");

		$Table_name = $wpdb->prefix . 'nm_client_info';	
		if(!$wpdb->get_var( "SHOW TABLES LIKE $Table_name" )){
			$sql = "CREATE TABLE $Table_name
			(
				`id` int(11) NOT NULL AUTO_INCREMENT,
				`AccountSid` varchar(255) NOT NULL,
				`AuthTocken` varchar(255) NOT NULL,
				`SubSMS` varchar(255) NOT NULL,
				`UnSubSMS` varchar(255) NOT NULL,
				`ReSubSMS` varchar(255) NOT NULL,
				`TypoSMS` varchar(255) NOT NULL,
				`VoiceGreeting` longtext NOT NULL,
				`VoiceGreetingMP3` varchar(255) NOT NULL,
				`CallSubMsg` longtext NOT NULL,
				`CallSubMP3` varchar(255) NOT NULL,
				`CallUnSubMsg` longtext NOT NULL,
				`CallUnSubMP3` varchar(255) NOT NULL,
				`HelpText` varchar(255) NOT NULL,
				`camp_id` INT NOT NULL,
				`timeZONE` varchar(50) NOT NULL,
				`adminPH` varchar(100) NOT NULL,
				 PRIMARY KEY (`id`)
			);";	
			$wpdb->query($sql);
			$wpdb->query("ALTER TABLE ".$Table_name." add `camp_id` int(11) NOT NULL");
			$wpdb->query("ALTER TABLE ".$Table_name." add `timeZONE` varchar(50) NOT NULL");
			$wpdb->query("ALTER TABLE ".$Table_name." add `adminPH` varchar(100) NOT NULL");
			$wpdb->query("ALTER TABLE ".$Table_name." ADD `HelpText` VARCHAR(500) NOT NULL");
			$wpdb->query("ALTER TABLE ".$Table_name." ADD `auto_status_sms_woo` TINYINT NOT NULL DEFAULT '0' ;");
			$wpdb->query("ALTER TABLE ".$Table_name." ADD `woo_status_sms` VARCHAR(300) NULL DEFAULT NULL ;");
			$wpdb->query("ALTER TABLE ".$Table_name." CHANGE `auto_status_sms_woo` `auto_status_sms_woo` TINYINT(4) NULL DEFAULT '0';");
		}

		$Table_name = $wpdb->prefix.'nm_states';
		if(!$wpdb->get_var("SHOW TABLES LIKE $Table_name")){
			$sql = "CREATE TABLE $Table_name
			(
				`id` int(11) NOT NULL AUTO_INCREMENT,
				`State` varchar(255) NOT NULL,
				`Code` varchar(255) NOT NULL,
				`Status` varchar(255) NOT NULL,
				 PRIMARY KEY (`id`)
			);";
			$wpdb->query($sql);
			$tabl_insert = $wpdb->prefix.'nm_states';
			$filename = NM_PluginURL.'db_files/nm_states.csv';
			nm_insert_in_db($filename, $tabl_insert);
		}

		$Table_name = $wpdb->prefix.'nm_area_codes';	
		if(!$wpdb->get_var("SHOW TABLES LIKE $Table_name")){
			$sql = "CREATE TABLE $Table_name(
				`id` int(11) NOT NULL AUTO_INCREMENT,
				`StateCode` varchar(255) NOT NULL,
				`AreaCode` varchar(255) NOT NULL,
				`IsActive` tinyint(3) NOT NULL,
				`Status` tinyint(3) NOT NULL,
				 PRIMARY KEY (`id`)
			);";	
			$wpdb->query($sql);
			$tabl_insert = $wpdb->prefix.'nm_area_codes';
			$filename = NM_PluginURL.'db_files/nm_area_codes.csv';
			nm_insert_in_db($filename, $tabl_insert);
		}
	
		$Table_name = $wpdb->prefix.'nm_phone_numbers';
		if(!$wpdb->get_var( "SHOW TABLES LIKE $Table_name")){
			$sql = "CREATE TABLE $Table_name(
				`id` int(11) NOT NULL AUTO_INCREMENT,
				`TwilioPhoneNo` varchar(255) NOT NULL,
				`PhoneSid` varchar(255) NOT NULL,
				`Type` int(11) NOT NULL,
				`Status` int(11) NOT NULL,
				`CreatedUser` int(11) NOT NULL,
				`CreatedDate` datetime,
				 PRIMARY KEY (`id`)
			);";	
			$wpdb->query($sql);	
			$wpdb->query("ALTER TABLE ".$Table_name." ADD `TwilioPhoneNo` varchar(255) NOT NULL");
		}
	
		$Table_name = $wpdb->prefix.'nm_client_groups';
		if(!$wpdb->get_var("SHOW TABLES LIKE $Table_name")){
			$sql = "CREATE TABLE $Table_name(
				`id` int(11) NOT NULL AUTO_INCREMENT,
				`Title` varchar(255) NOT NULL,
				`Keyword` varchar(255) NOT NULL,
				`Status` tinyint(4) NOT NULL,
				`DayDelay1` varchar(255) NOT NULL,
				`SubscriptionSMS1` text NOT NULL,
				`DayDelay2` text NOT NULL,
				`SubscriptionSMS2` text NOT NULL,
				`DayDelay3` text NOT NULL,
				`SubscriptionSMS3` text NOT NULL,
				`CampaignSMS` text NOT NULL,
				`DelayTime1` time NOT NULL,
				`DelayTime2` time NOT NULL,
				`DelayTime3` time NOT NULL,
				`PhoneNumber` varchar(255) NOT NULL,
				`IsSpecialGroup` tinyint(4) NOT NULL,
				`BakcOfficeNumber` varchar(255) NOT NULL,
				`SpecialGroupSMS` text NOT NULL,
				`SpecialGroupOfficeSMS` text NOT NULL,
				`SpecialGroupType` tinyint(4) NOT NULL,
				`SpecialGroupEmail` varchar(300) NOT NULL,
				`ARType` tinyint(4) NOT NULL,
				`CreatedDate` datetime NOT NULL,
				`CampFile` varchar(300) NOT NULL,
				`Delay1File` varchar(300) NOT NULL,
				`Delay2File` varchar(300) NOT NULL,
				`Delay3File` varchar(300) NOT NULL,
				 PRIMARY KEY (`id`)
			);";	
			 $wpdb->query($sql);	
			 $wpdb->query("ALTER TABLE ".$Table_name." ADD `CampFile` varchar(300) NOT NULL");
			 $wpdb->query("ALTER TABLE ".$Table_name." ADD `Delay1File` varchar(300) NOT NULL");
			 $wpdb->query("ALTER TABLE ".$Table_name." ADD `Delay2File` varchar(300) NOT NULL");
			 $wpdb->query("ALTER TABLE ".$Table_name." ADD `Delay3File` varchar(300) NOT NULL");
		}
	
	
	

	
	
		$Table_name = $wpdb->prefix . 'nm_text_sms';
	
	
	
		if( !$wpdb->get_var( "SHOW TABLES LIKE $Table_name" ) ) {
	
	
	
			$sql = "CREATE TABLE $Table_name
	
			(
	
				`id` int(11) NOT NULL AUTO_INCREMENT,
	
				`Message` text NOT NULL,
	
				`Status` tinyint(4) NOT NULL,
	
				`images` varchar(300) NOT NULL,
	
				 PRIMARY KEY (`id`)
	
			);";	

	
			$wpdb->query($sql);
	
			$wpdb->query("ALTER TABLE ".$Table_name." add `images` varchar(300) NOT NULL");
	

	
	
		}
	
	
	
	
	
		$Table_name = $wpdb->prefix . 'nm_widget_style';
	
	
	
		if( !$wpdb->get_var( "SHOW TABLES LIKE $Table_name" ) ) {
	
	
	
			$sql = "CREATE TABLE $Table_name
	
			(
	
				`id` int(11) NOT NULL AUTO_INCREMENT,
	
				`text` varchar(20) NOT NULL,
	
				`background` varchar(20) NOT NULL,
	
				`border` varchar(20) NOT NULL,
	
				 PRIMARY KEY (`id`)
	
			);";	

			$wpdb->query($sql);

	
		}

	
	
		$Table_name = $wpdb->prefix . 'nm_user_phone_numbers';
	
	
	
		if( !$wpdb->get_var( "SHOW TABLES LIKE $Table_name" ) ) {
	
	
	
			$sql = "CREATE TABLE $Table_name
	
	
	
			(
	
				`id` int(11) NOT NULL AUTO_INCREMENT,
	
				`Name` varchar(255) NOT NULL,
	
				`PhoneNumber` varchar(255) NOT NULL,
	
				`Type` tinyint(4) NOT NULL,
	
				`CreatedDate` datetime NOT NULL,
	
				`Status` tinyint(4) NOT NULL,
	
				`DayDelay1` VARCHAR(254) NOT NULL,
	
				`DayDelay2` VARCHAR(254) NOT NULL,
	
				`DayDelay3` VARCHAR(254) NOT NULL,
	
				`DelayTime1` VARCHAR(254) NOT NULL,
	
				`DelayTime2` VARCHAR(254) NOT NULL,
	
				`DelayTime3` VARCHAR(254) NOT NULL,
	
				 PRIMARY KEY (`id`)
	
			);";	
			$wpdb->query($sql);

	
			$wpdb->query("ALTER TABLE ".$Table_name." ADD `DayDelay1` VARCHAR(254) NOT NULL AFTER `PhoneNumber`");
	
			$wpdb->query("ALTER TABLE ".$Table_name." ADD `DayDelay2` VARCHAR(254) NOT NULL AFTER `DayDelay1`");
	
			$wpdb->query("ALTER TABLE ".$Table_name." ADD `DayDelay3` VARCHAR(254) NOT NULL AFTER `DayDelay2`");
	
			$wpdb->query("ALTER TABLE ".$Table_name." ADD `DelayTime1` VARCHAR(254) NOT NULL AFTER `DayDelay3`");
	
			$wpdb->query("ALTER TABLE ".$Table_name." ADD `DelayTime2` VARCHAR(254) NOT NULL AFTER `DelayTime1`");
	
			$wpdb->query("ALTER TABLE ".$Table_name." ADD `DelayTime3` VARCHAR(254) NOT NULL AFTER `DelayTime2`");
	
			$wpdb->query("ALTER TABLE ".$Table_name." ADD `PhoneSid` VARCHAR(500) NOT NULL AFTER `DelayTime3`");
	
		}
	

	
	
		$Table_name = $wpdb->prefix . 'nm_phone_number_group_assignment';
	
	
	
		if( !$wpdb->get_var( "SHOW TABLES LIKE $Table_name" ) ) {
	
	
	
			$sql = "CREATE TABLE $Table_name
	
			(
	
				`id` int(11) NOT NULL AUTO_INCREMENT,
	
				`PhoneNumberID` int(11) NOT NULL,
	
				`GroupID` int(11) NOT NULL,
	
				`CreatedDate` datetime NOT NULL,
	
				 PRIMARY KEY (`id`)
	
	
	
			);";	

	
			$wpdb->query($sql);
	

		}
	

	
	
		$Table_name = $wpdb->prefix . 'nm_scheduler';
	
	
	
		if( !$wpdb->get_var( "SHOW TABLES LIKE $Table_name" ) ) {
	
	
	
			$sql = "CREATE TABLE $Table_name
	
			(
	
				`id` int(11) NOT NULL AUTO_INCREMENT,
	
				`Subject` varchar(500) NOT NULL,
	
				`DateTime` datetime NOT NULL,
	
				`GroupID` int(11) NOT NULL,
	
				`PhoneNumberID` varchar(255) NOT NULL,
	
				`SMSText` text NOT NULL,
	
				`Status` tinyint(4) NOT NULL,
	
				`mms_imgs` varchar(300) NOT NULL,
	
				 PRIMARY KEY (`id`)
	
			);";	
	

			$wpdb->query($sql);

	
			$wpdb->query("ALTER TABLE ".$Table_name." ADD `mms_imgs` VARCHAR(300) NOT NULL");
	
		}
	
	
	
	
	
	

	
	
		$Table_name = $wpdb->prefix . 'nm_sms_inbox';
	
		
	
		
	
		if( !$wpdb->get_var( "SHOW TABLES LIKE $Table_name" ) ) {
	
	
	
			$sql = "CREATE TABLE $Table_name
	
			(
	
				`id` int(11) NOT NULL AUTO_INCREMENT,
	
				`ToNum` varchar(255) NOT NULL,
	
				`FromNum` varchar(255) NOT NULL,
	
				`SMSSid` varchar(255) NOT NULL,
	
				`SMS` text NOT NULL,
	
				`CreatedDate` datetime NOT NULL,
	
				 PRIMARY KEY (`id`)
	
			);";	

	
			$wpdb->query($sql);
	
			$wpdb->query("ALTER TABLE ".$Table_name." ADD `campid` VARCHAR(500) NOT NULL");
	
			$wpdb->query("ALTER TABLE ".$Table_name." ADD `direction` VARCHAR(500) NOT NULL");
	
			$wpdb->query("ALTER TABLE ".$Table_name." ADD `media` VARCHAR(500) NOT NULL");
	
			$wpdb->query("ALTER TABLE ".$Table_name." ADD `recording` VARCHAR(500) NOT NULL");
	
			$wpdb->query("ALTER TABLE ".$Table_name." CHANGE `CreatedDate` `CreatedDate` TIMESTAMP NULL DEFAULT CURRENT_TIMESTAMP;");

	
		}
	
		

	
		$tableGroups = $wpdb->prefix.'nm_client_groups';
	
		$wpdb->query("ALTER TABLE `$tableGroups` CHANGE `id` `id` INT(11) NOT NULL AUTO_INCREMENT, CHANGE `Title` `Title` VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `Keyword` `Keyword` VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `Status` `Status` TINYINT(4) NULL DEFAULT NULL, CHANGE `DayDelay1` `DayDelay1` VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `SubscriptionSMS1` `SubscriptionSMS1` TEXT CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `DayDelay2` `DayDelay2` TEXT CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `SubscriptionSMS2` `SubscriptionSMS2` TEXT CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `DayDelay3` `DayDelay3` TEXT CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `SubscriptionSMS3` `SubscriptionSMS3` TEXT CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `CampaignSMS` `CampaignSMS` TEXT CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `DelayTime1` `DelayTime1` TIME NULL DEFAULT NULL, CHANGE `DelayTime2` `DelayTime2` TIME NULL DEFAULT NULL, CHANGE `DelayTime3` `DelayTime3` TIME NULL DEFAULT NULL, CHANGE `PhoneNumber` `PhoneNumber` VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `IsSpecialGroup` `IsSpecialGroup` TINYINT(4) NULL DEFAULT NULL, CHANGE `BakcOfficeNumber` `BakcOfficeNumber` VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `SpecialGroupSMS` `SpecialGroupSMS` TEXT CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `SpecialGroupOfficeSMS` `SpecialGroupOfficeSMS` TEXT CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `SpecialGroupType` `SpecialGroupType` TINYINT(4) NULL DEFAULT NULL, CHANGE `SpecialGroupEmail` `SpecialGroupEmail` VARCHAR(300) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `ARType` `ARType` TINYINT(4) NULL DEFAULT NULL, CHANGE `CreatedDate` `CreatedDate` DATETIME NULL DEFAULT NULL, CHANGE `CampFile` `CampFile` VARCHAR(300) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `Delay1File` `Delay1File` VARCHAR(300) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `Delay2File` `Delay2File` VARCHAR(300) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `Delay3File` `Delay3File` VARCHAR(300) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL;");

	
		$wpdb->query("ALTER TABLE `".$wpdb->prefix."nm_client_info` ADD `api_key` TEXT NULL DEFAULT NULL ;");
	
		$wpdb->query("ALTER TABLE `".$wpdb->prefix."nm_client_info` CHANGE `id` `id` INT(11) NOT NULL AUTO_INCREMENT, CHANGE `AccountSid` `AccountSid` VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `AuthTocken` `AuthTocken` VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `SubSMS` `SubSMS` VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `UnSubSMS` `UnSubSMS` VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `ReSubSMS` `ReSubSMS` VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `TypoSMS` `TypoSMS` VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `VoiceGreeting` `VoiceGreeting` LONGTEXT CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `VoiceGreetingMP3` `VoiceGreetingMP3` VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `CallSubMsg` `CallSubMsg` LONGTEXT CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `CallSubMP3` `CallSubMP3` VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `CallUnSubMsg` `CallUnSubMsg` LONGTEXT CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `CallUnSubMP3` `CallUnSubMP3` VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `HelpText` `HelpText` VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `camp_id` `camp_id` INT(11) NULL DEFAULT NULL, CHANGE `timeZONE` `timeZONE` VARCHAR(50) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `adminPH` `adminPH` VARCHAR(100) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `api_key` `api_key` TEXT CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL;");
	
		$wpdb->query("ALTER TABLE `".$wpdb->prefix."nm_phone_numbers` CHANGE `id` `id` INT(11) NOT NULL AUTO_INCREMENT, CHANGE `TwilioPhoneNo` `TwilioPhoneNo` VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `PhoneSid` `PhoneSid` VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `Type` `Type` INT(11) NOT NULL DEFAULT '0', CHANGE `Status` `Status` INT(11) NOT NULL DEFAULT '0', CHANGE `CreatedUser` `CreatedUser` INT(11) NOT NULL DEFAULT '0', CHANGE `CreatedDate` `CreatedDate` DATETIME NULL DEFAULT NULL;");

	
		$wpdb->query("ALTER TABLE `".$wpdb->prefix."nm_text_sms` CHANGE `id` `id` INT(11) NOT NULL AUTO_INCREMENT, CHANGE `Message` `Message` TEXT CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `Status` `Status` TINYINT(4) NULL DEFAULT NULL, CHANGE `images` `images` VARCHAR(300) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL;");
	
		$wpdb->query("ALTER TABLE `".$wpdb->prefix."nm_client_info` ADD `camp_url` VARCHAR(300) NULL DEFAULT NULL , ADD `subs_url` VARCHAR(300) NULL DEFAULT NULL ;");
	
		$wpdb->query("ALTER TABLE `".$wpdb->prefix."nm_scheduler` CHANGE `id` `id` INT(11) NOT NULL AUTO_INCREMENT, CHANGE `Subject` `Subject` VARCHAR(500) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `DateTime` `DateTime` DATETIME NULL DEFAULT NULL, CHANGE `GroupID` `GroupID` INT(11) NULL DEFAULT NULL, CHANGE `PhoneNumberID` `PhoneNumberID` VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `SMSText` `SMSText` TEXT CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `Status` `Status` TINYINT(4) NOT NULL DEFAULT '0', CHANGE `mms_imgs` `mms_imgs` VARCHAR(300) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL;");

	
		$wpdb->query("ALTER TABLE `".$wpdb->prefix."nm_sms_inbox` CHANGE `id` `id` INT(11) NOT NULL AUTO_INCREMENT, CHANGE `ToNum` `ToNum` VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `FromNum` `FromNum` VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `SMSSid` `SMSSid` VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `SMS` `SMS` TEXT CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `CreatedDate` `CreatedDate` DATETIME NULL DEFAULT NULL, CHANGE `campid` `campid` VARCHAR(500) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `direction` `direction` VARCHAR(500) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `media` `media` VARCHAR(500) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `recording` `recording` VARCHAR(500) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL;");
	

	
		$wpdb->query("ALTER TABLE `".$wpdb->prefix."nm_user_phone_numbers` CHANGE `id` `id` INT(11) NOT NULL AUTO_INCREMENT, CHANGE `Name` `Name` VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `PhoneNumber` `PhoneNumber` VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `Type` `Type` TINYINT(4) NOT NULL DEFAULT '0', CHANGE `CreatedDate` `CreatedDate` DATETIME NULL DEFAULT NULL, CHANGE `Status` `Status` TINYINT(4) NOT NULL DEFAULT '0', CHANGE `DayDelay1` `DayDelay1` VARCHAR(254) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `DayDelay2` `DayDelay2` VARCHAR(254) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `DayDelay3` `DayDelay3` VARCHAR(254) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `DelayTime1` `DelayTime1` VARCHAR(254) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `DelayTime2` `DelayTime2` VARCHAR(254) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `DelayTime3` `DelayTime3` VARCHAR(254) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL, CHANGE `PhoneSid` `PhoneSid` VARCHAR(500) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL;");
	
		$wpdb->query("ALTER TABLE `".$wpdb->prefix."nm_phone_number_group_assignment` CHANGE `id` `id` INT(11) NOT NULL AUTO_INCREMENT, CHANGE `PhoneNumberID` `PhoneNumberID` INT(11) NOT NULL DEFAULT '0', CHANGE `GroupID` `GroupID` INT(11) NOT NULL DEFAULT '0', CHANGE `CreatedDate` `CreatedDate` DATETIME NULL DEFAULT NULL;");

		
		$wpdb->query("ALTER TABLE `".$wpdb->prefix."nm_user_phone_numbers` ADD `date_of_birth` DATETIME NULL DEFAULT NULL AFTER `Type`;");
		
		$wpdb->query("ALTER TABLE `".$wpdb->prefix."nm_client_groups` MODIFY COLUMN `CampFile` text NULL;");
	
		$wpdb->query("ALTER TABLE `".$wpdb->prefix."nm_client_groups` MODIFY COLUMN `Delay1File` text NULL;");
	
		$wpdb->query("ALTER TABLE `".$wpdb->prefix."nm_client_groups` MODIFY COLUMN `Delay2File` text NULL;");
	
		$wpdb->query("ALTER TABLE `".$wpdb->prefix."nm_client_groups` MODIFY COLUMN `Delay3File` text NULL;");
		
		$wpdb->query("ALTER TABLE `".$wpdb->prefix."nm_client_info` ADD `sms_gateway` VARCHAR(50) NULL DEFAULT NULL AFTER `id`;");
		$wpdb->query("ALTER TABLE `".$wpdb->prefix."nm_client_info` ADD `plivo_auth_id` VARCHAR(255) NULL DEFAULT NULL AFTER `AuthTocken`, ADD `plivo_auth_token` VARCHAR(300) NULL DEFAULT NULL AFTER `plivo_auth_id`, ADD `plivo_app_id` VARCHAR(255) NULL DEFAULT NULL AFTER `plivo_auth_token`;");
		
		$wpdb->query("CREATE TABLE IF NOT EXISTS `".$wpdb->prefix."nm_chat_history` (
			`id` int(11) NOT NULL,
			`subs_id` int(11) NOT NULL,
			`from_number` varchar(20) COLLATE utf8_unicode_ci DEFAULT NULL,
			`to_number` varchar(20) COLLATE utf8_unicode_ci NOT NULL,
			`text` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
			`direction` varchar(20) COLLATE utf8_unicode_ci DEFAULT NULL,
			`is_read` tinyint(4) NOT NULL DEFAULT '1' COMMENT '1 for unread',
			`msg_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
			) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;");
		$wpdb->query("ALTER TABLE `".$wpdb->prefix."nm_chat_history` ADD PRIMARY KEY (`id`);");
		$wpdb->query("ALTER TABLE `".$wpdb->prefix."nm_chat_history` MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=1;");

		$wpdb->query("ALTER TABLE `".$wpdb->prefix."nm_client_groups` CHANGE `SpecialGroupType` `noti_type` VARCHAR(10) NULL DEFAULT NULL, CHANGE `ARType` `is_notity` TINYINT(4) NULL DEFAULT '0' COMMENT '1 for enable noti';");
		$wpdb->query("ALTER TABLE `".$wpdb->prefix."nm_phone_number_group_assignment` CHANGE `CreatedDate` `CreatedDate` TIMESTAMP NULL DEFAULT CURRENT_TIMESTAMP;");
		$wpdb->query("ALTER TABLE `".$wpdb->prefix."nm_user_phone_numbers` CHANGE `CreatedDate` `CreatedDate` TIMESTAMP NULL DEFAULT CURRENT_TIMESTAMP;");
		$wpdb->query("ALTER TABLE `".$wpdb->prefix."nm_sms_inbox` CHANGE `CreatedDate` `CreatedDate` TIMESTAMP NULL DEFAULT CURRENT_TIMESTAMP;");
		$wpdb->query("ALTER TABLE `".$wpdb->prefix."nm_client_groups` ADD `already_member_sms` VARCHAR(255) NULL DEFAULT NULL AFTER `CampaignSMS`;");
		$wpdb->query("ALTER TABLE `".$wpdb->prefix."nm_client_groups` CHANGE `CreatedDate` `CreatedDate` TIMESTAMP NULL DEFAULT CURRENT_TIMESTAMP;");
		$wpdb->query("ALTER TABLE `".$wpdb->prefix."nm_user_phone_numbers` CHANGE `Status` `Status` TINYINT(4) NOT NULL DEFAULT '1';");
		$wpdb->query("ALTER TABLE `".$wpdb->prefix."nm_client_info` ADD `nexmo_api_key` VARCHAR(255) NULL DEFAULT NULL , ADD `nexmo_api_secret` VARCHAR(255) NULL DEFAULT NULL ;");
		$wpdb->query("ALTER TABLE `".$wpdb->prefix."nm_client_info` CHANGE `Status` `Status` TINYINT(4) NOT NULL DEFAULT '1' COMMENT '1 for active, 2 for blocked, 3 for deleted, 4 none subscriber';");
		$wpdb->query("ALTER TABLE `".$wpdb->prefix."nm_client_info` ADD `append_text` VARCHAR(255) NULL DEFAULT NULL AFTER `SubSMS`;");
		$wpdb->query("ALTER TABLE `".$wpdb->prefix."nm_widget_style` ADD `camp_id` INT NOT NULL AFTER `border`, ADD `label_for_name` VARCHAR(255) NULL DEFAULT NULL AFTER `camp_id`, ADD `label_for_phone` VARCHAR(255) NULL DEFAULT NULL AFTER `label_for_name`, ADD `image_enable` TINYINT NOT NULL DEFAULT '0' AFTER `label_for_phone`, ADD `button_image` VARCHAR(255) NULL DEFAULT NULL AFTER `image_enable`, ADD `button_text` VARCHAR(255) NULL DEFAULT NULL AFTER `button_image`;");
		$wpdb->query("ALTER TABLE `".$wpdb->prefix."nm_sms_inbox` ADD `error_code` VARCHAR(100) NULL DEFAULT NULL AFTER `recording`, ADD `status` VARCHAR(100) NULL DEFAULT NULL AFTER `error_code`;");
		$wpdb->query("ALTER TABLE `".$wpdb->prefix."nm_sms_inbox` ADD `error_message` VARCHAR(300) NULL DEFAULT NULL;");
		
        
        $wpdb->query("ALTER TABLE `".$wpdb->prefix."nm_client_groups` ADD `welcome_sms` TEXT NULL DEFAULT NULL AFTER `Delay3File`, ADD `correct_sms` TEXT NULL DEFAULT NULL AFTER `welcome_sms`, ADD `wrong_sms` TEXT NULL DEFAULT NULL AFTER `correct_sms`, ADD `complete_sms` TEXT NULL DEFAULT NULL AFTER `wrong_sms`;");
        
        
        $wpdb->query("CREATE TABLE `".$wpdb->prefix."nm_trivia_questions` (
          `id` int(11) NOT NULL,
          `question` varchar(255) DEFAULT NULL,
          `campaign_id` int(11) NOT NULL,
          `user_id` int(11) NOT NULL,
          `created_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
        ) ENGINE=InnoDB DEFAULT CHARSET=latin1;");
        
        $wpdb->query("ALTER TABLE `".$wpdb->prefix."nm_trivia_questions` ADD PRIMARY KEY (`id`);");
        $wpdb->query("ALTER TABLE `".$wpdb->prefix."nm_trivia_questions` MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;");
        
        
        
        $wpdb->query("CREATE TABLE `".$wpdb->prefix."nm_trivia_answers` (
          `id` int(11) NOT NULL,
          `answer` varchar(255) DEFAULT NULL,
          `value` varchar(255) DEFAULT NULL,
          `correct` int(11) NOT NULL DEFAULT '0',
          `question_id` int(11) NOT NULL,
          `user_id` int(11) NOT NULL,
          `campaign_id` int(11) NOT NULL,
          `created_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
        ) ENGINE=InnoDB DEFAULT CHARSET=latin1;");
        
        
        $wpdb->query("ALTER TABLE `".$wpdb->prefix."nm_trivia_answers` ADD PRIMARY KEY (`id`);");  
        $wpdb->query("ALTER TABLE `".$wpdb->prefix."nm_trivia_answers` MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;");
        
        
        $wpdb->query("CREATE TABLE `".$wpdb->prefix."nm_bound_phones` (
          `id` int(11) NOT NULL,
          `to_number` varchar(25) COLLATE utf8_unicode_ci DEFAULT NULL,
          `from_number` varchar(25) COLLATE utf8_unicode_ci DEFAULT NULL,
          `user_id` int(11) NOT NULL DEFAULT '0',
          `group_id` int(11) NOT NULL DEFAULT '0',
          `lease_date` varchar(35) COLLATE utf8_unicode_ci DEFAULT NULL,
          `what_is_sent` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
          `question_id` int(11) NOT NULL DEFAULT '0',
          `is_viral_code` int(11) NOT NULL DEFAULT '0',
          `viral_code` varchar(20) COLLATE utf8_unicode_ci DEFAULT NULL
        ) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;");
                
        $wpdb->query("ALTER TABLE `".$wpdb->prefix."nm_bound_phones` ADD PRIMARY KEY (`id`);");
        $wpdb->query("ALTER TABLE `".$wpdb->prefix."nm_bound_phones` MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;");
        
        $wpdb->query("ALTER TABLE `".$wpdb->prefix."nm_client_groups` ADD `winning_number` INT NOT NULL DEFAULT '0' AFTER `complete_sms`, ADD `winner_msg` TEXT NULL DEFAULT NULL AFTER `winning_number`, ADD `looser_msg` TEXT NULL DEFAULT NULL AFTER `winner_msg`;");
        
        $wpdb->query("ALTER TABLE `".$wpdb->prefix."nm_client_groups` ADD `contest_cycle_num` INT NOT NULL DEFAULT '0' AFTER `looser_msg`;"); 
        
        
        $wpdb->query("CREATE TABLE `".$wpdb->prefix."nm_campaign_gift_track` (
          `id` int(11) NOT NULL,
          `phone_number_id` int(11) DEFAULT NULL,
          `campaign_id` int(11) DEFAULT NULL,
          `client_id` int(11) DEFAULT NULL,
          `counter` int(11) DEFAULT NULL,
          `is_gift` tinyint(4) DEFAULT '0',
          `created_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
          `gift_number` tinyint(4) NOT NULL DEFAULT '0',
          `cycle_number` int(11) NOT NULL
        ) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;");
        
        $wpdb->query("ALTER TABLE `".$wpdb->prefix."nm_campaign_gift_track` ADD PRIMARY KEY (`id`);");
        
        $wpdb->query("ALTER TABLE `".$wpdb->prefix."nm_campaign_gift_track` MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;");
        
        
        $wpdb->query("ALTER TABLE `".$wpdb->prefix."nm_client_groups` ADD `code_message` TEXT NULL DEFAULT NULL AFTER `contest_cycle_num`, ADD `notification_msg` TEXT NULL DEFAULT NULL AFTER `code_message`;");
        
        $wpdb->query("CREATE TABLE `".$wpdb->prefix."nm_viral_coupon_codes` (
          `id` int(11) NOT NULL,
          `phone_number_id` int(11) NOT NULL,
          `group_id` int(11) NOT NULL,
          `code` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
          `created_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
        ) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;");
        
        
        $wpdb->query("ALTER TABLE `".$wpdb->prefix."nm_viral_coupon_codes` ADD PRIMARY KEY (`id`);");
          
        $wpdb->query("ALTER TABLE `".$wpdb->prefix."nm_viral_coupon_codes` MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;");


        $wpdb->query("CREATE TABLE `".$wpdb->prefix."nm_viral_friends` (
          `id` int(11) NOT NULL,
          `phone_number_id` int(11) NOT NULL,
          `parent_phone_id` int(11) NOT NULL,
          `group_id` int(11) NOT NULL,
          `status` int(11) NOT NULL DEFAULT '0' COMMENT '0 for new as default, 1 friend counted',
          `created_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
        ) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;");
        
        $wpdb->query("ALTER TABLE `".$wpdb->prefix."nm_viral_friends` ADD PRIMARY KEY (`id`);");
          
        $wpdb->query("ALTER TABLE `".$wpdb->prefix."nm_viral_friends` MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;");
        
        
        $wpdb->query("ALTER TABLE `".$wpdb->prefix."nm_client_info` ADD `roles` VARCHAR(220) NULL DEFAULT NULL AFTER `nexmo_api_secret`;");
		
        $wpdb->query("ALTER TABLE `".$wpdb->prefix."nm_client_info` ADD `woo_autoresponders` TINYINT NOT NULL DEFAULT '0' COMMENT '1 for active' AFTER `roles`;");
        
		$wpdb->query("CREATE TABLE `".$wpdb->prefix."nm_woo_autoresponders` (
			`id` int(11) NOT NULL,
			`delay_days` int(11) NOT NULL DEFAULT '0',
			`delay_time` varchar(20) COLLATE utf8_unicode_ci DEFAULT NULL,
			`message` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
			`media` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL
			) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;");
		$wpdb->query("ALTER TABLE `".$wpdb->prefix."nm_woo_autoresponders` ADD PRIMARY KEY (`id`);");
		$wpdb->query("ALTER TABLE `".$wpdb->prefix."nm_woo_autoresponders` MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;");
}



function nm_insert_in_db($Filename, $Table)



{



	global $wpdb;

	$check = $wpdb->get_results( "SELECT * FROM $Table" );

	if($check[0] == '')

	{

        $FileName = realpath($FileName);

		$handle = fopen($Filename, "r");

		$db_fields = '';

			if($handle)

			{

				include_once(ABSPATH . 'wp-admin/includes/upgrade.php');

				while (($data = fgetcsv($handle, 10000000, ",")) != false)

				{

					if($Table == $wpdb->prefix.'nm_states')

					{

						$data_array = array('State' => wpnmDBin($data[0]),'Code' => wpnmDBin($data[1]),'Status' => wpnmDBin($data[2]));

						$query = $wpdb->insert($Table,$data_array);

					}

					if($Table == $wpdb->prefix.'nm_area_codes')

					{

						$data_array = array('StateCode' => wpnmDBin($data[0]),'AreaCode' => wpnmDBin($data[1]),'IsActive' => wpnmDBin($data[2]),'Status' => wpnmDBin($data[3]));

						$query = $wpdb->insert($Table,$data_array);

					}

				}

			}

	}

}






function NM_getTimeArray()
{



	$timeArray = array( '00:00'=>'12:00 AM',

						'00:15'=>'12:15 AM',

						'00:30'=>'12:30 AM',

						'00:45'=>'12:45 AM',

						'01:00'=>'01:00 AM',

						'01:15'=>'01:15 AM',

						'01:30'=>'01:30 AM',

						'01:45'=>'01:45 AM',

						'02:00'=>'02:00 AM',

						'02:15'=>'02:15 AM',

						'02:30'=>'02:30 AM',

						'02:45'=>'02:45 AM',

						'03:00'=>'03:00 AM',

						'03:15'=>'03:15 AM',

						'03:30'=>'03:30 AM',

						'03:45'=>'03:45 AM',

						'04:00'=>'04:00 AM',

						'05:00'=>'05:00 AM',

						'05:15'=>'05:15 AM',

						'05:30'=>'05:30 AM',

						'05:45'=>'05:45 AM',

						'06:00'=>'06:00 AM',

						'06:15'=>'06:15 AM',

						'06:30'=>'06:30 AM',

						'06:45'=>'06:45 AM',

						'07:00'=>'07:00 AM',

						'07:15'=>'07:15 AM',

						'07:30'=>'07:30 AM',

						'07:45'=>'07:45 AM',

						'08:00'=>'08:00 AM',

						'08:15'=>'08:15 AM',

						'08:30'=>'08:30 AM',

						'08:45'=>'08:45 AM',

						'09:00'=>'09:00 AM',

						'09:15'=>'09:15 AM',

						'09:30'=>'09:30 AM',

						'09:45'=>'09:45 AM',

						'10:00'=>'10:00 AM',

						'10:15'=>'10:15 AM',

						'10:30'=>'10:30 AM',

						'10:45'=>'10:45 AM',

						'11:00'=>'11:00 AM',

						'11:15'=>'11:15 AM',

						'11:30'=>'11:30 AM',

						'11:45'=>'11:45 AM',

						'12:00'=>'12:00 PM',

						'12:15'=>'12:15 PM',

						'12:30'=>'12:30 PM',

						'12:45'=>'12:45 PM',

						'13:00'=>'01:00 PM',

						'13:15'=>'01:15 PM',

						'13:30'=>'01:30 PM',

						'13:45'=>'01:45 PM',

						'14:00'=>'02:00 PM',

						'14:15'=>'02:15 PM',

						'14:30'=>'02:30 PM',

						'14:45'=>'02:45 PM',

						'15:00'=>'03:00 PM',

						'15:15'=>'03:15 PM',

						'15:30'=>'03:30 PM',

						'15:45'=>'03:45 PM',

						'16:00'=>'04:00 PM',

						'16:15'=>'04:15 PM',

						'16:30'=>'04:30 PM',

						'16:45'=>'04:45 PM',

						'17:00'=>'05:00 PM',

						'17:15'=>'05:15 PM',

						'17:30'=>'05:30 PM',

						'17:45'=>'05:45 PM',

						'18:00'=>'06:00 PM',

						'18:15'=>'06:15 PM',

						'18:30'=>'06:30 PM',

						'18:45'=>'06:45 PM',

						'19:00'=>'07:00 PM',

						'19:15'=>'07:15 PM',

						'19:30'=>'07:30 PM',

						'19:45'=>'07:45 PM',

						'20:00'=>'08:00 PM',

						'20:15'=>'08:15 PM',

						'20:30'=>'08:30 PM',

						'20:45'=>'08:45 PM',

						'21:00'=>'09:00 PM',

						'21:15'=>'09:15 PM',

						'21:30'=>'09:30 PM',

						'21:45'=>'09:45 PM',

						'22:00'=>'10:00 PM',

						'22:15'=>'10:15 PM',

						'22:30'=>'10:30 PM',

						'22:45'=>'10:45 PM',

						'23:00'=>'11:00 PM',

						'23:15'=>'11:15 PM',

						'23:30'=>'11:30 PM',

						'23:45'=>'11:45 PM'

					);



	return $timeArray;



}





function NM_AssignGroupNew($Name,$PhoneNumber,$GroupID,$delay1,$delay2,$delay3,$time1,$time2,$time3)

{

	global $wpdb;

    $today = date('Y-m-d');


    $date1 = strtotime('+'.$delay1.' day',strtotime($today)) ;

    $date1 = date ('Y-m-d' , $date1);

    $date2 = strtotime('+'.$delay2.' day',strtotime($today)) ;

    $date2 = date ('Y-m-d' , $date2);


    $date3 = strtotime('+'.$delay3.' day',strtotime($today)) ;

    $date3 = date ('Y-m-d' , $date3);


    

	$table_user_ph = $wpdb->prefix.'nm_user_phone_numbers';

	$table_gA = $wpdb->prefix.'nm_phone_number_group_assignment';

	$data_array = array(

		"Name" => wpnmDBin($Name),

		"PhoneNumber" => wpnmDBin($PhoneNumber),

        "DayDelay1" => wpnmDBin($date1),

        "DayDelay2" => wpnmDBin($date2),

        "DayDelay3" => wpnmDBin($date3),

        "DelayTime1" => wpnmDBin($time1),

        "DelayTime2" => wpnmDBin($time2),

        "DelayTime3" => wpnmDBin($time3),

		"Type" => wpnmDBin('2'),

		"CreatedDate" => wpnmDBin(date('Y-m-d H:i:s')),

		"Status" => wpnmDBin('1')

	);



	



	$query_insert_number = $wpdb->insert($table_user_ph,$data_array);

	$phone_number_id = $wpdb->insert_id;



		if($query_insert_number)

		{



			$data_array2 = array(



				"PhoneNumberID" => wpnmDBin($phone_number_id),

				"GroupID" => wpnmDBin($GroupID),

				"CreatedDate" => wpnmDBin(date('Y-m-d H:i:s'))



			);



		$group_insert = $wpdb->insert($table_gA,$data_array2);



			if($group_insert)

			{

				return true;

			}

			else

			{

				return false;

			}

		}

}



function NM_AssignGroup($Name,$PhoneNumber,$GroupID)

{



	global $wpdb;



	



	$table_user_ph = $wpdb->prefix.'nm_user_phone_numbers';

	$table_gA = $wpdb->prefix.'nm_phone_number_group_assignment';





	$data_array = array(

        

		"Name" => wpnmDBin($Name),

		"PhoneNumber" => wpnmDBin($PhoneNumber),

		"Type" => wpnmDBin('2'),

		"CreatedDate" => wpnmDBin(date('Y-m-d H:i:s')),

		"Status" => wpnmDBin('1')



	);



	



	$query_insert_number = $wpdb->insert($table_user_ph,$data_array);

	$phone_number_id = $wpdb->insert_id;



		if($query_insert_number)

		{



			$data_array2 = array(



				"PhoneNumberID" => wpnmDBin($phone_number_id),

				"GroupID" => wpnmDBin($GroupID),

				"CreatedDate" => wpnmDBin(date('Y-m-d H:i:s'))



			);



		$group_insert = $wpdb->insert($table_gA,$data_array2);



			if($group_insert)

			{

				return true;

			}

			else

			{

				return false;

			}

		}

}


function NM_UpdateGroupStatus($where,$Status)



{



	global $wpdb;

	$wpdb->show_errors();

	$table_user_ph = $wpdb->prefix.'nm_user_phone_numbers';



	$data_array = array(



		"Status" => wpnmDBin($Status)



	);





	$query_update_status = $wpdb->update($table_user_ph,$data_array,$where);



	if($query_update_status)

		{

			return true;

		}

		else

		{

			return $wpdb->print_error();

		}



}





function nm_save_incoming_message($To='',$From='',$SMS_Sid='',$SMS='',$id='',$media='',$dir='',$type='')



{



	global $wpdb;
	$table = $wpdb->prefix.'nm_sms_inbox';
	if($type!='' && $type=="call"){
		$id = $id." S";
	}
		$data_array = array(
			"ToNum" => wpnmDBin($To),
			"FromNum" => wpnmDBin($From),
			"SMSSid" => wpnmDBin($SMS_Sid),
			"SMS" => wpnmDBin($SMS),
			"campid" => wpnmDBin($id),
			"direction"=>wpnmDBin($dir),
			"media"=>wpnmDBin($media),
			"CreatedDate" => wpnmDBin(date('Y-m-d H:i'))

		);







	$insert = $wpdb->insert($table,$data_array);



	if($insert)

	{

		return true;

	}

	else

	{

		return false;

	}



}


function nm_getServerURL()



{



	$serverName = $_SERVER['SERVER_NAME'];

	$filePath = $_SERVER['REQUEST_URI'];

	$serverPath = $_SERVER['SERVER_NAME'].substr($filePath,0,strrpos($filePath,'/')+1);

	if(strpos($serverPath,'http://')===false)

	$serverPath = 'http://'.$serverPath;

	$callURL		 = $serverPath.'calls_controlling.php';

	$smsURL			= $serverPath.'sms_controlling.php';

	$returnArray['call_url'] = $callURL;

	$returnArray['sms_url'] = $smsURL;

	$returnArray['server_path'] = $serverPath;



	return $returnArray;



}





function NM_LogErrors($data)



{



	$myFile = "ErrorFile.txt";

	$fh = fopen($myFile, 'a');

	fwrite($fh, $data);

	fclose($fh);



}

function MultiImageHandler(&$file_post) {

    $file_ary = array();


    $file_count = count($file_post['name']);



    $file_keys = array_keys($file_post);


    for ($i=0; $i<$file_count-1; $i++) {

		

        foreach ($file_keys as $key) {


			if($key=="name"){

				$file_post[$key][$i] = explode(".",$file_post[$key][$i]);

				$file_post[$key][$i][0] = getRandom();

				$file_post[$key][$i] = implode(".",$file_post[$key][$i]);

			}


	            $file_ary[$i][$key] = $file_post[$key][$i];

	        }

		}
	return $file_ary;

}

function del_image($newfiles, $main){



		$main = array_merge($newfiles,$main);

		$Temp = implode(",",$main);

		$Temp = ltrim($Temp,",");

			unset($main[0]);

			if(count($main)>=9){

				foreach($main as $key =>$delfiles){

					if($key>=9){

						unlink("../uploads/".$delfiles);

						$del[] = $delfiles;

					}

				}

				$del = implode(",",$del);

				$Temp = str_replace($del,"",$Temp);

				$Temp = str_replace(",,","",$Temp);

			}

	return $Temp;

}



function getRandom(){

	global $wpdb;

	$Table = $wpdb->prefix.'nm_client_groups';

	$Random = rand(0,300000);

	$checkRandom = $wpdb->get_row("SELECT id FROM `".$Table."` WHERE

						`CampFile` LIKE '%".$Random."%'

						OR `Delay1File` LIKE '%".$Random."%'

						OR `Delay2File` LIKE '%".$Random."%'

						OR `Delay3File` LIKE '%".$Random."%'");

	if(count($checkRandom)==0){

	return $Random;

	}else{

		getRandom();

	}

}
?>