<?php
	global $wpdb;
	$current_url = 'http://'.$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'];
	include_once("header.php");
	$pageTitle = 'UnRead Chats Messages';
	$showSubscriberSection = 'none';
	$addNew = 'block';
	$goBack = 'none';
	
?>
<link rel='stylesheet' href='<?php echo DBout($pluginUrl.'css/datepicker.css')?>' type='text/css' media='all' />
<link rel='stylesheet' href='<?php echo DBout($pluginUrl.'css/jquery-ui.css')?>' type='text/css' media='all' />
<h3 class="pageTitle"><?php echo DBout($pageTitle)?><input type="button" class="btn btn-default move-right" value="Back" onclick="window.location='admin.php?page=nm_subscribers'" style="display:<?php echo DBout($goBack)?>;" /></h3><br />


	<table class="listTable table table-bordered table-striped table-hover" align="center">
		<thead>
			<tr class="table-heading">
				<th>Sr#</th>
				<th>User Number</th>
				<th>Message</th>
				<th>Date</th>
				<th>Manage</th>
			</tr>
		</thead>
		<tbody>
			<?php
			$searchKeyword = '';
			$filterGroup   = '';
			$sql = '';
			if(trim($_REQUEST['search'])!=''){
				$sql = "select 
							upn.*, cg.Title 
						from 
							".$wpdb->prefix."nm_user_phone_numbers upn, 
							".$wpdb->prefix."nm_phone_number_group_assignment pnga, 
							".$wpdb->prefix."nm_client_groups cg
						where 
							(upn.Name like '%".$_REQUEST['search']."%') or 
							(upn.PhoneNumber like '%".$_REQUEST['search']."%')";
				if($_REQUEST['group_id']!=''){
					$filterGroup = " and pnga.GroupID='".$_REQUEST['group_id']."' and upn.id=pnga.PhoneNumberID";
					$sql .= $filterGroup;
				}
				$sql .= ' group by upn.PhoneNumber';
			}else if($_REQUEST['group_id']!=''){
				$sql = "select 
							upn.*, 
							cg.Title 
						from 
							".$wpdb->prefix."nm_user_phone_numbers upn, 
							".$wpdb->prefix."nm_phone_number_group_assignment pnga, 
							".$wpdb->prefix."nm_client_groups cg
						where
							pnga.GroupID='".$_REQUEST['group_id']."' and 
							upn.id=pnga.PhoneNumberID
							group by upn.PhoneNumber";
				if($_REQUEST['search']!=''){
					$searchKeyword = " and (upn.Name like '%".$_REQUEST['search']."%') or 
							(upn.PhoneNumber like '%".$_REQUEST['search']."%')";
					$sql .= $searchKeyword;
				}
			}else{
				$sql = "select 
							upn.*,
							cg.Title
						from 
							".$wpdb->prefix."nm_user_phone_numbers upn, 
							".$wpdb->prefix."nm_phone_number_group_assignment pnga, 
							".$wpdb->prefix."nm_client_groups cg
						where
							pnga.PhoneNumberID=upn.id and
							pnga.GroupID=cg.id
							group by upn.PhoneNumber";
			}
			$sql = "SELECT ch.*, upn.Name FROM ".$wpdb->prefix."nm_chat_history ch, ".$wpdb->prefix."nm_user_phone_numbers upn where ch.subs_id = upn.id and ch.is_read = '1'";
			
			$sqlP = $sql;
			if(is_numeric($_GET['sheet']))
				$pageNum = $_GET['sheet'];
			else
				$pageNum = 1;
			$max_records_per_page = 20;
			$link 		= "admin.php?page=nm_subs_chats&";
			$pages 		= generatePaging($sqlP,$link,$pageNum,$max_records_per_page);
			$limit 		= $pages['limit'];
			$sqlP 	   .= $limit;
			if($pageNum==1)
				$countPaging=1;
			else
				$countPaging=(($pageNum*$max_records_per_page)-$max_records_per_page)+1;
						
			if($_SESSION['TOTAL_RECORDS'] <= $max_records_per_page){
				$maxLimit = $_SESSION['TOTAL_RECORDS'];	
			}else{
				$maxLimit = (((int)$countPaging+(int)$max_records_per_page)-1);
			}
			if($maxLimit >= $_SESSION['TOTAL_RECORDS']){
				$maxLimit = $_SESSION['TOTAL_RECORDS'];	
			}
			
			$query_subscribers = $wpdb->get_results($sqlP);
			$sr = $countPaging;		
			if($wpdb->num_rows){
				foreach($query_subscribers as $result => $subscribers){
					$wpdb->get_results("select id from ".$wpdb->prefix."nm_chat_history where subs_id='".$subscribers->subs_id."' and is_read='1'");
					$unRead = $wpdb->num_rows;		
					?>
					<tr>
						<td><?php echo DBout($sr++)?></td>
						<td><?php echo DBout($subscribers->from_number)?></td>
						<td><?php echo DBout($subscribers->text)?></td>
						<td><?php echo DBout($subscribers->msg_date)?></td>
						<td>
							<a href="<?php echo DBout('admin.php?page=nm_subs_chat&id='.$subscribers->subs_id)?>" title="Chat"><?php if($unRead>0){?><i class="badge header_badge" ><?php echo DBout($unRead)?></i><?php }?><i class="fa fa-wechat green"></i></a>&nbsp;
						</td>
					</tr>
					<?php
				}	
			}else{
			?>
				<tr>
					<td colspan="7" align="left"><b>No Record Found</b></td>
				</tr>
			<?php
			}
			?>
			<tr>
				<td colspan="7"><?php echo DBout($pages['pagingString']);?></td>
			</tr>
		</tbody>
	</table>
<?php include_once("footer.php");?>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.2/jquery.min.js"></script> 
<script src="<?php echo DBout($pluginUrl.'js/datepicker.js')?>"></script>
<script>
    searchkeyword = '';
    groupID = '';
    var location1 = "<?php echo DBout(admin_url())?>admin.php?page=nm_subscribers&group_id="+groupID+'&search='+searchkeyword;
    var location2 = "<?php echo DBout(admin_url())?>admin.php?page=nm_subscribers&group_id="+groupID;
    var location3 = "<?php echo DBout(admin_url())?>admin.php?page=nm_subscribers&search="+searchkeyword;
</script>
<script src="<?php echo DBout($pluginUrl.'scripts/nm_chats.js')?>"></script>
