<?php
	include_once("header.php");
	require_once("date_filter.php");
	$dateArray = array(
		'Today'=>'Today',
		'Yesterday'=>'Yesterday',
		'sunday2today'=>'This Week (Sunday - Today)',
		'monday2today'=>'This Week (Monday - Today)',
		'last7days'=>'Last 7 Days',
		'LastWeekSun2Sat'=>'Last Week(Sun - Sat)',
		'LastWeekMon2Sun'=>'Last Week(Mon - Sun)',
		'BuisWeekMon2Fri'=>'Last Buisness Week(Mon - Fri)',
		'last14days'=>'Last 14 days',
		'thisMonth'=>'This Month',
		'last30days'=>'Last 30 days',
		'LastMonth'=>'Last Month'
	);
?>
<link rel='stylesheet' href='<?php echo DBout($pluginUrl.'css/datepicker.css')?>' type='text/css' media='all' />
<link rel='stylesheet' href='<?php echo DBout($pluginUrl.'css/jquery-ui.css')?>' type='text/css' media='all' />
	<h3 class="pageTitle">Call History</h3>
	<div class="col-md-4 padding-0">
		<select id="date_filter" name="date_filter" onchange='javascript:enableCustomDate(this,"<?= DBout($current_url2)?>")' class="form-control">
			<?php
			foreach($dateArray as $keyd => $vald){
				if($dte_filter == $keyd){
					$sel = 'selected="selected"';
				}else{
					$sel ='';
				}
				echo DBout('<option value="'.$keyd.'" '.$sel.'>'.$vald.'</option>');
			}
			if($dte_filter=='Custom_Range'){
				$sel = 'selected="selected"';
				$txtDisabled = '';
			}else{
				$sel ='';
				$txtDisabled = 'disabled="disabled"';
			}
			echo DBout('<option value="Custom_Range" '.$sel.'>Select Range</option>');
			?>
		</select>
	</div>
	<div class="col-md-2" align="left">
		<input type="text" size="10" value="<?php echo DBout($_GET['start_date'])?>" name="start_date" id="start_date" <?php echo DBout($txtDisabled)?> placeholder="Start date" class="form-control addDatePicker" />
	</div>
	<div class="col-md-2 padding-0" align="left">
		<input type="text" size="10" value="<?php echo DBout($_GET['end_date'])?>" name="end_date" id="end_date" <?php echo DBout($txtDisabled)?> placeholder="End date" class="form-control addDatePicker" />
	</div>
	<div class="col-md-1">
		<input type="button" class="btn btn-success" value="Search" onclick='loadSMSFile("<?= DBout($current_url2)?>")' />
	</div>
	<div class="col-md-3 padding-0" align="right" >
		<a href="<?php echo DBout(admin_url()).'admin-ajax.php?action=download_history'?>" class="btn btn-success">Download CSV</a>
	</div>
	<div class="custom_report_style"></div>
	<table width="100%" align="center" class="listTable table table-bordered table-striped table-hover">
		<thead>
			<tr class="table-heading">
				<th>Sr#</th>
				<th>Date</th>
				<th>To</th>
				<th>From</th>
			</tr>
		</thead>
		<tbody>
			<?php
			$table = $wpdb->prefix."nm_call_history";
			if(isset($_GET['date_filter'])){
				$sql = "SELECT * FROM ".$table." where date(created_date) between '".$stt_date."' and '".$ett_date."' Order by id DESC";
			}else{
				$sql = "SELECT * FROM ".$table." Order by id DESC";
			}
			$results = $wpdb->get_results($sql,ARRAY_A);
			if(count($results)>0){
				$filename = dirname(__FILE__).'/call-report.csv';
				$fp = fopen($filename, "w");
				$line = "";
				$comma = "";
				$line .= $comma . 'Sr#,From,To,Direction,Message,Date';
				$comma = ",";
				$line .= "\n";
				fputs($fp, $line);	
				$line = "";
				$comma = "";
				$index = 1;
				foreach($results as $sr => $sms){			
					$direction =  $sms['direction'];
					?>
					<tr>
						<td><?= DBout($index++)?></td>
						<td><?=DBout($sms['created_date'])?></td>
						<td><?=DBout($sms['to_number'])?></td>
						<td><?=DBout($sms['from_number'])?></td>
					</tr>
					<?php
					$line = "";
					$comma = "";
					$count++;
					$line .= $comma . '"'.$index++.'","'.$sms['FromNum'].'","'.$sms['ToNum'].'","'.$direction.'","'.$sms['SMS'].'","'.$sms['CreatedDate'].'"';
					$comma = ",";
					$line .= "\n";
					fputs($fp, $line);
				}	
			}
			?>
		</tbody>
	</table>
<?php include_once('footer.php');?>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.2/jquery.min.js"></script> 
<script src="<?php echo DBout($pluginUrl).'js/datepicker.js'?>"></script>
<script src="<?php echo DBout($pluginUrl.'scripts/require_call_report.js')?>"></script>
