<?php
	include_once("header.php");
	global $wpdb;
	$pageTitle = 'Campaigns';
	$showCampaignSection = 'none';
	$addNew = 'block';
	$goBack = 'none';
	if(trim($_REQUEST['action'])=='edit'){
		$sql = "SELECT * FROM ".$wpdb->prefix."nm_client_groups where id='".$_REQUEST['id']."'";
		$groupData = $wpdb->get_row($sql);
		$pageTitle = 'Edit campaign';
		$showCampaignSection = 'block';
		$addNew = 'none';
		$goBack = 'block';
	}
	$timeArray = NM_getTimeArray();
?>
	<h3 class="pageTitle"><?php echo DBout($pageTitle)?><input type="button" class="btn btn-success move-right" value="Add New" style="display:<?php echo DBout($addNew)?>" onclick="showCampaignForm()" /><input type="button" class="btn btn-default" value="Back" onclick="history.go(-1)" style="display:<?php echo DBout($goBack)?>; float:right" /></h3><br />
	<div id="campaignFormContainer" style="display:<?php echo DBout($showCampaignSection)?>">
		<form name="CampaignsForm" onsubmit="return campaign_form(this)" action="<?php echo DBout(admin_url().'admin-ajax.php?action=save_nm_campaigns')?>" method="post" enctype="multipart/form-data">
		<div class="form-group">
			<label>Title</label>
			<input type="text" name="title" id="title" class="form-control" value="<?php echo wpnmDBout($groupData->Title)?>" />
			<span class="description">The title of the campaign, this will differentiate your campaigns.</span>
		</div>
		<div class="form-group">
			<label>Keyword</label>
			<input type="text" name="keyword" class="form-control" value="<?php echo wpnmDBout($groupData->Keyword)?>" />
			<span class="description">The keyword is most importent in campaigns, without keyword subscriber can't subscribe in campaign.</span>
		</div>
		<div class="form-group">
			<label>Select Number</label>
			<?php $query_numbers = $wpdb->get_results('SELECT * FROM '.$wpdb->prefix."nm_phone_numbers");?>
			<select name="phone_number" id="phone_number" class="form-control">
				<option value="">Select Number</option>
					<?php
						foreach($query_numbers as $result_numbers => $numbers){
							if($groupData->PhoneNumber==$numbers->TwilioPhoneNo)
								$sel = 'selected="selected"';
							else
								$sel = '';
								echo DBout('<option '.$sel.' value="'.$numbers->TwilioPhoneNo.'">'.$numbers->TwilioPhoneNo.'</option>');
						}
					?>
				</select>
				<span class="description">Must assign a phone number to your campaign, subscribers can communicate with campaign using campaign number.</span>
		</div>
		<div class="form-group">
			<label>Campaign SMS</label>
			<textarea name="campaign_sms" id="campaign_sms" class="form-control"><?php echo wpnmDBout($groupData->CampaignSMS)?></textarea>
			<span class="description">Subscriber will receive this message immediately after successfull subscription.</span>
		</div>
		<div class="form-group">
			<label>Already Member SMS</label>
			<textarea name="already_member_sms" class="form-control"><?php echo wpnmDBout($groupData->already_member_sms)?></textarea>
			<span class="description">Subscriber will receive this message immediately after successfull subscription.</span>
		</div>
		<div class="form-group">
			<label>Attach a File</label>
			<input type="file" name="campaign_media" class="display-inline"/>
			<input type="hidden" name="hidden_campaign_media" value="<?php echo DBout($groupData->CampFile)?>" />
			<?php
				if(trim($groupData->CampFile)!=''){
					echo DBout('<img src="'.$pluginUrl.'uploads/'.$groupData->CampFile.'" width="80"><br>');
				}
			?>
			<span class="description">You can also send image to your subscriber by uploading from here. (optional)</span>
		</div>
		<?php 
			$isEnabled = '';
			$notiTypeSection = 'none';
			if($groupData->is_notity=='1'){
				$isEnabled = 'checked="checked"';
				$notiTypeSection = 'block';
			}
		?>
		<div class="form-group">
			<label><input <?php echo DBout($isEnabled)?> type="checkbox" name="enable_notification" value="1" /> Enable Notification </label>
		</div>
		<div class="form-group notifationTypeSection" style="display:<?php echo DBout($notiTypeSection)?>">
			<textarea name="campaign_notification_msg" class="form-control" placeholder="Enter notification message here."><?php echo wpnmDBout($groupData->SpecialGroupOfficeSMS)?></textarea>
			<span class="description">To get phone number and keyword of the subscriber please use %subs_number% and %subs_keyword%.</span>
			<br />
			<label><input type="radio" name="noti_type" value="sms" <?php if($groupData->noti_type=='sms')echo DBout('checked="checked"');?> /> SMS </label>&nbsp;
			<label><input type="radio" name="noti_type" value="email" <?php if($groupData->noti_type=='email')echo DBout('checked="checked"');?> /> Email</label>
		</div>
		<?php
			$smsSection = 'none';
			$emailSection = 'none';
			if($groupData->noti_type=='sms'){
				$smsSection = 'block';
			}else if($groupData->noti_type=='email'){
				$emailSection = 'block';
			}
		?>
		<div class="form-group smsNotifationSection" style="display:<?php echo DBout($smsSection)?>">
			<label>Enter Phone Number</label>
			<input type="text" name="sms_noti_number" class="form-control" value="<?php echo DBout($groupData->BakcOfficeNumber)?>" />
			<span class="description">Enter a notification phone number here.</span>
		</div>
		<div class="form-group emailNotifationSection" style="display:<?php echo DBout($emailSection)?>">
			<label>Enter Email Address</label>
			<input type="text" name="noti_email" class="form-control" value="<?php echo DBout($groupData->SpecialGroupEmail)?>" />
			<span class="description">Enter notification email here.</span>	
		</div>
		<div>
			<?php
				if(trim($groupData->SubscriptionSMS1)==''){
					$showSection = 'none';
					$arrowClass  = 'fa fa-caret-down';
				}else{
					$showSection = 'block';	
					$arrowClass = 'fa fa-caret-up';
				}
			?>
			<span class="description green">You can schedule a message for subscribers which will send according to your scheduling after subscription. (Three Optional Messages)<i id="showScheduleSection" class="<?php echo DBout($arrowClass)?> schedule_style" title="Schedule Messages"></i></span>
		</div>
		
		<div class="scheduleSection" style="display:<?php echo DBout($showSection)?>">
			<div class="form-group days_delay_class">
				<label>Days Delayed: </label>
				<input type="text" name="days_delayed_1" class="form-control delaay_time_1_class" value="<?php echo DBout($groupData->DayDelay1)?>" />
				<select name="delay_time_1" class="form-control delaay_time_1_class">
					<?php foreach($timeArray as $timeResult => $Time){
						if(date('H:i',strtotime($groupData->DelayTime1))==$timeResult)
							$tsel = 'selected="selected"';
						else
							$tsel = '';
						echo DBout('<option '.$tsel.' value="'.$timeResult.'">'.$Time.'</option>');
					}?>
				</select><br />
				<label>Subscription SMS 1</label>
				<textarea name="sub_sms_1" class="form-control"><?php echo wpnmDBout($groupData->SubscriptionSMS1)?></textarea>
				<input type="file" name="sub_media_1" />
				<input type="hidden" name="hidden_sub_media_1" value="<?php echo DBout($groupData->Delay1File)?>" />
				<?php
					if(trim($groupData->Delay1File)!=''){
						echo DBout('<img src="'.$pluginUrl.'uploads/'.$groupData->Delay1File.'" width="80"><br>');
					}
				?>
			</div>
			<div class="form-group days_delay_class">
				<label>Days Delayed: </label>
				<input type="text" name="days_delayed_2" class="form-control delaay_time_1_class" value="<?php echo DBout($groupData->DayDelay2)?>" />
				<select name="delay_time_2" class="form-control delaay_time_1_class">
					<?php foreach($timeArray as $timeResult => $Time){
						if(date('H:i',strtotime($groupData->DelayTime2))==$timeResult)
							$tsel = 'selected="selected"';
						else
							$tsel = '';
						echo DBout('<option '.$tsel.' value="'.$timeResult.'">'.$Time.'</option>');
					}?>
				</select><br />
				<label>Subscription SMS 2</label>
				<textarea name="sub_sms_2" class="form-control"><?php echo wpnmDBout($groupData->SubscriptionSMS2)?></textarea>
				<input type="file" name="sub_media_2" />
				<input type="hidden" name="hidden_sub_media_2" value="<?php echo DBout($groupData->Delay2File)?>" />
				<?php
					if(trim($groupData->Delay2File)!=''){
						echo DBout('<img src="'.$pluginUrl.'uploads/'.$groupData->Delay2File.'" width="80"><br>');
					}
				?>
			</div>
			<div class="form-group days_delay_class">
				<label>Days Delayed: </label>
				<input type="text" name="days_delayed_3" class="form-control delaay_time_1_class" value="<?php echo DBout($groupData->DayDelay3)?>" />
				<select name="delay_time_3" class="form-control delaay_time_1_class">
					<?php foreach($timeArray as $timeResult => $Time){
						if(date('H:i',strtotime($groupData->DelayTime3))==$timeResult)
							$tsel = 'selected="selected"';
						else
							$tsel = '';
						echo DBout('<option '.$tsel.' value="'.$timeResult.'">'.$Time.'</option>');
					}?>
				</select><br />
				<label>Subscription SMS 3</label>
				<textarea name="sub_sms_3" class="form-control"><?php echo wpnmDBout($groupData->SubscriptionSMS3)?></textarea>
				<input type="file" name="sub_media_3" />
				<input type="hidden" name="hidden_sub_media_3" value="<?php echo DBout($groupData->Delay3File)?>" />
				<?php
					if(trim($groupData->Delay3File)!=''){
						echo DBout('<img src="'.$pluginUrl.'uploads/'.$groupData->Delay3File.'" width="80"><br>');
					}
				?>
			</div>
		</div>
		<div class="form-group">
			<input type="hidden" name="campaign_id" value="<?php echo DBout($_REQUEST['id'])?>" />
			<input type="submit" class="btn btn-success" name="save_compaign" value="Save" />
		</div>
	</form>
	</div>
	
	<div class="modal fade" id="copyCampaignModel" role="dialog">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal">&times;</button>
					<h4 class="modal-title">Copy campaign</h4>
				</div>
				<div class="modal-body">
					<div class="form-group">
						<label>Title</label>
						<input type="text" name="camp_title" class="form-control" />
					</div>
					<div class="form-group">
						<label>keyword</label>
						<input type="text" name="camp_keyword" class="form-control" />
						<span class="description">Keyword should be unique.</span>
					</div>
				</div>
				<div class="modal-footer">
					<span id="loading" class="display-none">Loading...</span>
					<button type="button" class="btn btn-success" onclick="duplicateCampaign()">Save</button>
					<button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
				</div>
			</div>
		</div>
	</div>
	<div class="modal fade" id="myModalTest" role="dialog">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal">&times;</button>
					<h4 class="modal-title">Web embed code</h4>
				</div>
				<div class="modal-body loadCampaignEmbedCode">
					<p>Loading...</p>
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
				</div>
			</div>
		</div>
	</div>
	<table class="listTable table table-bordered table-striped table-hover" align="center">
		<thead>
			<tr class="table-heading">
				<th>Sr#</th>
				<th>Title</th>
				<th>Keyword</th>
				<th>Phone Number</th>
				<th>Subscribers / Unsubscribers</th>
				<th>Added Date</th>
				<th>Manage</th>
			</tr>
		</thead>
		<tbody>
			<?php
			$groups = $wpdb->get_results("select * from ".$wpdb->prefix."nm_client_groups where IsSpecialGroup='0'");
			$sr = 1;
			if($wpdb->num_rows){
				foreach($groups as $group){
					$wpdb->get_results("select upn.* from ".$wpdb->prefix."nm_user_phone_numbers upn, ".$wpdb->prefix."nm_phone_number_group_assignment pnga where pnga.GroupID='".$group->id."' and pnga.PhoneNumberID=upn.id and upn.Status='1'");
					$totalSubs = $wpdb->num_rows;
					
					$wpdb->get_results("select upn.* from ".$wpdb->prefix."nm_user_phone_numbers upn, ".$wpdb->prefix."nm_phone_number_group_assignment pnga where pnga.GroupID='".$group->id."' and pnga.PhoneNumberID=upn.id and upn.Status='2'");
					$totalUnSubs = $wpdb->num_rows;
					?>
					<tr>
						<td><?php echo DBout($sr++)?></td>
						<td><?php echo DBout($group->Title)?></td>
						<td><?php echo DBout($group->Keyword)?></td>
						<td><?php echo DBout($group->PhoneNumber)?></td>
						<td>
							<?php 
								if($totalSubs>0){
									echo DBout('<a href="admin.php?page=subs_stats&gid='.$group->id.'&type=active" title="Show details">'.$totalSubs.'</a>');
								}else{
									echo DBout($totalSubs);

								}
								echo DBout('&nbsp;/&nbsp;');
								if($totalUnSubs>0){
									echo DBout('<a href="admin.php?page=subs_stats&gid='.$group->id.'&type=inactive" title="Show details">'.$totalUnSubs.'</a>');
								}else{
									echo DBout($totalUnSubs);
								}
								?>	
						</td>
						<td><?php echo DBout($group->CreatedDate)?></td>
						<td>
							<a href="javascript:void(0)" data-toggle="modal" data-target="#copyCampaignModel" title="Copy Campaign" onclick="getCampaignID('<?php echo DBout($group->id)?>')"><i class="fa fa-copy orange"></i></a>&nbsp;
							<a href="javascript:void(0)" data-toggle="modal" data-target="#myModalTest" onclick="getCampaignEmbedCode('<?php echo DBout($group->id)?>')" title="Embed Code"><i class="fa fa-code green"></i></a>&nbsp;
							<a href="<?php echo DBout('admin.php?page=nm_campaigns&action=edit&id='.$group->id)?>"><img title="Edit Campaign" class="nm_action" src="<?= DBout(NM_PluginURL.'images/edit.png')?>" /></a>&nbsp;
						<?php if(trim($group->Keyword) != 'DEFAULT'){?>
							<a href="<?php echo DBout(admin_url()).'admin-ajax.php?action=nm_delete_requests'.'&cmd=del&type=campaign&id='.$group->id?>"><img title="Delete Campaign" onclick="return confirm('Are you sure you want to delete this campaign?')" class="nm_action" src="<?= DBout(NM_PluginURL.'images/delete.png')?>" /></a>
						<?php }?>
						 </td>
					</tr>
					<?php
				}	
			}else{
			?>
				<tr>
					<td colspan="7" align="left"><b>No Record Found</b></td>
				</tr>
			<?php
			}
			?>
		</tbody>
	</table>
<input type="hidden" id="campaign_id" value="" />
<?php include_once('footer.php');?>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.2/jquery.min.js"></script> 
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js" integrity="sha384-0mSbJDEHialfmuBBQP6A4Qrprq5OVfW37PRR3j5ELqxss1yVqOtnepnHVP9aJ7xS" crossorigin="anonymous"></script>
<script>
    var url2 ="<?php echo DBout(admin_url())?>admin-ajax.php?action=generate_campaign_embed_code";
    var url1 = '<?php echo DBout(admin_url()).'admin-ajax.php?action=duplicate_campaign'?>';
</script>
<script src="<?php echo DBout($pluginUrl.'scripts/require_campaign.js')?>"></script>
