<?php
	include_once("header.php");
	$client_info_table = $wpdb->prefix.'nm_client_info';
	$camp_table = $wpdb->prefix."nm_client_groups";
	$Curent_URL = $_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'];
	$Require_URL = preg_replace('@&tab.*@','',$Curent_URL);
	$AjaxFilePath = admin_url().'admin-ajax.php?action=nm_ajax_requests';
	$query_twilio_settings = $wpdb->get_results("SELECT * FROM $client_info_table");
	if(!isset($_GET['tab'])){
		die("<script>location.replace('http://".$Curent_URL."&tab=twilio_settings');</script>");
	}
	$sql = "select id,Title,Keyword from $camp_table";
	$res = $wpdb->get_results($sql,ARRAY_A);
	$query_messages = $wpdb->get_results("SELECT * FROM $client_info_table"); 
?>
	<h3 class="pageTitle">Plugin Configuration</h3><Br />
	<ul class="nav nav-tabs">
		<li class="active"><a data-toggle="tab" href="#twilioSettings">SMS Gateway</a></li>
		<li><a data-toggle="tab" href="#manageNumbers">Manage Numbers</a></li>
		<li><a data-toggle="tab" href="#messages">Messages</a></li>
		<li><a data-toggle="tab" href="#greetings">Call Greetings</a></li>
		<li><a data-toggle="tab" href="#thirdPartyIntegration">Third Party Integration</a></li>
		<li><a data-toggle="tab" href="#cronSetting">Cron Setting</a></li>
		<li><a data-toggle="tab" href="#contact_us">Contact Us</a></li>
        <?php
        $user = wp_get_current_user();
        $role = ( array ) $user->roles;
        if(in_array("administrator",$role)){
        ?>
            <li><a data-toggle="tab" href="#permission">Permission</a></li>
			<li><a data-toggle="tab" href="#woocommerece_notifications">Woocommerece</a></li>
        <?php
        }
        ?>
	</ul>

	<div class="tab-content">
		<div id="woocommerece_notifications" class="tab-pane fade setting1">
			<form name="MessagesForm" action="<?php echo DBout(admin_url().'admin-ajax.php?action=save_nm_settings')?>" enctype="multipart/form-data" method="post">
				<h4 class="pageTitle margin-bottom-30">Enable/Disable WooCommerce Notifications</h4>
				<div class="form-group">
					<label><input <?php if($query_twilio_settings[0]->auto_status_sms_woo=="1")echo DBout('checked="checked"');else echo DBout('');?> type="checkbox" name="auto_update_status_msg" value="1"/> Order Status Update Notification</label>
				</div>
				<div class="form-group">
					<label>Order Status Update Message</label>
					<textarea id="auto_update_status_woo" name="auto_update_status_woo" class="form-control"><?php echo DBout($query_messages[0]->woo_status_sms)?></textarea>
					<span class="description">This text will send automatically to woocommerce subscriber when his order status has been changed.</span>
				</div>
				<div class="form-group">
					<label><input <?php if($query_twilio_settings[0]->woo_autoresponders=="1")echo DBout('checked="checked"');else echo DBout('');?> type="checkbox" name="woo_autoresponders" value="1" /> Enable autoresponders on new order</label>
				</div>
				<div class="form-group">
					<input type="submit" class="btn btn-success" name="woocommerece_settings" value="Save" />
				</div>
			</form>
		</div>
		<div id="twilioSettings" class="tab-pane fade in active setting2">
			<form name="TwilioSettingForm" action="<?php echo DBout(admin_url().'admin-ajax.php?action=save_nm_settings')?>" method="post">
				<?php
				$smsGateWay = $query_twilio_settings[0]->sms_gateway;
				$twilioSection = 'none';
				$twilioGateWayImage = $pluginUrl.'/images/twilio-deactive.png';
				$plivoSection  = 'none';
				$plivoGateWayImage = $pluginUrl.'/images/plivo-deactive.png';
				$nexmoSection  = 'none';
				$nexmoGateWayImage = $pluginUrl.'/images/nexmo-deactive.png';
				if(($smsGateWay=='twilio') || (trim($smsGateWay)=='')){
					$twilioGateWayImage = $pluginUrl.'/images/twilio_active.png';
					$twilioSection = 'block';
				}else if($smsGateWay=='plivo'){
					$plivoGateWayImage = $pluginUrl.'/images/plivo-active.png';
					$plivoSection  = 'block';
				}else if($smsGateWay=='nexmo'){
					$nexmoGateWayImage = $pluginUrl.'/images/nexmo-active.png';
					$nexmoSection  = 'block';
				}
				?>
				<div class="form-group">
					<label class="margin-right-20">SMS Gateway</label>
					<label class="radio-inline">
						<input type="radio" name="sms_gateway" class="smsGateways" onclick="showGatewaySections(this)" value="twilio" <?php echo DBout((($query_twilio_settings[0]->sms_gateway=='twilio')||trim($query_twilio_settings[0]->sms_gateway)=='')?'checked="checked"':"");?> >
						<img src="<?php echo DBout($twilioGateWayImage)?>" width="75" alt="Twilio" title="Plivo" />
					</label>
					<label class="radio-inline">
						<input type="radio" name="sms_gateway" class="smsGateways" onclick="showGatewaySections(this)" value="plivo" <?php echo DBout((($query_twilio_settings[0]->sms_gateway=='plivo')||trim($query_twilio_settings[0]->sms_gateway)=='')?'checked="checked"':"");?> >
						<img src="<?php echo DBout($plivoGateWayImage)?>" width="75" alt="Plivo" title="Plivo" />
					</label>
					<label class="radio-inline">
						<input type="radio" name="sms_gateway" class="smsGateways" onclick="showGatewaySections(this)" value="nexmo" <?php echo DBout((($query_twilio_settings[0]->sms_gateway=='nexmo')||trim($query_twilio_settings[0]->sms_gateway)=='')?'checked="checked"':"");?> >
						<img src="<?php echo DBout($nexmoGateWayImage)?>" width="90" alt="Nexmo" title="Nexmo" />
					</label><br />
					<span class="description">Set your SMS Gateway Accordingly</span>
				</div>
				<div class="form-group twilioSection" style="display:<?php echo DBout($twilioSection)?>">
					<label>Twilio Account SID</label>
					<input value="<?php echo DBout($query_twilio_settings[0]->AccountSid);?>" type="text" name="account_sid" class="form-control" />
					<span class="description">Add twilio account sid here. if no sid here, application will not be able to send sms, mms etc...</span>
				</div>
				<div class="form-group twilioSection" style="display:<?php echo DBout($twilioSection)?>">
					<label>Twilio Authentication Token</label>
					<input value="<?php echo DBout($query_twilio_settings[0]->AuthTocken);?>" type="text" name="auth_tocken" class="form-control" />
					<span class="description">Add twilio account token here. if no token here, application will not be able to send sms, mms etc...</span>
				</div>
				<div class="form-group plivoSection" style="display:<?php echo DBout($plivoSection)?>">
					<label>Plivo Auth ID</label>
					<input value="<?php echo DBout($query_twilio_settings[0]->plivo_auth_id);?>" type="text" name="plivo_auth_id" class="form-control" />
					<span class="description">Add plivo authentication id here. if no id here, application will not be able to send sms etc...</span>
				</div>
				<div class="plivoSection" style="display:<?php echo DBout($plivoSection)?>">
					<label>Plivo Auth Token</label>
					<input value="<?php echo DBout($query_twilio_settings[0]->plivo_auth_token);?>" type="text" name="plivo_auth_token" class="form-control" />
					<span class="description">Add plivo authentication token here. if no token here, application will not be able to send sms etc...</span>
				</div>

				<div class="alert alert-danger nexmoSection" style="display:<?php echo DBout($nexmoSection)?>"><span><b> Warning - </b> Nexmo does not support MMS messages.<br><b> Info - </b> Please set this <?php echo DBout(admin_url())?>admin-ajax.php?action=get_twilio_sms_response as a webhook url by editing your desired number from nexmo dashboard.</span>
				</div>
				<div class="form-group nexmoSection" style="display:<?php echo DBout($nexmoSection)?>">
					<label>NEXMO API KEY</label>
					<input value="<?php echo DBout($query_twilio_settings[0]->nexmo_api_key);?>" type="text" name="nexmo_api_key" class="form-control" />
					<span class="description">Add nexmo api key here. if no key here, application will not be able to communicate with nexmo numbers.</span>
				</div>
				<div class="form-group nexmoSection" style="display:<?php echo DBout($nexmoSection)?>">
					<label>NEXMO API SECRET</label>
					<input value="<?php echo DBout($query_twilio_settings[0]->nexmo_api_secret);?>" type="text" name="nexmo_api_secret" class="form-control" />
					<span class="description">Add nexmo api secret here. if no secret key here, application will not be able to communicate with nexmo numbers.</span>
				</div>
				<div class="form-group">
					<label>Select Your TimeZone</label>
					<select name='timezone' id='timezone' class="form-control">
						<?php
						$timezones=$wpdb->get_results("select * from ".$wpdb->prefix."nm_time_zones");
						if($wpdb->num_rows!=0){
							foreach($timezones as $timezone){
								if($query_twilio_settings[0]->timeZONE==$timezone->time_zone){
									$sele = 'selected="selected"';
								}else{
									$sele = '';
								}
								echo DBout('<option '.$sele.' value="'.$timezone->time_zone.'">'.$timezone->time_zone_value.'</option>');
							}
						}
						?>
					</select>
					<span class="description">Set your time zone accordingly.</span>
					<?php
						if($query_twilio_settings[0]->timeZONE==''){
							echo DBout('<br /><small class="red">Warning: TimeZone is not set, Please set it first before using scheduling feature, Timezone will auto select itself to your current timezone if you want to change or if timezone is not auto selected please navigate to your timezone, if your timezone is not listed please feel free to submit a ticket to us.</small>');
						}
					?>
				</div>
				<div class="form-group">
					<input type="submit" class="btn btn-success" name="twilio_settings" value="Save" />
				</div>
			</form>
		</div>
		
		<div id="manageNumbers" class="tab-pane fade setting1">
			<form name="AddNewNumberForm" action="<?php echo DBout( admin_url().'admin-ajax.php?action=save_nm_settings')?>" method="post" onsubmit="return validateNumber(this);">
			<?php
				if($query_twilio_settings[0]->sms_gateway=='twilio'){			
			?>
					<div class="form-group text-center">
						<label class="margin-right-20">Select Type : </label>
						<label class="type1_style"><input type="radio" name="select_type" id="select_type_1" onclick="ChangeDiv('1','none')" value="1" />Local</label>
						<label class="type1_style">
							<input type="radio" name="select_type" id="select_type_2" onclick="ChangeDiv('2',<?php echo DBout("'".$AjaxFilePath."'") ?>)" value="2" />Tool Free</label>
							
						<label class="type1_style">
							<input type="radio" name="select_type" id="select_type_3" onclick="ChangeDiv('3',<?php echo DBout("'".$AjaxFilePath."'") ?>)" value="3" />Existing</label>
						<label class="type1_style">
							<input type="radio" name="select_type" id="select_type_4" onclick="ChangeDiv('4',<?php echo DBout("'".$AjaxFilePath."'") ?>)" value="4" />Canada</label>
						<label class="type1_style">
							<input type="radio" name="select_type" id="select_type_5" onclick="ChangeDiv('5',<?php echo DBout("'".$AjaxFilePath."'") ?>)" value="5" />UK</label>
					</div>
					<div class="form-group state_div_style" id="state_div">
						<select name="state" id="state" onchange="GetAreaCodes(this.value,<?php echo DBout("'".$AjaxFilePath."'" )?>,'area_code')" class="form-control area_code_style">
							<option value=""><b>Select State</b></option>
							<?php
							$table_states = $wpdb->prefix.'nm_states';
							$query_states = $wpdb->get_results("SELECT * FROM $table_states");
							foreach($query_states as $result => $states){
								if(strpos($states->Code,'CA_') === false){
									echo DBout('<option value="'.$states->Code.'">'.$states->State.'</option>');
								}				
							}
							?>
						</select>
						<select name="area_code" id="area_code" onchange="GetLocalNumbers(this.value,<?php echo DBout("'".$AjaxFilePath."'") ?>)" class="form-control area_code_style">
							<option value=""><b>Select Area Code</b></option>
						</select>
					</div>
					
					<div class="form-group state_can display-none margin-top-25 text-center" id="state_div_can">
						<select name="state_can" id="state_can" onchange="GetAreaCodes(this.value,<?php echo DBout("'".$AjaxFilePath."'") ?>,'area_code_can')" class="form-control area_code_style">
							<option value="">Select State</option>
							<?php
							$table_states = $wpdb->prefix.'nm_states';
							$query_states = $wpdb->get_results("SELECT * FROM $table_states");
							foreach($query_states as $result => $states){
								if(strpos($states->Code,'CA_') !== false){
									$state_code = str_replace('CA_','',$states->Code); 
									echo DBout('<option value="'.$state_code.'">'.$states->State.'</option>');
								}								
							}
							?>
						</select>
						<select name="area_code_can" id="area_code_can" onchange="GetCanNumbers(this.value,<?php echo DBout("'".$AjaxFilePath."'") ?>)" class="form-control area_code_style">
							<option value="">Select Area Code</option>
						</select>
					</div>
					<div class="form-group listOfNumbers text-center padding-top-5">
						<select name="phone_number" id="phone_number" class="form-control phone_number_style" required>
							<option value="">Select Phone Number</option>
						</select>
					</div>
			<?php
				}
				else if($query_twilio_settings[0]->sms_gateway=='plivo'){
			?>
					<div class="form-group text-center">
						<label class="margin-right-20">Select Type : </label>
						<label class="type1_style"><input type="radio" name="select_type" id="" onclick="managePlivoNumbers('1','none')" value="1" class="type1_style" />Local</label>
						<label class="type1_style"><input type="radio" name="select_type" id="" onclick="managePlivoNumbers('3',<?php echo DBout("'".$AjaxFilePath."'" )?>)" value="3" class="type1_style" />Existing</label>
					</div>
					<div class="form-group margin-top-25 display-none text-center" id="state_div_plivo" >
						<select name="state" id="state" onchange="GetAreaCodes(this.value,<?php echo DBout("'".$AjaxFilePath."'" )?>,'area_code')" class="form-control area_code_style">
							<option value="">Select State</option>
							<?php
							$table_states = $wpdb->prefix.'nm_states';
							$query_states = $wpdb->get_results("SELECT * FROM $table_states");
							foreach($query_states as $result => $states){
								if(strpos($states->Code,'CA_') === false){
									echo DBout('<option value="'.$states->Code.'">'.$states->State.'</option>');
								}
							}
							?>
						</select>
						<select name="area_code" id="area_code" onchange="searchPlivoNumbers(this.value,<?= "'".DBout($AjaxFilePath)."'" ?>)" class="form-control area_code_style">
							<option value="">Select Area Code</option>
						</select>
					</div>
					<div class="form-group listOfNumbers text-center padding-top-5">
						<select name="phone_number" id="phone_number" class="form-control phone_number_style" required>
							<option value="">Select Phone Number</option>
						</select>
					</div>
			<?php
				}
				else if($query_twilio_settings[0]->sms_gateway=='nexmo'){
			?>	
					<div class="form-group">
						<label>Select Country</label>
						<select name="nexmo_country" class="form-control" onchange="searchNexmoNumbers(this.value)">
			<?php
							$isoCountries = wpNMISOCountries();
							foreach($isoCountries as $key => $value){
								if($key=="US")
									$sele = 'selected="selected"';
								else
									$sele = '';
								echo DBout('<option '.$sele.' value="'.$key.'">'.$value.'</option>');
							}
?>	
						</select>
					</div>
					<div class="form-group">
						<select name="phone_number" id="showNumbers" class="form-control">
							<option value="">- Select One -</option>
						</select>
					</div>
			<?php			
				}
			?>
				<div class="form-group">
					<input type="submit" class="btn btn-success" name="add_number" value="Purchase Number" />
					<span id="loading" class="display-none">Loading...</span>
				</div>
			</form>
			
			<table width="80%" align="center" class="listTable table table-bordered table-striped table-hover">
				<thead>
					<tr class="table-heading">
						<th>Sr#</th>
						<th>Phone Number</th>
						<th>Type</th>
						<th>Action</th>
					</tr>
				</thead>
				<tbody>
				<?php
				if($query_twilio_settings[0]->sms_gateway=='twilio'){
					$where = " where Type in(1,2,3,4,5)";
				}else if($query_twilio_settings[0]->sms_gateway=='plivo'){
					$where = " where Type='7'";
				}else if($query_twilio_settings[0]->sms_gateway=='nexmo'){
					$where = " where Type='8'";
				}
				$table_phone_number = $wpdb->prefix."nm_phone_numbers";
				$sql = "SELECT * FROM $table_phone_number".$where;
				$query_numbers = $wpdb->get_results($sql);
				$sr = 0;
				if($query_numbers[0]->id != ''){
					foreach($query_numbers as $result => $phone_numbers){
						if($phone_numbers->Type == '1'){$type = 'Local Number';}
						if($phone_numbers->Type == '2'){$type = 'Toll Free Number';}
						if($phone_numbers->Type == '3'){$type = 'Existing Number';}
						if($phone_numbers->Type == '4'){$type = 'Canada Number';}
						if($phone_numbers->Type == '5'){$type = 'UK Number';}
						if($phone_numbers->Type == '7'){$type = 'Plivo Number';}
						if($phone_numbers->Type == '8'){$type = 'Nexmo Number';}
						$sr++;
				?>
						<tr>
							<td><?= DBout($sr)?></td>
							<td><?= DBout($phone_numbers->TwilioPhoneNo)?></td>
							<td><?= DBout($type)?></td>
							<td><a href="<?php echo DBout(admin_url().'admin-ajax.php?action=nm_delete_requests&cmd=del&type=ph_number&id='.$phone_numbers->id)?>"><img title="Remove Number" onclick="return confirm('Are You Sure!')" src="<?= DBout(NM_PluginURL.'images/delete.png')?>" /></a></td>
						</tr>
				<?php
						}					
					}else{
				?>
						<tr>
							<td colspan="5" align="center"><b>No Record Found</b></td>
						</tr>
				<?php				
					}
				?>
				</tbody>
			</table>
		</div>
		
		<div id="messages" class="tab-pane fade setting2">
			<?php
			
			?>
			<form name="MessagesForm" action="<?php echo DBout(admin_url().'admin-ajax.php?action=save_nm_settings')?>" enctype="multipart/form-data" method="post">
			<h4 class="pageTitle">Messages</h4>
				<div class="form-group">
					<label>Promotional</label>
					<textarea id="sub_sms" name="sub_sms" class="form-control"><?php echo DBout($query_messages[0]->SubSMS)?></textarea>
					<span class="description">This is business promotional message, it will send each subscriber before campaign subscription message. Leave empty if no need.</span>
				</div>
				<div class="form-group">
					<label>Append Text</label>
					<textarea name="append_text" class="form-control"><?php echo DBout($query_messages[0]->append_text)?></textarea>
					<span class="description">This will append with each outbound message, leave empty if no need.</span>
				</div>

				
				<div class="form-group">
					<input type="hidden" name="PluginUrl" value="<?= DBout(NM_PluginURL)?>" />
					<input type="submit" class="btn btn-success" name="messages" value="Save" />
				</div>
			</form>
		</div>
        
        <div id="permission" class="tab-pane fade setting2">
			<?php
			$query_permissions = $wpdb->get_results("SELECT * FROM $client_info_table"); 
			?>
			<form name="MessagesForm" action="<?php echo DBout(admin_url().'admin-ajax.php?action=save_nm_settings')?>" enctype="multipart/form-data" method="post">
			<h4 class="pageTitle">Plugin's Permission / Visibility</h4>
				<div class="form-group">
					
                    <?php
                    if($query_permissions[0]->roles == "NULL" || $query_permissions[0]->roles == ""){
                        $roles = array();
                    }else{
                        $roles = json_decode($query_permissions[0]->roles,true);
                    }
                    
                    if(is_null($roles) || $roles == NULL || $roles == "NULL"){
                        $roles = array();
                    }
                    ?>
                    <br />
                    <label>			
					   <input name="role[]" type="checkbox" value="editor" <?php if(in_array("editor",$roles)){ echo DBout("checked"); } ?> />
                       Editor
                    </label>
                    <br />
                    <label>			
					   <input name="role[]" type="checkbox" value="author" <?php if(in_array("author",$roles)){ echo DBout("checked"); } ?> />
                       Author
                    </label>
                    <br />
                    <label>			
					   <input name="role[]" type="checkbox" value="contributor" <?php if(in_array("contributor",$roles)){ echo DBout("checked"); } ?> />
                       Contributor
                    </label>
                    <br />
                    <label>			
					   <input name="role[]" type="checkbox" value="subscriber" <?php if(in_array("subscriber",$roles)){ echo DBout("checked"); } ?> />
                       Subscriber
                    </label>
                    <br />
				</div>
				<div class="form-group">
					<input type="submit" class="btn btn-success" name="permission" value="Save" />
				</div>
			</form>
		</div>
		
		<div id="greetings" class="tab-pane fade setting2">
			<form name="MessagesForm" action="<?php echo DBout(admin_url().'admin-ajax.php?action=save_nm_settings')?>" enctype="multipart/form-data" method="post">
				<div class="form-group display-none">
					<label>Select campaign to add caller as subscriber</label>
					<select name="camp_id" class="form-control">
						<option value="">Select Campaign:</option>
						<?php						
						foreach($res as $camp){
							if(trim($camp['Title'])==''){
								$campTitle = $camp['Keyword'];
							}else{
								$campTitle = $camp['Title'];
							}
							if($query_messages[0]->camp_id==$camp['id']){
								echo DBout("<option value='$camp[id]' selected='selected'>".$campTitle."</option>");
							}else{
								echo DBout("<option value='$camp[id]'>".$campTitle."</option>");
							}
						}
						?>
					</select>
				</div>
				<div class="form-group">
					<label>Voice Greeting MP3</label>
					<input type="file" name="v_greeting_mp3" />
					<?php
					if(trim($query_messages[0]->VoiceGreetingMP3) != ''){
					?>
						<a href="<?= DBout(NM_PluginFilesURL)?>del_contents.php?action=del&type=vg_mp3"><img title="Delete Voice Greeting MP3" onclick="return confirm('Are You Sure?')" width="10" class="pointcur" border="0" src="<?= DBout(NM_PluginURL.'images/delete.png')?>" /></a>
					<?php
						}
					?>
				</div>
				<div class="form-group">
					<label>Admin Phone</label>
					<input type="text" name="adminPH" value="<?php echo DBout($query_twilio_settings[0]->adminPH);?>" class="form-control" />
					<span class="description">Admin will receive notification on this number, like new subscriptions and promotions etc...</span>
				</div>
				<div class="form-group">
					<small>1 for Subscription, 2 for Unsubscription, 3 for call to office.</small>
					<br /><label>Voice Greeting</label>
					<textarea name="v_greeting" class="form-control"><?php echo DBout($query_messages[0]->VoiceGreeting)?></textarea>
					<span class="description">Voice greetings text for caller.</span>
				</div>
				<div class="form-group">
					<label>Call Subscription Message</label>
					<textarea name="call_sub_msg" class="form-control"><?php echo DBout($query_messages[0]->CallSubMsg)?></textarea>
					<span class="description">Caller will listen this text on subscription.</span>
				</div>
				<div class="form-group">
					<label>Call Subscription MP3</label>
					<input type="file" name="call_sub_mp3" />
					<span class="description">You can also upload mp3 file instead text for call subscription.</span>
					<?php
					if(trim($query_messages[0]->CallSubMP3)!=''){
					?>
					<a href="<?= DBout(NM_PluginFilesURL)?>del_contents.php?action=del&type=cl_sub_mp3"><img width="10" class="pointcur" title="Delete Call Subscription MP3" onclick="return confirm('Are You Sure?')"   border="0" src="<?=NM_PluginURL.'images/delete.png'?>" /></a>
					<?php
					}
					?>
				</div>
				<div class="form-group">
					<label>Call Unsubscription Message</label>
					<textarea name="call_unsub_msg" class="form-control"><?php echo DBout($query_messages[0]->CallUnSubMsg)?></textarea>
					<span class="description">Caller will listen this text on un-subscription.</span>
				</div>
				<div class="form-group">
					<label>Call Unsubscription MP3</label>
					<input type="file" name="call_unsub_mp3" />
					<span class="description">You can also upload mp3 file instead text for call un-subscription.</span>
					<?php
					if(trim($query_messages[0]->CallUnSubMP3) != ''){
					?>
					<a href="<?= DBout(NM_PluginFilesURL)?>del_contents.php?action=del&type=cl_unsub_mp3"><img width="10" class="pointcur" title="Delete Call Unsubscription MP3" onclick="return confirm('Are You Sure?')" border="0" src="<?= DBout(NM_PluginURL.'images/delete.png')?>" /></a>
					<?php
					}
					?>
				</div>
				<div class="form-group">
					<input type="submit" name="save_call_greetings" value="Save" class="btn btn-primary" />
				</div>
			</form>
		</div>
		
		<div id="thirdPartyIntegration" class="tab-pane fade setting2">
			<form name="TwilioSettingForm" action="<?php echo DBout(admin_url().'admin-ajax.php?action=save_nm_settings')?>" method="post">
				<div class="form-group">
					<label>API Key</label><br />
					<input type="text" name="api_key" value="<?php echo DBout($query_twilio_settings[0]->api_key);?>" class="form-control twilio_setting_Style" readonly="readonly" onclick="this.select();"/>&nbsp;&nbsp;<input type="button" class="btn btn-success" value="Generate Key" onclick="generateApiKey();" id="genKey" /><br />
					<span class="description">API key will allow access to third party subscribers to subscribe in this plugin. Click generate key button to create new api key.</span>
				</div>
				<div class="form-group">
					<label>Core URL</label><br />
					<?php echo DBout(admin_url()).'admin-ajax.php?action=s-to-c'?><br /><span class="description">This is the core URL of plugin, third party user will use this url with some parameters.</span>
				</div>
				<div class="form-group">
					<label>Campaign URL</label><br />
					<div id="showCampUrl">
						<?php echo DBout($query_twilio_settings[0]->camp_url)?><br /><span class="description">Third party user will get list of campaigns from this plugin by using this url.</span>
					</div>
					<input type="hidden" value="<?php echo DBout($query_twilio_settings[0]->camp_url)?>" name="camp_url"/>
				</div>
				<div class="form-group">
					<label>Subscribe URL</label><br />
					<div id="showSubsUrl">
						<?php echo DBout($query_twilio_settings[0]->subs_url)?><br /><span class="description">Third party subscribers will subscribe using this url.</span>
					</div>
					<input type="hidden" value="<?php echo DBout($query_twilio_settings[0]->subs_url)?>" name="subs_url"/>
				</div>
				<div class="form-group">
					<input type="submit" name="save_third_party" value="Save" class="btn btn-success" />
				</div>
			</form>
		</div>
		
		<div id="cronSetting" class="tab-pane fade setting2">
			<div class="form-group">
				<label>Cron Syntax <span class="red margin-left-10">Set cron for every 15 mintes.</span></label><br />
				curl <?php echo DBout(admin_url())?>admin-ajax.php?action=run_nm_batch<br />
				Or<br />
				wget -q -O - <?php echo DBout(admin_url())?>admin-ajax.php?action=run_nm_batch >/dev/null 2>&1
			</div>
			
			<p class="text-center margin-0-auto">
				<img src="<?php echo DBout($pluginUrl.'images/cron_1.png')?>" class="width-70per" />
				<img src="<?php echo DBout($pluginUrl.'images/cron_2.png')?>" class="width-70per margin-left-10" />
			</p>
		</div>
		
		<div id="contact_us" class="tab-pane fade setting2">
			
			<p class="text-center">
				<a href="https://facebook.com/RankSol" target="_blank" title="Facebook" class="margin-right-20"><img src="<?php echo DBout($pluginUrl.'images/1-fb.png')?>" class="width-40" /></a>
				<a href="https://twitter.com/ranksol" target="_blank" title="Twitter" class="margin-right-20"><img src="<?php echo DBout($pluginUrl.'images/2-twitter.png')?>" /></a>
				<a href="https://plus.google.com/Ranksol" target="_blank" title="Google plus" class="margin-right-20"><img src="<?php echo DBout($pluginUrl.'images/7-googleplus.png')?>" /></a>
				<a href="https://linkedin.com/company/ranksol-web-services" title="Linkedin" target="_blank" class="margin-right-20"><img src="<?php echo DBout($pluginUrl.'images/6-linkedin.png')?>" class="width-40" /></a>
				<a href="http://www.ranksol.com" target="_blank" title="Website" class="margin-right-20"><img src="<?php echo DBout($pluginUrl.'images/website.png')?>" width="40px" /></a>
				<a href="http://www.ranksol.com/help" target="_blank" title="Support Desk" class="margin-right-20"><img src="<?php echo DBout($pluginUrl.'images/life-ring.png')?>" width="40px"/></a>
				<a href="https://codecanyon.net/user/promotionking/portfolio" title="Portfolio" target="_blank"><img src="<?php echo DBout($pluginUrl.'images/envato_studio.png')?>" /></a>
			</p><br />
			<p class="text-center">
				<a href="javascript:void(0)" title="Portfolio" target="_blank"><img src="<?php echo DBout($pluginUrl.'images/support_banner.png')?>" /></a>
			</p>

		</div>

	</div>
		

<?php include_once("footer.php");?>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.2/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
<script>

    var res = '';
    var url1 = '<?php echo DBout(admin_url().'admin-ajax.php?action=search_nexmo_numbers')?>';
    var url2="<?php echo DBout(admin_url())."admin-ajax.php?action=process_data"?>";
    var url3='<?php echo DBout(admin_url())?>admin-ajax.php?action=s-to-c&apikey='+res+'&cmd=get_campaigns';
    var url4='<?php echo DBout(admin_url())?>admin-ajax.php?action=s-to-c&cmd=subscribe&apikey='+res+'&camp_id={id}&phone_number={number}';;
</script>
<script src="<?php echo DBout($pluginUrl.'scripts/setting.js');?>"></script>
