<?php
	include_once("header.php");
	$AjaxFilePath = admin_url().'admin-ajax.php?action=nm_ajax_requests';	
	$timeZONE = $userInfo->timeZONE;
	$timeArray = NM_getTimeArray();
	$pageTitle = 'Schedulers';
	$showSchedulerSection = 'none';
	$addNew = 'block';
	$goBack = 'none';
	if(trim($_REQUEST['action'])=='edit'){
		$sql = "SELECT * FROM ".$wpdb->prefix."nm_scheduler where id='".$_REQUEST['id']."'";
		$schedulerData = $wpdb->get_row($sql);
		$pageTitle = 'Edit scheduler';
		$showSchedulerSection = 'block';
		$addNew = 'none';
		$goBack = 'block';
	}
?>
<link rel='stylesheet' href='<?php echo DBout($pluginUrl.'css/datepicker.css')?>' type='text/css' media='all' />
<link rel='stylesheet' href='<?php echo DBout($pluginUrl.'css/jquery-ui.css')?>' type='text/css' media='all' />
	<h3 class="pageTitle"><?php echo DBout($pageTitle)?>
	<a href="admin.php?page=nm_scheduler_new" class="btn btn-warning scheduler1">Calander View</a>
	<input type="button" class="btn btn-success move-right" value="Add New" style="display:<?php echo DBout($addNew)?>" onclick="showSchdulerForm()" /><input type="button" class="btn btn-default move-right" value="Back" onclick="window.location='admin.php?page=nm_scheduler'" style="display:<?php echo DBout($goBack)?>" /></h3><br />
	<span class="margin-bottom-10 display-block">According to your time zone: <?php echo DBout('<span class="red" ">'.date('g:iA \o\n l jS F Y').'</span>')?></span>
	<div id="schedulersContainer" style="display:<?php echo DBout($showSchedulerSection)?>">
		<form name="ShedulerForm" onsubmit="return scheduler_form(this)" action="<?php echo DBout(admin_url().'admin-ajax.php?action=save_nm_scheduler')?>" method="post" enctype="multipart/form-data">
			<div class="form-group">
				<label>Subject</label>
				<input type="text" name="subject" class="form-control" value="<?php echo wpnmDBout($schedulerData->Subject)?>" required="required" />
				<span class="description">Subject is differentiate your scheduling.</span>
			</div>
			<div class="form-group">
				<label class="checkbox-inline"><input type="checkbox" class="margin-top-0" name="send_immediate" value="1"> Send Immediate</label>
			</div>
			<?php
				if(trim($_REQUEST['action'])=='edit'){
					if(trim($schedulerData->DateTime)!=''){
						if(date('Y-m-d H:i:s') >= $schedulerData->DateTime){
							$disabled = 'disabled="disabled"';
						}else{
							$disabled = '';
						}
					}
				}
			?>
			<div id="dateTimeSection">
				<div class="form-group">
					<?php
						$date = date('Y-m-d',strtotime($schedulerData->DateTime));
					?>
					<label>Date</label>
					<input type="text" name="inputDate" class="form-control addDatePicker" value="<?php if(trim($_REQUEST['action'])=='edit'){ echo DBout($date); }?>" <?php echo DBout($disabled)?> />
				</div>
				<div class="form-group">
					<?php
						$time = date('H:i',strtotime($schedulerData->DateTime));
					?>
					<label>Time</label>
					<select name="time" class="form-control" <?php echo DBout($disabled)?>>
						<?php
						foreach($timeArray as $timeResult => $Time){
							if($time==$timeResult)
								$sel = 'selected="selected"';
							else
								$sel = '';
							echo DBout('<option '.$sel.' value="'.$timeResult.'">'.$Time.'</option>');
						}
						?>
					</select>
					<span class="description">Select date and time for your scheduling.</span>
				</div>
			</div>
			<div class="form-group">
				<label>Select Campaign</label>
				<select name="campaign" onchange='get_group_numbers(this.value,"<?php echo DBout($AjaxFilePath)?>")' class="form-control">
					<option value="">Select Campaign</option>
					<?php				
					$query_campaings = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."nm_client_groups");
					foreach($query_campaings as $campaigns_result => $campaigns){
						if(trim($campaigns->Title)=='')
							$title = $campaigns->Keyword;
						else
							$title = $campaigns->Title;
						if($schedulerData->GroupID==$campaigns->id)
							$csel = 'selected="selected"';
						else
							$csel = '';
						echo DBout('<option '.$csel.' value="'.$campaigns->id.'">'.$title.'</option>');

					}
					?>
				</select>
				<span class="description">Select campaign to get its subscribers.</span>
			</div>
			<div class="form-group">
				<label>Select Number</label>
				<select name="phone_number" id="phone_number" onchange="getSubsDetails(this)" class="form-control">
					<option value="">Select Number</option>
				</select>
				<span class="description showNumInfo green"></span>
				<span class="description">After selecting campaign above subscribers will be listed here accordingly.</span>
			</div>
			<div class="form-group">
				<label>SMS Text</label>
				<textarea name="sms_text" class="form-control"><?php echo wpnmDBout($schedulerData->SMSText)?></textarea>
				<span class="description">This text will send according to date time above selected.</span>
			</div>
			<div class="form-group">
				<label>Attach File</label>
				<input type="file" name="scheduler_media" class="display-inline" />
				<input type="hidden" name="hidden_scheduler_media" value="<?php echo DBout($schedulerData->mms_imgs)?>" />
				<?php
					if(trim($schedulerData->mms_imgs)!='')
						echo DBout('<img src="'.$pluginUrl.'uploads/'.$schedulerData->mms_imgs.'" width="80"><br>');
				?>
				<span class="description">Attach an image by uploading here. (Optional)</span>
			</div>
			<div class="form-group">
				<?php
					if($disabled==''){
				?>
					<input type="hidden" name="scheduler_id" value="<?php echo DBout($schedulerData->id)?>" />
					<input type="submit" class="btn btn-success" name="save_scheduler" value="Save" />
				<?php
					}else{
				?>
					<input type="button" class="btn btn-default" value="Back" onclick="window.location='admin.php?page=nm_scheduler'" />
				<?php		
					}
				?>
			</div>
		</form>
	</div>
	<table width="750" class="listTable table table-bordered table-striped table-hover" align="center" >
		<thead>
			<tr class="table-heading">
				<th>Sr#</th>
				<th>Subject</th>
				<th>Date</th>
				<th>Recipients</th>
				<th>Sent / Failed</th>
				<th>Media</th>
				<th>Status</th>
				<th>Manage</th>
			</tr>
		</thead>
		<tbody>
			<?php
			$schedulers = $wpdb->get_results("select * from ".$wpdb->prefix."nm_scheduler order by id desc");
			$sr = 1;
			if($wpdb->num_rows){
				foreach($schedulers as $result => $scheduler){	
					if($scheduler->PhoneNumberID != 'all'){	
						$query_number = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."nm_user_phone_numbers WHERE id = '".$scheduler->PhoneNumberID."'");
						$phone_number = $query_number[0]->PhoneNumber;
					}else{
						$phone_number = 'All Numbers';
					}
					$SchedulerDate = explode(" ",$scheduler->DateTime);
					$SchedulerDate = $SchedulerDate[0];
			?>
					<tr>
						<td><?php echo DBout($sr++)?></td>
						<td><?php echo DBout(stripcslashes($scheduler->Subject))?></td>
						<td>
							<?php echo DBout(date('Y-m-d H:i A',strtotime($scheduler->DateTime)));?>
						</td>
						
						<td>
							<?php
								$totalNumbers = $wpdb->get_results("select id from ".$wpdb->prefix."nm_sms_inbox where campid='".$scheduler->id."'");
								if($wpdb->num_rows==0)
                                {
                                    if($scheduler->PhoneNumberID!="all" && $scheduler->PhoneNumberID!=""){
                                        echo DBout("1");
                                    }else{
                                        $sel22 = "select upn.PhoneNumber from ".$wpdb->prefix."nm_user_phone_numbers upn, ".$wpdb->prefix."nm_phone_number_group_assignment png  where png.GroupID='".$scheduler->GroupID."' and png.PhoneNumberID=upn.id and upn.status!=5";
                        				$phoneID = $wpdb->get_results($sel22);
                        				echo DBout($wpdb->num_rows);
                                    }
                                }
								else
									echo DBout('<a title="All recipients" href="admin.php?page=show_scheduler_stats&schid='.$scheduler->id.'&type=all">'.$wpdb->num_rows.'</a>');
							?>
						</td>
						<td>
							<?php
								$s = "select id from ".$wpdb->prefix."nm_sms_inbox where campid='".$scheduler->id."' and (status='delivered' or status='sent')";
								$totalSent = $wpdb->get_results($s);
								if($wpdb->num_rows==0)
									echo DBout($wpdb->num_rows);
								else
									echo DBout('<a title="Sent details" href="admin.php?page=show_scheduler_stats&schid='.$scheduler->id.'&type=sent">'.$wpdb->num_rows.'</a>');
								
								echo DBout(' / ');
								
								$totalFailed = $wpdb->get_results("select id from ".$wpdb->prefix."nm_sms_inbox where campid='".$scheduler->id."' and ((status!='delivered' and status!='sent') or status IS NULL) ");
								if($wpdb->num_rows==0)
									echo DBout($wpdb->num_rows);
								else
									echo DBout('<a title="Failed details" href="admin.php?page=show_scheduler_stats&schid='.$scheduler->id.'&type=failed">'.$wpdb->num_rows.'</a>');
							?> 
						</td>
						<td>
						<?php
							if((trim($scheduler->mms_imgs)!='')){
								echo DBout('<img src="'.$pluginUrl.'uploads/'.$scheduler->mms_imgs.'" width="80"><br>');
							}
						?>
						</td>
						<td>
							<?php
								if($scheduler->Status==0)
									echo DBout('Pending');
								else
									echo DBout('Sent');
							?>
						</td>
						<td>
							<a href="<?php echo DBout('admin.php?page=nm_scheduler&action=edit&id='.$scheduler->id)?>"><img title="Edit Scheduler" class="nm_action" src="<?= DBout(NM_PluginURL.'images/edit.png')?>" /></a> <a href="<?= DBout(admin_url().'admin-ajax.php?action=nm_delete_requests'.'&cmd=del&type=scheduler&id='.$scheduler->id)?>"><img title="Delete Scheduler" onclick="return confirm('Are You Sure!')" class="nm_action" src="<?= DBout(NM_PluginURL.'images/delete.png')?>" /></a>
						</td>
					</tr>
			<?php
					}
				}else{
			?>
					<tr>
						<td colspan="8" align="center">No Record Found</td>
					</tr>
			<?php
				}
			?>
		</tbody>
	</table>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.2/jquery.min.js"></script> 
<script src="<?php echo DBout($pluginUrl.'js/datepicker.js')?>"></script>
<script>

    var numID = '';
    var url1 = '<?php echo DBout($schedulerData->PhoneNumberID)?>';
    var url2 = '<?php echo DBout(admin_url())?>admin-ajax.php?action=nm_ajax_requests&cmd=get_number_info&numID='+numID;
    var url3 = '<?php echo DBout($schedulerData->GroupID)?>';
    var url4 = '<?php echo DBout($AjaxFilePath)?>';

</script>
<script src="<?php echo DBout($pluginUrl.'scripts/require_scheduler.js');?>"></script>