<?php
	include_once("header.php");
	require_once("date_filter.php");
	$dateArray = array(
		'All'=>'All',
		'Today'=>'Today',
		'Yesterday'=>'Yesterday',
		'sunday2today' => 'This Week (Sunday - Today)',
		'monday2today'=>'This Week (Monday - Today)',
		'last7days'=>'Last 7 Days',
		'LastWeekSun2Sat'=>'Last Week(Sun - Sat)',
		'LastWeekMon2Sun'=>'Last Week(Mon - Sun)',
		'BuisWeekMon2Fri'=>'Last Buisness Week(Mon - Fri)',
		'last14days'=>'Last 14 days',
		'thisMonth'=>'This Month',
		'last30days'=>'Last 30 days',
		'LastMonth'=>'Last Month'
	);
?>
<link rel='stylesheet' href='<?php echo DBout($pluginUrl.'css/datepicker.css')?>' type='text/css' media='all' />
<link rel='stylesheet' href='<?php echo DBout($pluginUrl.'css/jquery-ui.css')?>' type='text/css' media='all' />
	<h3 class="pageTitle">SMS History</h3>
	<div class="col-md-4 padding-0">
		<select id="date_filter" name="date_filter" onchange='javascript:enableCustomDate(this,"<?php echo DBout('admin.php?page=nm_sms_report')?>")' class="form-control">
			<?php
			foreach($dateArray as $keyd => $vald){
				if($dte_filter == $keyd){
					$sel = 'selected="selected"';
				}else{
					$sel ='';
				}
				echo DBout('<option value="'.$keyd.'" '.$sel.'>'.$vald.'</option>');
			}
			if($dte_filter=='Custom_Range'){
				$sel = 'selected="selected"';
				$txtDisabled = '';
			}else{
				$sel ='';
				$txtDisabled = 'disabled="disabled"';
			}
			echo DBout('<option value="Custom_Range" '.$sel.'>Select Range</option>');
			?>
		</select>
	</div>
	<div class="col-md-4 padding-right-0" align="left">
		<input type="text" name="search_word" id="search_word" class="form-control" placeholder="Enter search keyword." value="<?php echo DBout($_REQUEST['search_word'])?>" onkeypress="findOnKeyPress(event)" />
	</div>
	<div class="col-md-1">
		<input type="button" value="Find" id="search_word" class="btn btn-primary" onclick="findResutls()" />
	</div>
	<div class="col-md-3 padding-0" align="right">
		<a href="<?php echo DBout(admin_url().'admin.php?page=display_fake_numbers')?>" class="btn btn-danger" target="_blank">Fake Numbers</a>&nbsp;&nbsp;
		<a href="<?php echo DBout(admin_url().'admin-ajax.php?action=download_history')?>" class="btn btn-success">Download CSV</a>
	</div>
	<?php
		$dateSection = 'none';
		if(trim($_GET['start_date'])!=''){
			$dateSection = 'block';
		}
	?>
	<div class="col-md-12 date_section" id="dateSection" style="display:<?php echo DBout($dateSection)?>;">
		<div class="col-md-2 padding-0">
			<input type="text" size="10" value="<?php echo DBout($_GET['start_date'])?>" name="start_date" id="start_date" placeholder="Start date" class="form-control addDatePicker" />
		</div>
		<div class="col-md-2 padding-0">
			<input type="text" size="10" value="<?php echo DBout($_GET['end_date'])?>" name="end_date" id="end_date" placeholder="End date" class="form-control addDatePicker" />
		</div>
		<div class="col-md-1"><input type="button" class="btn btn-success" value="Search" onclick='loadSMSFile("<?php echo DBout('admin.php?page=nm_sms_report')?>")' /></div>
		<div class="col-md-7">&nbsp;</div>
	</div>
	
	<div class="report1"></div>
	<table width="100%" align="center" class="listTable table table-bordered table-striped table-hover">
		<thead>
			<tr class="table-heading">
				<th>Sr#</th>
				<th>Date Sent</th>
				<th>To</th>
				<th>From</th>
				<th>Body</th>
				<th>Images</th>
				<th>Status</th>
				<th>Direction</th>
				<th>Info</th>
			</tr>
		</thead>
		<tbody>
			<?php
			$table = $wpdb->prefix."nm_sms_inbox";
			if(isset($_GET['date_filter'])){
				if($_GET['date_filter']=='All'){
					$sql = "SELECT * FROM ".$table."";	
				}else{
					$sql = "SELECT * FROM ".$table." where date(CreatedDate) between '".$stt_date."' and '".$ett_date."'";
				}
				if(trim($_REQUEST['search_word'])!=''){
					$sql .= ' or (ToNum like "%'.$_REQUEST['search_word'].'%") or (FromNum like "%'.$_REQUEST['search_word'].'%") or (SMS like "%'.$_REQUEST['search_word'].'%") or (CreatedDate like "%'.$_REQUEST['search_word'].'%") or (direction like "%'.$_REQUEST['search_word'].'%") order by id desc';
				}else{
					$sql .= ' order by id desc';
				}
			}else if(isset($_REQUEST['search_word'])){
				$sql = "SELECT * FROM ".$table."";
				if(trim($_REQUEST['search_word'])!=''){
					$sql .= " where (ToNum like '%".$_REQUEST['search_word']."%') or (FromNum like '%".$_REQUEST['search_word']."%') or (SMS like '%".$_REQUEST['search_word']."%') or (CreatedDate like '%".$_REQUEST['search_word']."%') or (direction like '%".$_REQUEST['search_word']."%') order by id desc";
				}else{
					$sql .= ' order by id desc';
				}
			}else{
				$sql = "SELECT * FROM ".$table." Order by id DESC";	
			}
			$sqlP = $sql;
			if(is_numeric($_GET['sheet']))
				$pageNum = $_GET['sheet'];
			else
				$pageNum = 1;
			$max_records_per_page = 20;
			$link 		= "admin.php?page=nm_sms_report&";
			$pages 		= generatePaging($sqlP,$link,$pageNum,$max_records_per_page);
			$limit 		= $pages['limit'];
			$sqlP 	   .= $limit;
			if($pageNum==1)
				$countPaging=1;
			else
				$countPaging=(($pageNum*$max_records_per_page)-$max_records_per_page)+1;
						
			if($_SESSION['TOTAL_RECORDS'] <= $max_records_per_page){
				$maxLimit = $_SESSION['TOTAL_RECORDS'];	
			}else{
				$maxLimit = (((int)$countPaging+(int)$max_records_per_page)-1);
			}
			if($maxLimit >= $_SESSION['TOTAL_RECORDS']){
				$maxLimit = $_SESSION['TOTAL_RECORDS'];	
			}

			$results = $wpdb->get_results($sqlP,ARRAY_A);
			if(count($results)>0){
				$srNum = $countPaging;
				$filename = dirname(__FILE__).'/sms-report.csv';
				$fp = fopen($filename, "w");
				$line = "";
				$comma = "";
				$line .= $comma . 'Sr#,From,To,Direction,Message,Date';
				$comma = ",";
				$line .= "\n";
				fputs($fp, $line);
				$line = "";
				$comma = "";
				$index = 1;
				foreach($results as $sr => $sms){
					$direction =  $sms['direction'];
					?>
					<tr>
						<td><?= DBout($srNum++)?></td>
						<td><?= DBout($sms['CreatedDate'])?></td>
						<td><?= DBout($sms['ToNum'])?></td>
						<td><?= DBout($sms['FromNum'])?></td>
						<td><?= DBout($sms['SMS'])?></td>
						<td align="center">
						<?php						
							$media = $sms['media'];
							if(trim($media)!=""){
								echo DBout('<img src="'.$pluginUrl.'uploads/'.$media.'" class="WPSMS_section" width="30px" height="30px"/>');
							}
						?>
						</td>
						<td>
							<?php
								echo DBout($sms['status']);
								if($sms['status']=='400'){
									$data = array(
										'Status' => '5'
									);
									$where = array(
										'PhoneNumber' => $sms['ToNum']
									);
									$wpdb->update($wpdb->prefix."nm_user_phone_numbers",$data,$where);
								}
							?>
						</td>
						<td><?php echo DBout($direction); ?></td>
						<td>
							<?php
								if(($sms['status']=='delivered') || ($sms['status']=='sent')){
									echo DBout('<a href="#" data-toggle="modal" data-target="#loadMsgDetails" title="Delivery status"><i class="fa fa-exclamation-triangle font-24 green" aria-hidden="true" onClick="showDetailsOfMsg(\''.$sms['SMSSid'].'\',\''.$sms['id'].'\',\''.$sms['status'].'\',\''.$sms['error_code'].'\')"></i></a>');
								}else{
									echo DBout('<a href="#" data-toggle="modal" data-target="#loadMsgDetails" title="Delivery status"><i class="fa fa-exclamation-triangle font-24 orange" aria-hidden="true" onClick="showDetailsOfMsg(\''.$sms['SMSSid'].'\',\''.$sms['id'].'\',\''.$sms['status'].'\',\''.$sms['error_code'].'\')"></i></a>');
								}
							?>
						</td>
					</tr>
					<?php
					$line = "";
					$comma = "";
					$count++;
					$line .= $comma . '"'.$index++.'","'.$sms['FromNum'].'","'.$sms['ToNum'].'","'.$direction.'","'.$sms['SMS'].'","'.$sms['CreatedDate'].'"';
					$comma = ",";
					$line .= "\n";
					fputs($fp, $line);
				}	
			}
			?>
			<tr>
				<td colspan="9"><?php echo DBout($pages['pagingString']);?></td>
			</tr>
		</tbody>
	</table>
	<div class="modal fade" id="loadMsgDetails" role="dialog">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal">&times;</button>
					<h4 class="modal-title">Message Details</h4>
				</div>
				<div class="modal-body loadSMSDetials">Loading...</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
				</div>
			</div>
		</div>
	</div>
<?php include_once('footer.php');?>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.2/jquery.min.js"></script> 
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js" integrity="sha384-0mSbJDEHialfmuBBQP6A4Qrprq5OVfW37PRR3j5ELqxss1yVqOtnepnHVP9aJ7xS" crossorigin="anonymous"></script>
<script src="<?php echo DBout($pluginUrl.'js/datepicker.js')?>"></script>
<script>
    var url1 = '<?php echo DBout(admin_url().'admin-ajax.php?action=get_msg_details')?>';
</script>
<script src="<?php echo DBout($pluginUrl.'scripts/require_sms_report.js');?>"></script>