<?php
	include_once("header.php");
	$table_client_groups = $wpdb->prefix.'nm_client_groups';
	$table_phone_number = $wpdb->prefix.'nm_user_phone_numbers';
	$table_gA = $wpdb->prefix.'nm_phone_number_group_assignment';	

	if(!is_active_widget(false,false,'wp-messaging-web-form',true)){
		$_SESSION['nm_error_notice'] = 'Please activate the widget from <i>"Appearance -> Widgets -> WP Messaging Web Form"</i> to use this feature';
	}

	$widget_style_table = $wpdb->prefix."nm_widget_style";
	$colors = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."nm_widget_style",ARRAY_A);	
	if(!empty($colors['text'])){
		$tcolor = $colors['text'];
	}else{
		$tcolor = '';
	}
	
	if(!empty($colors['background'])){
		$bckcolor = $colors['background']; 
	}else{
		$bckcolor = '';
	}
	
	if(!empty($colors['border'])){
		$borcolor = $colors['border'];
	}else{
		$borcolor = '';
	}
?>
	<h3>WP Messaging Widget<input type="button" value="Re-style" class="btn btn-success move-right" onclick="showWidgetSection()" /></h3>
	
	<div id="widgetSection" class="widget_style">
		<form method="post" enctype="multipart/form-data" action="<?php echo DBout(admin_url().'admin-ajax.php?action=save_web_widget_settings')?>">
			<div class="form-group">
				<label>Select Text Color</label>
				<input type="text" class="form-control jscolor tcolor" name="tcolor" value="<?php echo DBout($tcolor)?>" />
			</div>
			<div class="form-group">
				<label>Select Background Color</label>
				<input type="text" class="form-control jscolor bckcolor" name="bckcolor" value="<?php echo DBout($bckcolor)?>" />
			</div>
			<div class="form-group">
				<label>Select Input Border Color</label>
				<input type="text" class="form-control jscolor borcolor" name="borcolor" value="<?php echo DBout($borcolor)?>"/>
			</div>
			<div class="form-group">
				<label>Select Campaign</label>
				<select name="widget_campaign_id" class="form-control">
					<?php
						$campaigns = $wpdb->get_results("select id,Title,Keyword from ".$wpdb->prefix."nm_client_groups");
						if($wpdb->num_rows>0){
							foreach($campaigns as $campaign){
								if($campaign->Title!='')
									$title = $campaign->Title;
								else
									$title = $campaign->Keyword;
								if($colors['camp_id']==$campaign->id)
									$sel = 'selected="selected"';
								else
									$sel = '';
								echo DBout('<option '.$sel.' value="'.$campaign->id.'">'.$title.'</option>');
							}
						}else{
							echo DBout('<option value="">No created yet</option>');
						}
					?>
				</select>
			</div>
			<div class="form-group">
				<label>Lable for Name Field</label>
				<input type="text" name="label_for_name_field" class="form-control" value="<?php echo DBout($colors['label_for_name'])?>" />
				<span class="description">Leave empty to remove feild from widget.</span>
			</div>
			<div class="form-group">
				<label>Lable for Phone Field</label>
				<input type="text" name="label_for_phone_field" class="form-control" value="<?php echo DBout($colors['label_for_phone'])?>" />
				<span class="description">The mobile number must be with country code like +1234657896</span>
			</div>
			<div class="form-group">
				<?php
					$imageSection = 'none';
					$buttonSection= 'none';
					if($colors['image_enable']=='1'){
						$imageSection = 'block';
					}else{
						$buttonSection = 'block';	
					}
				?>
				<label><input type="checkbox" <?php if($colors['image_enable']=='1')echo DBout('checked="checked"');?> name="widget_image_enable" value="1" />Use Image as Button</label>
			</div>
			<div class="form-group widgetButtonSection" style="display:<?php echo DBout($buttonSection)?>">
				<label>Button Text</label>
				<input type="text" name="button_text" class="form-control" value="<?php echo DBout($colors['button_text'])?>" />
			</div>
			<div class="form-group widgetImageSection" style="display:<?php echo DBout($imageSection)?>">
				<label>Upload Image</label>
				<input type="file" name="widget_button_image" />
				<input type="hidden" name="hidden_widget_button_image" value="<?php echo DBout($colors['button_image'])?>" />
				<?php
					if($colors['button_image']!=''){
						echo DBout('<img src="'.getPluginUrl().'uploads/'.$colors['button_image'].'" width="100">');
					}
				?>
			</div>
			<div class="form-group">
				<input type="hidden" name="setting_id" value="<?php echo DBout($colors['id']) ?>" />
				<input type="submit" class="btn btn-success" value="Save" />
				<span class="description">Button style change with theme style</span>
			</div>
		</form>
	</div>
	<div class="form-group red">
		Go to appearance -> Widget and find a widget named "WP Messaging Web Form" and add that in sidebar or where you want.
	</div>
	<table width="600" align="center" class="table table-bordered table-striped table-hover">
		<thead>
			<tr class="table-heading">
				<th>Sr#</th>
				<th>Name</th>
				<th>Phone Number</th>
				<th>Campaign</th>
				<th>Status</th>
			</tr>
		</thead>
		<tbody>
		<?php 
	 $query_subscribers = $wpdb->get_results("SELECT $table_phone_number.*, $table_gA.*, $table_client_groups.Keyword FROM $table_phone_number INNER JOIN $table_gA INNER JOIN $table_client_groups ON $table_gA.GroupID = $table_client_groups.id AND $table_phone_number.Type = '3' AND $table_phone_number.id = $table_gA.PhoneNumberID AND $table_phone_number.Status != 3".$camp_id.$search_string);
	 $sr = 0;
	 if($query_subscribers[0]->id != '')
	 {
		 foreach($query_subscribers as $result => $subscribers)
		 {
			 if($subscribers->Status == '1'){$status = 'Available';}
			 if($subscribers->Status == '2'){$status = 'Not Available';}
			 $sr++;
			 ?>
		<tr>
			<td><?= DBout($sr)?></td>
			<td><?= DBout($subscribers->Name)?></td>
			<td><?= DBout($subscribers->PhoneNumber)?></td>
			<td><?= DBout($subscribers->Keyword)?></td>
			<td><?= DBout($status)?></td>
		</tr>
		<?php
		 }
	 }
	 else
	 {
		 ?>
		<tr>
			<td colspan="5" align="center"><b>No Record Found</b></td>
		</tr>
		<?php
	 }
	 ?>
	 	</tbody>
	</table>
<?php include_once("footer.php");?>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.2/jquery.min.js"></script> 
<script src="<?php echo DBout($pluginUrl.'js/jscolor.js')?>"></script>
<script>
    var url1 = '<?php echo DBout(plugins_url('save_style.php',__FILE__));?>';
</script>