<?php

	global $wpdb;

	include_once('functions.php');

	$userInfo = getWPNMUserInfo();

	if(trim($userInfo->timeZONE)!=''){

		date_default_timezone_set($userInfo->timeZONE);

	}

	if($_POST['save_scheduler']){
		$dir = substr(dirname(__FILE__),0,strrpos(dirname(__FILE__),'/')).'/uploads/';
		if($_REQUEST['is_new_scheduler']=='yes'){
			if($_FILES['media']['name']!=''){
				$ext = getWPNMExtension($_FILES['media']['name']);
				$fileName = uniqid().'.'.$ext;
				$tmpName  = $_FILES['media']['tmp_name'];
				if(move_uploaded_file($tmpName,$dir.$fileName)){
					unlink($dir.$_REQUEST['hidden_media']);
				}
			}else{
				$fileName = $_REQUEST['hidden_media'];
			}
			if($_REQUEST['send_immediate']=='1'){
				$date = date('Y-m-d H:i:s');
			}else{
				$date = date('Y-m-d',strtotime($_POST['date'])).' '.$_REQUEST['time'].':00';
			}
			$data = array(
				"Subject" => wpnmDBin($_POST['title']),
				"DateTime" => wpnmDBin($date),
				"GroupID" => wpnmDBin($_POST['group_id']),
				"PhoneNumberID" => wpnmDBin($_POST['phone_number']),
				"SMSText" => wpnmDBin($_POST['message']),
				"mms_imgs" =>wpnmDBin($fileName)
			);
		}else{
			if($_FILES['scheduler_media']['name']!=''){
				$ext = getWPNMExtension($_FILES['scheduler_media']['name']);
				$fileName = uniqid().'.'.$ext;
				$tmpName  = $_FILES['scheduler_media']['tmp_name'];
				if(move_uploaded_file($tmpName,$dir.$fileName)){
					unlink($dir.$_REQUEST['hidden_scheduler_media']);
				}
			}else{
				$fileName = $_REQUEST['hidden_scheduler_media'];
			}
			if($_REQUEST['send_immediate']=='1'){
				$date = date('Y-m-d H:i:s');
			}else{
				$date = date('Y-m-d',strtotime($_POST['inputDate'])).' '.$_REQUEST['time'].':00';
			}
			$data = array(
				"Subject" => wpnmDBin($_POST['subject']),
				"DateTime" => wpnmDBin($date),
				"GroupID" => wpnmDBin($_POST['campaign']),
				"PhoneNumberID" => wpnmDBin($_POST['phone_number']),
				"SMSText" => wpnmDBin($_POST['sms_text']),
				"mms_imgs" =>wpnmDBin($fileName)
			);
		}
		
		if(($_REQUEST['scheduler_id']=='') || ($_REQUEST['scheduler_id']=='0')) {

			$query = $wpdb->insert($wpdb->prefix."nm_scheduler",$data);
			$schedulerID = $wpdb->insert_id;
			if($query){
				$_SESSION['nm_admin_notice'] = '<div class="notice notice-success"><p><strong>Success</strong> Scheduler saved.</p></div>';
			}else{
				$_SESSION['nm_admin_notice'] = '<div class="notice notice-error"><p><strong>Failed</strong> Failed to save.</p></div>';
			}
		}else{

			$where = array(
				'id' => wpnmDBin($_REQUEST['scheduler_id'])
			);
			$query = $wpdb->update($wpdb->prefix."nm_scheduler",$data,$where);
			if($query!=false){
				$_SESSION['nm_admin_notice'] = '<div class="notice notice-success"><p><strong>Success</strong> Scheduler updated.</p></div>';
			}else{
				$_SESSION['nm_admin_notice'] = '<div class="notice notice-error"><p><strong>Failed</strong> Failed to update.</p></div>';
			}
			$schedulerID = $_REQUEST['scheduler_id'];
		}
		if($_REQUEST['send_immediate']=='1'){
			$url = admin_url().'admin-ajax.php?action=run_nm_batch';
			$data = array("immediate_scheduler_id"=>$schedulerID);
			wpNMPostCurl($url,$data);
		}
	}
	header("location: ".$_SERVER['HTTP_REFERER']);
?>