$(document).ready(function(){
    $('.dial').each(function(){
        var elm  = $(this);
        var color= elm.attr("data-fgColor");
        var perc = elm.attr("value");
        var increase_val = 100;
        if(elm.val() >= 100){
            increase_val = parseInt(increase_val)+parseInt(elm.val());
            console.log(increase_val);
        }
        elm.knob({
            'value': 0,
            'min':0,
            'max':increase_val,
            "skin":"tron",
            "readOnly":true,
            "thickness":.1,
            'dynamicDraw': true,
            "displayInput":false
        });

        $({value: 0}).animate({value:perc},{
            duration: 1000,
            easing: 'swing',
            progress: function(){
                elm.val(Math.ceil(this.value)).trigger('change')
            }
        });

        $(this).append(function(){
            elm.parent().parent().find('.circular-bar-content').css('color',color);
            elm.parent().parent().find('.circular-bar-content label').text(perc+'');
        });
    });
});