<?php
	function firstOfMonth(){
		return date("Y-m-d", strtotime(date('m').'/01/'.date('Y').' 00:00:00'));
	}
	function lastOfMonth(){
		return date("m/d/Y", strtotime('-1 second',strtotime('+1 month',strtotime(date('m').'/01/'.date('Y').' 00:00:00'))));
	}

	$firstdayOfMonth = firstOfMonth();
	$txtDisabled='disabled="disabled"';
	$date = new DateTime(date('Y-m-d'));
	$toDay = $date->format("Y-m-d");

	$lastweek= $date->format("Y-m-d");

	$date = new DateTime(date('Y-m-d'));
	$date->modify("-1days");
	$yesterday = $date->format("Y-m-d");

	$dte_filter = $_GET['date_filter'];

	if($dte_filter == 'Custom_Range'){
		$st_date = $_GET['start_date'];
		$ed_date = $_GET['end_date'];
	}else if($dte_filter == 'Today'){
		$date = new DateTime(date('Y-m-d'));
		$toDay = $date->format("Y-m-d");
		$st_date = $toDay;
		$ed_date = $toDay;
	}else if($dte_filter == 'Yesterday'){
		$st_date = $yesterday;
		$ed_date = $yesterday;
	}else if ($dte_filter == 'last7days'){
		$date = new DateTime(date('Y-m-d'));
		$date->modify("-7days");
		$st_date = $date->format("Y-m-d");
		$ed_date = $yesterday;
	}else if ($dte_filter == 'last14days'){	
		$date = new DateTime(date('Y-m-d'));
		$date->modify("-14days");
		$last14days = $date->format("Y-m-d");
		$st_date = $last14days;
		$ed_date = $yesterday;	
	}else if ($dte_filter == 'last30days'){
		$date = new DateTime(date('Y-m-d'));
		$date->modify("-30days");
		$last30days = $date->format("Y-m-d");
		$st_date = $last30days;
		$ed_date = $yesterday;	
	}else if ($dte_filter == 'thisMonth'){
		$date = new DateTime(date('Y-m-d'));
		$toDay = $date->format("Y-m-d");
		$st_date = $firstdayOfMonth;
		$ed_date = $toDay;	
	}else if($dte_filter == 'LastWeek'){
		$st_date = $lastweek;
		$ed_date = $toDay;
	}else if($dte_filter == 'LastMonth'){
		$start_of_month = date("Y-m-d", strtotime((date('m')-1).'/01/'.date('Y').' 00:00:00'));
		$lastdayofmonth = date('Y-m-d',strtotime('-1 second',strtotime(date('m').'/01/'.date('Y').' 00:00:00')));
		$st_date = $start_of_month;
		$ed_date = $lastdayofmonth;
	}else if($dte_filter == 'allTimes'){
		$ed_date = $toDay;
	}else if($dte_filter == 'LatestEntries'){
		$st_date = $toDay;
	}else if($dte_filter == 'sunday2today'){
		$date = new DateTime(date('Y-m-d'));
		$toDay = $date->format("Y-m-d");
		$thisSunday = date('Y-m-d', strtotime('last Sunday', strtotime($toDay)));
		$st_date = $thisSunday;
		$ed_date = $toDay;
	}else if($dte_filter == 'monday2today'){
		$date = new DateTime(date('Y-m-d'));
		$toDay = $date->format("Y-m-d");
		$thisSunday = date('Y-m-d', strtotime('last Monday', strtotime($toDay)));
		$st_date = $thisSunday;
		$ed_date = $toDay;
	}else if($dte_filter == 'BuisWeekMon2Fri'){
		if(date('D')=='Sat'){
				$date1 = new DateTime(date('Y-m-d'));
				$toDay = $date1->format("Y-m-d");
				$date1->modify("+1 day");
				$tempStartDate = $date1->format("Y-m-d");
				$lastWeekSunday = date('Y-m-d', strtotime('last week Monday-1 week', strtotime($tempStartDate)));
		}else{
			$lastWeekSunday = date('Y-m-d', strtotime('last week Monday-1 week', strtotime($toDay))); 	

		}
		$date1 = new DateTime($lastWeekSunday);
		$toDay = $date1->format("Y-m-d");
		$date1->modify("+4 day");
		$lastWeekSaturday = $date1->format("Y-m-d");
		$st_date = $lastWeekSunday;
		$ed_date = $lastWeekSaturday;
	}else if($dte_filter == 'LastWeekMon2Sun'){
		if(date('D')=='Sat'){
			$date1 = new DateTime(date('Y-m-d'));
			$toDay = $date1->format("Y-m-d");
			$date1->modify("+1 day");
			$tempStartDate = $date1->format("Y-m-d");
			$lastWeekSunday = date('Y-m-d', strtotime('last week Monday-1 week', strtotime($tempStartDate)));
		}else{
			$lastWeekSunday = date('Y-m-d', strtotime('last week Monday-1 week', strtotime($toDay)));
		}
		$date1 = new DateTime($lastWeekSunday);
		$toDay = $date1->format("Y-m-d");
		$date1->modify("+6 day");
		$lastWeekSaturday = $date1->format("Y-m-d");
		$st_date = $lastWeekSunday;
		$ed_date = $lastWeekSaturday;
	}else if($dte_filter == 'LastWeekSun2Sat'){
		if(date('D')=='Sun'){
			$date1 = new DateTime(date('Y-m-d'));
			$toDay = $date1->format("Y-m-d");
			$date1->modify("+1 day");
			$tempStartDate = $date1->format("Y-m-d");
			$lastWeekSunday = date('Y-m-d', strtotime('last week Sunday-1 week', strtotime($tempStartDate)));
		}else{
			$lastWeekSunday = date('Y-m-d', strtotime('last week Sunday-1 week', strtotime($toDay)));
		}
		$date1 = new DateTime($lastWeekSunday);
		$toDay = $date1->format("Y-m-d");
		$date1->modify("+6 day");
		$lastWeekSaturday = $date1->format("Y-m-d");
		$st_date = $lastWeekSunday;
		$ed_date = $lastWeekSaturday;
	}else if($dte_filter == 'All'){
		$dte_filter = 'All';
		$st_date = $toDay;
		$ed_date = $toDay;
	}else{
		$dte_filter = 'All';
		$st_date = $toDay;
		$ed_date = $toDay;
	}
	$st_date;
	$ed_date;

	$stt_date = date('Y-m-d',strtotime($st_date));
	$ett_date = date('Y-m-d',strtotime($ed_date));
?>