<?php
	include_once("header.php");
	global $wpdb;
	$pageTitle = 'Autoresponsers';
	$showCampaignSection = 'none';
	$addNew = 'block';
	$goBack = 'none';
	if(trim($_REQUEST['action'])=='edit'){
		$sql = "SELECT * FROM ".$wpdb->prefix."nm_client_groups where id='".$_REQUEST['id']."'";
		$groupData = $wpdb->get_row($sql);
		$pageTitle = 'Edit campaign';
		$showCampaignSection = 'block';
		$addNew = 'none';
		$goBack = 'block';
	}
?>
	<h3 class="pageTitle margin-bottom-10"><?php echo DBout($pageTitle)?>
	<input type="button" class="btn btn-success move-right" value="Add New" style="display:<?php echo DBout($addNew)?>" onclick="showAutoResForm()" /><input type="button" class="btn btn-default move-right" value="Back" onclick="window.location='admin.php?page=nm_auto_responder'" style="display:<?php echo DBout($goBack)?>;" /></h3><span class="description">Autoresponders SMS text will be sent each time keyword received. Admin can set notification for each sms comes in.</span><br /><br />
	
	<div id="autoResFormContainer" style="display:<?php echo DBout($showCampaignSection)?>">
		<form name="AutoResponderForm" action="<?php echo DBout(admin_url()).'admin-ajax.php?action=save_nm_auto_responder'?>" method="post" enctype="multipart/form-data">
			<div class="form-group">
				<label>Keyword</label>
				<input type="text" name="keyword" class="form-control" value="<?php echo wpnmDBout($groupData->Keyword)?>" />
				<span class="description">The keyword is most important in autoresponders, without keyword subscriber can't subscribe in autoresponder.</span>	
			</div>	
			<div class="form-group">
				<label>Select Number</label>
				<?php
					$query_numbers = $wpdb->get_results('SELECT * FROM '.$wpdb->prefix."nm_phone_numbers");
				?>
				<select name="phone_number" id="phone_number" class="form-control">
					<option value="">Select Number</option>
					<?php
					foreach($query_numbers as $result_numbers => $numbers){
						if($groupData->PhoneNumber==$numbers->TwilioPhoneNo)
							$sel = 'selected="selected"';
						else
							$sel = '';
						echo DBout('<option '.$sel.' value="'.$numbers->TwilioPhoneNo.'">'.$numbers->TwilioPhoneNo.'</option>');
					}
					?>
				</select>
				<span class="description">Must assign a phone number to your autoresponders, subscribers will communicate with autoresponder using this number.</span>
			</div>	
			<div class="form-group">
				<label>SMS Text</label>
				<textarea name="sms_text" class="form-control"><?php echo wpnmDBout($groupData->SpecialGroupSMS)?></textarea>
				<span class="description">Subscriber will receive this message immediately after successfull subscription.</span>
			</div>
			<div class="form-group">
				<label>Attach File</label>
				<input type="file" name="autores_media" class="display-inline" />
				<input type="hidden" name="hidden_autores_media" value="<?php echo DBout($groupData->CampFile)?>" />
				<?php
					if($groupData->CampFile!=''){
						echo DBout('<img src="'.$pluginUrl.'uploads/'.$groupData->CampFile.'" width="80" class="display-inline"><br>');
					}
				?>
				<span class="description">Sent an image to subscriber by uploading here. (optional)</span>
			</div>
			<?php 
				$isEnabled = '';
				$notiTypeSection = 'none';
				if($groupData->is_notity=='1'){
					$isEnabled = 'checked="checked"';
					$notiTypeSection = 'block';
				}
			?>
			<div class="form-group">
				<label><input <?php echo DBout($isEnabled)?> type="checkbox" name="enable_notification" value="1" /> Enable Notification </label>
			</div>
			<div class="form-group notifationTypeSection" style="display:<?php echo DBout($notiTypeSection)?>">
				<div class="form-group">
					<label>Notification SMS for Office</label>
					<textarea name="sms_office" class="form-control"><?php echo wpnmDBout($groupData->SpecialGroupOfficeSMS)?></textarea>
					<span class="description">This is notification message, this will be sent to notification number on new subscription. To get phone number and keyword of the subscriber please use %subs_number% and %subs_keyword%.</span>
				</div>
				<label><input type="radio" name="noti_type" value="sms" <?php if($groupData->noti_type=='sms')echo DBout('checked="checked"');?> /> SMS </label>&nbsp;
				<label><input type="radio" name="noti_type" value="email" <?php if($groupData->noti_type=='email')echo DBout('checked="checked"');?> /> Email</label>
			</div>
			<?php
				$smsSection = 'none';
				$emailSection = 'none';
				if($groupData->noti_type=='sms'){
					$smsSection = 'block';
				}else if($groupData->noti_type=='email'){
					$emailSection = 'block';
				}
			?>
			<div class="form-group smsNotifationSection" style="display:<?php echo DBout($smsSection)?>">
				<label>Enter Phone Number</label>
				<input type="text" name="sms_noti_number" class="form-control" value="<?php echo DBout($groupData->BakcOfficeNumber)?>" />
				<span class="description">Enter a notification phone number here.</span>
			</div>
			<div class="form-group emailNotifationSection" style="display:<?php echo DBout($emailSection)?>">
				<label>Enter Email Address</label>
				<input type="text" name="noti_email" class="form-control" value="<?php echo DBout($groupData->SpecialGroupEmail)?>" />
				<span class="description">Enter notification email here.</span>	
			</div>
			<div class="form-group">
				<input type="hidden" name="autores_id" value="<?php echo DBout($groupData->id)?>" />
				<input type="submit" value="Save" class="btn btn-success" name="save_auto_responder" />
			</div>
		</form>
	</div>
	<table align="center" class="listTable table table-bordered table-striped table-hover">
		<thead>
			<tr class="table-heading">
				<th>Sr#</th>
				<th>Keyword</th>
				<th>Notification</th>
				<th>Phone Number</th>
				<th>Total Subscr</th>
				<th>Added Date</th>
				<th>Action</th>
			</tr>
		</thead>
		<tbody>
		<?php
		$autoResponder = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."nm_client_groups WHERE IsSpecialGroup = '1'");
		$sr = 1;
		if($wpdb->num_rows){
			foreach($autoResponder as $result => $auto_responder){
				$wpdb->get_results("select id from ".$wpdb->prefix."nm_phone_number_group_assignment where GroupID='".$auto_responder->id."'");
				$totalSubs = $wpdb->num_rows;
				if(trim($auto_responder->SpecialGroupEmail) != ''){
					$notify_method = $auto_responder->SpecialGroupEmail;
				}
				if(trim($auto_responder->BakcOfficeNumber) != ''){
					$notify_method = $auto_responder->BakcOfficeNumber;
				}
		?>
			<tr>
				<td><?php echo DBout($sr++)?></td>
				<td><?php echo DBout($auto_responder->Keyword)?></td>
				<td><?php echo DBout($notify_method)?></td>
				<td><?php echo DBout($auto_responder->PhoneNumber)?></td>
				<td>
					<?php 
						if($totalSubs>0){
							echo DBout('<a href="admin.php?page=subs_stats&gid='.$auto_responder->id.'&type=active" title="Show details">'.$totalSubs.'</a>');
						}else{
							echo DBout($totalSubs);
						}
					?>
				</td>
				<td><?php echo DBout($auto_responder->CreatedDate)?></td>
				<td>
					<a href="<?php echo DBout('admin.php?page=nm_auto_responder&action=edit&id='.$auto_responder->id)?>"><img title="Edit Auto Responder" class="nm_action" src="<?= DBout(NM_PluginURL.'images/edit.png')?>" /></a>
					<a href="<?php echo DBout(admin_url()).'admin-ajax.php?action=nm_delete_requests'.'&cmd=del&type=auto_responder&id='.$auto_responder->id?>"><img title="Delete Auto Responder" onclick="return confirm('Are you sure you want to delete this autoresponder?')" class="nm_action" src="<?= DBout(NM_PluginURL.'images/delete.png')?>" /></a>
				</td>
			</tr>
				<?php
				}
			}else{
		?>
			<tr>
				<td colspan="7" align="center"><b>No Record Found</b></td>
			</tr>
		<?php
			}
		?>
			</tbody>
		</table>
<?php include_once('footer.php');?>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.2/jquery.min.js"></script>
<script src="<?php echo DBout($pluginUrl.'scripts/require_auto_responder.js')?>"></script>
