<?php


add_action("widgets_init", array('NM_Widget_name', 'nm_register'));

	class NM_Widget_name{	

		public function nm_control(){

			

			$data = get_option('WP Messaging Web Form');

			if(isset($data['title']) && trim($data['title'])!=''){

				$title = $data['title'];

			}else{

				$title = '';

			}

			

			?>

			<label>Title:

				<input name="nm_webform_title" type="text" class="widefat" value="<?php echo DBout($title); ?>" />

			</label>

			<?php

			if(isset($_POST['nm_webform_title'])){

				$data['title'] = attribute_escape($_POST['nm_webform_title']);

				update_option('WP Messaging Web Form', $data);

			}	

		}  

		public function nm_widget($args){

			global $wpdb;


			$widget_style_table = $wpdb->prefix."nm_widget_style";

			$colors = $wpdb->get_row("SELECT * FROM $widget_style_table",ARRAY_A);

			$pluginUrl = trim(plugin_dir_url(__FILE__),'/');

			$pluginUrl = substr($pluginUrl, 0, strrpos($pluginUrl,'/')).'/';

			$title_get = get_option('WP Messaging Web Form');

			if(isset($title_get['title']) && trim($title_get['title']) != ''){

				$title = $title_get['title'];

			}else{

				$title = 'Subscribe';

			}

			echo DBout($args['before_widget']);

			echo DBout($args['before_title'] . '<span style="color:'.$colors['text'].'">'.$title.'</span>' . $args['after_title']);

			

			if(!empty($colors['text'])){			

				$tcolor = $colors['text'];		

			}else{

				$tcolor = '';

			}

			if(!empty($colors['background'])){

				$bckcolor = $colors['background']; 		

			}else{

				$bckcolor = '';		

			}

			if(!empty($colors['border'])){			

				$borcolor = $colors['border'];		

			}else{

				$borcolor = '';		

			}

			echo DBout("<style>			

			#wp-messaging-web-form > #messaging-web-form{
				background:".$bckcolor." !important;
				color:".$tcolor." !important;
			}

			

			</style>");

			?>

<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css" integrity="sha384-1q8mTJOASx8j1Au+a5WDVnPi2lkFfwwEAa8hDDdjZlpLegxhjVME1fgjWPGmkzs7" crossorigin="anonymous">

			<form name="subsciberform" class="padding-5" action="<?php echo DBout(admin_url())?>admin-ajax.php?action=save_nm_subsrriber" id="messaging-web-form" method="post">

				<?php 

					if(trim($_SESSION['nm_admin_notice'])!=''){

						echo DBout($_SESSION['nm_admin_notice']);unset($_SESSION['nm_admin_notice']);

					}

					if(trim($colors['label_for_name'])!=''){

				?>

				<div class="form-group">

					<label style="color:<?php echo DBout($colors['text'])?>"><?php echo DBout($colors['label_for_name'])?></label>

					<input type="text" name="name" id="name" class="form-control" <?php if(trim($colors['border'])!='')echo DBout('style="border:1px solid '.$colors["border"].'"');?> />

				</div>

				<?php

					}

				?>

				<div class="form-group">

					<label style="color:<?php echo DBout($colors['text'])?>"><?php echo DBout($colors['label_for_phone'])?></label>

					<input type="text" class="form-control" name="phone_number" id="phone_number" required <?php if(trim($colors['border'])!='')echo DBout('style="border:1px solid '.$colors["border"].'"');?> />

				</div>					

				<div class="form-group">

					<?php

						if($colors['image_enable']=='1'){

							echo DBout('<input type="image" src="'.$pluginUrl.'uploads/'.$colors['button_image'].'"></button>');

							echo DBout('<input type="submit" class="display-none">');
							echo DBout('<input type="hidden" name="save_subscribers" value="save">');

						}else{

							echo DBout('<input id="submit" type="submit" name="save_subscribers" value="'.$colors['button_text'].'" class="btn btn-success" />');

						}

					?>

				</div>

				<input type="hidden" value="3" name="sub_type" />

				<input type="hidden" name="campaign" value="<?php echo DBout($colors['camp_id'])?>" />

			</form>

			<?php

			}

		static function nm_register(){

			register_sidebar_widget('WP Messaging Web Form', array('NM_Widget_name', 'nm_widget'));		

			register_widget_control('WP Messaging Web Form', array('NM_Widget_name', 'nm_control'));

		}

	}

?>