<?php
	global $wpdb;
	$current_url = 'http://'.$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'];
	include_once("header.php");
	$pageTitle = 'Subscribers';
	$showSubscriberSection = 'none';
	$addNew = 'block';
	$goBack = 'none';

	if($_REQUEST['action']=='edit'){
		$subscriber = $wpdb->get_row("select 
							upn.*,
							cg.Title,
							cg.id as groupID
						from 
							".$wpdb->prefix."nm_user_phone_numbers upn, 
							".$wpdb->prefix."nm_phone_number_group_assignment pnga, 
							".$wpdb->prefix."nm_client_groups cg
						where
							upn.id=pnga.PhoneNumberID and
							pnga.GroupID=cg.id and
							upn.id='".$_REQUEST['id']."'");
		$pageTitle = 'Edit Subscriber';
		$addNew = 'none';
		$goBack = 'block';
		$showSubscriberSection = 'block';
	}
    
    
    
    $sql22 = "select 
					upn.*,
					cg.Title
				from 
					".$wpdb->prefix."nm_user_phone_numbers upn, 
					".$wpdb->prefix."nm_phone_number_group_assignment pnga, 
					".$wpdb->prefix."nm_client_groups cg
				where
					pnga.PhoneNumberID=upn.id and
					pnga.GroupID=cg.id and
					upn.Status='4'";
	$wpdb->get_results($sql22);
	$notSubs = $wpdb->num_rows;
?>
<link rel='stylesheet' href='<?php echo DBout($pluginUrl.'css/datepicker.css')?>' type='text/css' media='all' />
<link rel='stylesheet' href='<?php echo DBout($pluginUrl.'css/jquery-ui.css')?>' type='text/css' media='all' />
<h3 class="pageTitle"><?php echo DBout($pageTitle)?><input type="button" class="btn btn-success move-right" value="Add New" style="display:<?php echo DBout($addNew)?>" onclick="showSubscriberForm()" /><input type="button" class="btn btn-default move-right" value="Back" onclick="window.location='admin.php?page=nm_subscribers'" style="display:<?php echo DBout($goBack)?>;" /></h3><br />

	<div class="row">
		<div class="col-md-12 padding-bottom-20">
			<div class="col-md-5 padding-left-0">
				<form name="searchForm" method="post">
					<input class="btn btn-default" id="NM_Downloader" onclick='window.location="<?php echo DBout(NM_PluginFilesURL.'download_subscribers.php?action=download')?>"' type="button" name="download_csv" value="Download CSV" />
					<input class="btn btn-default" type="button" onclick="showUploadSection()" id="upload_subscribers" name="upload_subscribers" value="Upload CSV" />
					<a href="admin.php?page=none_subscribers" class="btn btn-primary">(<?php echo DBout($notSubs)?>) Not Subscribed</a>
				</form>
			</div>
			<div class="col-md-3" align="right">
				<select name="filter" onchange="filterSubscribersRecord(this)" class="form-control">
					<option value="">Filter campaign wise</option>
					<option value="">All Campaigns</option>
					<?php
						$query_campaings = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."nm_client_groups");
						foreach($query_campaings as $campaigns_result => $campaigns){
							if(trim($campaigns->Title)==""){
								$title = $campaigns->Keyword;
							}else{
								$title = $campaigns->Title;
							}
						?>
					<option <?php if($_GET['group_id'] == $campaigns->id){ ?> selected="selected" <?php } ?> value="<?= DBout($campaigns->id)?>"><?php echo DBout($title)?></option>
					<?php 
						}
					?>
				</select>
			</div>
			<div class="col-md-4 padding-right-0" align="right">
				<input value="<?php echo DBout(trim($_REQUEST['search']))?>" type="text" name="search" id="searchkeyword" class="form-control" placeholder="Search By Name, Phone Number" onkeypress="searchSubscriber(event)" />
			</div>
		</div>
	</div>
	<div class="row display-none" id="upload_subscriber_table">
		<form name="SubscribersUploadForm" action="<?php echo DBout(admin_url().'admin-ajax.php?action=save_nm_subsrriber')?>" method="post" enctype="multipart/form-data">
			<div class="margin-0-auto width-70per">
				<h3 class="pageTitle text-center">Upload Subscribers CSV File</h3>
				<div class="form-group">
					<label>Select Campaign</label>
					<select name="campaign_name" id="campaign_name" class="form-control" required onchange="checkCampaign(this)">
						<option value="">Select Campaign</option>
						<?php
						$query_campaings = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."nm_client_groups");
						foreach($query_campaings as $campaigns_result => $campaigns){
							if(trim($campaigns->Title)==""){
								$title = $campaigns->Keyword;
							}else{
								$title = $campaigns->Title;
							}
						?>
						<option value="<?= DBout($campaigns->id)?>"><?php echo DBout($title)?></option>
						<?php }?>
						<option value="create_new_campaign" class="red">Create New Campaign</option>
					</select>
				</div>
				<div class="form-group">
					<label>Select File: </label>
					<input type="file" id="csv_file" name="csv_file" class="display-inline margin-left-10" required /><br />
					<span class="description-danger">CSV file allowed only, <a href="<?php echo DBout($pluginUrl.'plugin_files/sample.csv')?>">see format</a></span>
				</div>
				<div class="form-group">
					<label>Offer Message</label>&nbsp;&nbsp;<span class="description">If you want to send an offer message while importing, enter blow, leave empty other wise.(Optional)</span>
					<textarea name="offer_msg" id="offer_msg" class="form-control"></textarea>
				</div>
				<div class="form-group">
					<input type="submit" class="btn btn-success" name="upload_subscribers" value="Upload" />
				</div>
			</div>
		</form>
	</div>
	
	<div id="addSubscriberSection" style="display:<?php echo DBout($showSubscriberSection)?>">
		<form name="SubscribersForm" onsubmit="return subscriber_form(this)" action="<?php echo DBout(admin_url().'admin-ajax.php?action=save_nm_subsrriber')?>" method="POST">
			<div class="form-group">
				<label>Name</label>
				<input type="text" name="name" id="name" class="form-control" value="<?php echo DBout($subscriber->Name)?>" />
				<span class="description">Add subscriber's name here.</span>
			</div>
			<div class="form-group">
				<label>Telephone</label>
				<input type="text" name="phone_number" id="phone_number" required class="form-control numericOnly" placeholder="Please follow this pattern to add the number, 1234567890" value="<?php echo DBout($subscriber->PhoneNumber)?>" />
				<span class="description red">Please follow this pattern to add the number 1234567890</span> </div>
			
			<div class="form-group">
            
                <?php
                $bd = "";
                if($subscriber->date_of_birth!=""){
                    $bd = date("Y-m-d",strtotime($subscriber->date_of_birth));
                }
                ?>
            
				<label>Date of Birth <small>Format : YYYY-mm-dd</small> </label>
				<input type="text" name="date_of_birth" class="form-control" value="<?php echo DBout($bd);?>" />
				<span class="description">Add subscriber's date of birth here.</span>
			</div>
            
            <div class="form-group">
				<label>Status</label>
				<select name="status" id="status" required class="form-control">
					<option value="">Select Status</option>
                    <option value="1" <?php if($subscriber->Status=="1"){ echo DBout("selected"); } ?>>Active</option>
                    <option value="2" <?php if($subscriber->Status=="2"){ echo DBout("selected"); } ?>>Blocked</option>
                    <option value="4" <?php if($subscriber->Status=="4"){ echo DBout("selected"); } ?>>Not subscribed</option>
				</select>
            </div>
            
			<?php
				if($_REQUEST['action']!='edit'){
			?>
			<div class="form-group">
				<label>Add Campaign</label>
				<select name="campaign" id="campaign" required class="form-control">
					<option value="">Select Campaign</option>
					<?php
							$query_campaings = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."nm_client_groups");
							foreach($query_campaings as $campaigns_result => $campaigns){
								if($campaigns->id==$subscriber->groupID)
									$sel = 'selected="selected"';
								else
									$sel = '';
								if(trim($campaigns->Title)=='')
									$title = $campaigns->Keyword;
								else
									$title = $campaigns->Title;
								echo DBout('<option '.$sel.' value="'.$campaigns->id.'">'.$title.'</option>');
							}
						?>
				</select>
				<span class="description">Select a campaign from this list which you want to subscribe this person.</span>
            </div>
			<?php
				}
			?>
			<div class="form-group buttonBox">
				<input type="hidden" name="subscriber_id" value="<?php echo DBout($subscriber->id)?>" />
				<input type="hidden" name="sub_type" value="1" />
				<input type="submit" class="btn btn-success" id="add_subs" name="save_subscribers" value="Save" />
				<input type="button" value="Back" class="btn btn-default" onclick="window.location='admin.php?page=nm_subscribers'" />
			</div>
		</form>
	</div>

	<table class="listTable table table-bordered table-striped table-hover" align="center">
		<thead>
			<tr class="table-heading">
				<th>Sr#</th>
				<th>Name</th>
                <th>DOB</th>
				<th>Phone Number</th>
				<th>Status</th>
				<th>Date</th>
				<th>Manage</th>
			</tr>
		</thead>
		<tbody>
			<?php
			$searchKeyword = '';
			$filterGroup   = '';
			$sql = '';
			if(trim($_REQUEST['search'])!=''){
				$sql = "select 
							upn.*, cg.Title 
						from 
							".$wpdb->prefix."nm_user_phone_numbers upn, 
							".$wpdb->prefix."nm_phone_number_group_assignment pnga, 
							".$wpdb->prefix."nm_client_groups cg
						where 
							(upn.Name like '%".$_REQUEST['search']."%') or 
							(upn.PhoneNumber like '%".$_REQUEST['search']."%')";
				if($_REQUEST['group_id']!=''){
					$filterGroup = " and pnga.GroupID='".$_REQUEST['group_id']."' and upn.id=pnga.PhoneNumberID";
					$sql .= $filterGroup;
				}
				$sql .= ' group by upn.PhoneNumber';
			}else if($_REQUEST['group_id']!=''){
				$sql = "select 
							upn.*, 
							cg.Title 
						from 
							".$wpdb->prefix."nm_user_phone_numbers upn, 
							".$wpdb->prefix."nm_phone_number_group_assignment pnga, 
							".$wpdb->prefix."nm_client_groups cg
						where
							pnga.GroupID='".$_REQUEST['group_id']."' and 
							upn.id=pnga.PhoneNumberID
							group by upn.PhoneNumber";
				if($_REQUEST['search']!=''){
					$searchKeyword = " and (upn.Name like '%".$_REQUEST['search']."%') or 
							(upn.PhoneNumber like '%".$_REQUEST['search']."%')";
					$sql .= $searchKeyword;
				}
			}else{
				$sql = "select 
							upn.*,
							cg.Title
						from 
							".$wpdb->prefix."nm_user_phone_numbers upn, 
							".$wpdb->prefix."nm_phone_number_group_assignment pnga, 
							".$wpdb->prefix."nm_client_groups cg
						where
							pnga.PhoneNumberID=upn.id and
							pnga.GroupID=cg.id
							group by upn.PhoneNumber";
			}
			
			$sqlP = $sql." order by upn.Name asc ";
            $_SESSION['sub_sql'] = $sql; 
			if(is_numeric($_GET['sheet']))
				$pageNum = $_GET['sheet'];
			else
				$pageNum = 1;
            
            if($_SERVER['HTTP_HOST']=="dralfonsojhenriquez.com"){
                $max_records_per_page = 100;
            }else{
                $max_records_per_page = 20;
            }
                
			
			$link 		= "admin.php?page=nm_subscribers&";
			$pages 		= generatePaging($sqlP,$link,$pageNum,$max_records_per_page);
			$limit 		= $pages['limit'];
			$sqlP 	   .= $limit;
			if($pageNum==1)
				$countPaging=1;
			else
				$countPaging=(($pageNum*$max_records_per_page)-$max_records_per_page)+1;
						
			if($_SESSION['TOTAL_RECORDS'] <= $max_records_per_page){
				$maxLimit = $_SESSION['TOTAL_RECORDS'];
			}else{
				$maxLimit = (((int)$countPaging+(int)$max_records_per_page)-1);
			}
			if($maxLimit >= $_SESSION['TOTAL_RECORDS']){
				$maxLimit = $_SESSION['TOTAL_RECORDS'];
			}
			
			$query_subscribers = $wpdb->get_results($sqlP);
			$sr = $countPaging;		
			if($wpdb->num_rows){
				foreach($query_subscribers as $result => $subscribers){
					$wpdb->get_results("select id from ".$wpdb->prefix."nm_chat_history where subs_id='".$subscribers->id."' and is_read='1'");
					$unRead = $wpdb->num_rows;
					if($subscribers->Status == '1'){
						$status = '<span class="green">Active</span>';
					}else if($subscribers->Status == '2'){
						$status = '<span class="orange">Blocked</span>';
					}else if($subscribers->Status == '3'){
						$status = '<span class="red">Deleted</span>';
					}else if($subscribers->Status == '4'){
						$status = '<span class="blue">Not subscribed</span>';
					}		
					?>
					<tr>
						<td><?php echo DBout($sr++)?></td>
						<td><?php echo DBout($subscribers->Name)?></td>
                        <td><?php echo DBout($subscribers->date_of_birth)?></td>
						<td><?php echo DBout($subscribers->PhoneNumber)?></td>
						<td><?php echo DBout($status)?></td>
						<td><?php echo DBout($subscribers->CreatedDate)?></td>
						<td>
							<a href="<?php echo DBout('admin.php?page=nm_subs_chat&id='.$subscribers->id)?>" title="Chat"><?php if($unRead>0){?><i class="badge header_badge"><?php echo DBout($unRead)?></i><?php }?><i class="fa fa-wechat green"></i></a>&nbsp;
							
							<a href="<?php echo DBout('admin.php?page=nm_subscribers&action=edit&id='.$subscribers->id)?>"><img title="Edit Subscriber" onclick="" class="nm_action" src="<?= DBout(NM_PluginURL.'images/edit.png')?>" /></a>&nbsp;
							<a href="<?php echo DBout(admin_url().'admin-ajax.php?action=nm_delete_requests'.'&cmd=del&type=subscriber&id='.$subscribers->id)?>"><img title="Delete Subscriber" onclick="return confirm('Are You Sure you want to delete this subscriber?')" class="nm_action" src="<?= DBout(NM_PluginURL.'images/delete.png')?>" /></a>
						</td>
					</tr>
					<?php
				}	
			}else{
			?>
				<tr>
					<td colspan="7" align="left"><b>No Record Found</b></td>
				</tr>
			<?php
			}
			?>
			<tr>
				<td colspan="7"><?php echo DBout($pages['pagingString']);?></td>
			</tr>
		</tbody>
	</table>
<?php include_once("footer.php");?>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.2/jquery.min.js"></script> 
<script src="<?php echo DBout($pluginUrl.'js/datepicker.js')?>"></script>
<script>
    var groupID= '';
    var searchkeyword = '';
    var url1 = "<?php echo DBout(admin_url())?>admin.php?page=nm_subscribers&group_id="+groupID+'&search='+searchkeyword;
    var url2 = "<?php echo DBout(admin_url())?>admin.php?page=nm_subscribers&group_id="+groupID;
    var url3 = "<?php echo DBout(admin_url())?>admin.php?page=nm_subscribers&search="+searchkeyword;
</script>
<script src="<?php echo DBout($pluginUrl.'scripts/require_subscribers.js');?>"></script>