<?php
include_once "functions.php";
	global $wpdb;
	include_once("header.php");
?>
<link rel='stylesheet' href='<?php echo DBout($pluginUrl.'css/datepicker.css')?>' type='text/css' media='all' />
<link rel='stylesheet' href='<?php echo DBout($pluginUrl.'css/jquery-ui.css')?>' type='text/css' media='all' />
<link href="<?php echo DBout(plugin_dir_url(__FILE__) )?>fullcalendar/css/fullcalendar.min.css" rel="stylesheet" />
<script>
var events = [];
</script>

		<div class="header">
			<h4 class="title">
				SMS Schedulers
				<a href="admin.php?page=nm_scheduler" class="btn btn-warning move-right list_style">List View</a>
			</h4>
			<p class="category red"><?php echo DBout(date('g:iA \o\n l jS F Y'))?></p>
		</div>
		<div class="content table-responsive table-full-width">

			<div id="calendar" class="calender_style"></div>

		</div>


<?php

	$sql = "select * from ".$wpdb->prefix."nm_scheduler";
	$schedulers = $wpdb->get_results($sql,ARRAY_A);
	if($wpdb->num_rows){
		$index = 0;
		foreach($schedulers as $row){
            ?>
            <script>
            var event = {};
            event['id'] = '<?php echo DBout($row["id"]); ?>';
            event['title'] = '<?php echo DBout($row["Subject"]); ?>';
            event['start'] = '<?php echo DBout($row["DateTime"]); ?>';
            event['end'] = '<?php echo DBout($row["DateTime"]); ?>';
            event['className'] = 'bg-info';
            event['group_id'] = '<?php echo DBout($row["GroupID"]); ?>';
            event['phone_number'] = '<?php echo DBout($row["PhoneNumberID"]); ?>';
            event['message'] = '<?php echo DBout($row["SMSText"]); ?>';
			event['hidden_media'] = '<?php echo DBout($row["mms_imgs"]); ?>';
            events['<?php echo DBout($index); ?>'] = event;
            </script>
            <?php 
            $index++;
        }
    }

?>
    <div class="modal fade none-border event-style" id="event-modal">
        <div class="modal-dialog">
            <div class="modal-content">
                <form action="<?php echo DBout(admin_url().'admin-ajax.php?action=save_nm_scheduler')?>" method="post" enctype="multipart/form-data">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                    <h4 class="modal-title">Add New Event</h4>
                </div>
				<div class="modal-body p-20">
					<div class="form-group">
						<label>Title*</label>
						<input type="text" name="title" parsley-trigger="change" required placeholder="Enter title..." class="form-control">
					</div>
					<div class="form-group">
						<label>Date*</label>
						<input type="text" class="form-control addDatePicker event_style" name="date" required autocomplete="off">
					</div>
					<div class="form-group">
						<label>Time*</label>
						<select name="time" class="form-control" parsley-trigger="change" required>
						<?php
							$time = NM_getTimeArray();
							foreach($time as $key => $value){
								echo DBout('<option '.$selected.' value="'.$key.'">'.$value.'</option>');
							}
						?>
						</select>
					</div>
					<div class="form-group">
						<label><input name="send_immediate" value="1" type="checkbox" /> Send Immediate</label>
					</div>
					<div class="form-group">
						<label>Select Group</label>
						<select class="form-control" name="group_id" onChange="getGroupNumbers(this.value)" parsley-trigger="change" required>
							<option value="">- Select One -</option>
						<?php
							$sqlg = "select id, title from ".$wpdb->prefix."nm_client_groups";
							$campaigns = $wpdb->get_results($sqlg,ARRAY_A);
							if($wpdb->num_rows){
								foreach($campaigns as $rowg){
									echo DBout('<option '.$sel.' value="'.$rowg['id'].'">'.$rowg['title'].'</option>');
								}	
							}else{
								echo DBout('<option value="">No group found</option>');
							}
						?>		
						</select>
					</div>
					<div class="form-group">
						<label>Select Number</label>
						<select name="phone_number" class="form-control" id="list_group_number"></select>
					</div>
					<div class="form-group">
						<label>Message</label>
						<textarea name="message" class="form-control textCounter" parsley-trigger="change" required></textarea>
						<span class="showCounter">
							<span class="showCount"></span> Characters left
						</span>
					</div>
					<div class="form-group">
						<label>Media</label>
						<input type="file" name="media">
						<input type="hidden" name="hidden_media" value="">
					</div>
					<div class="form-group text-right m-b-0 display-none">
						<button class="btn btn-primary waves-effect waves-light" type="submit"> Save </button>
						<button type="reset" class="btn btn-default waves-effect waves-light m-l-5" onclick="window.location = 'javascript:history.go(-1)'"> Cancel </button>
					</div>
				</div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default waves-effect" data-dismiss="modal">Close</button>
                    <button type="submit" class="btn btn-success save-event waves-effect waves-light">Save</button>
					<input type="hidden" name="save_scheduler" value="yes">
                    <input type="hidden" name="is_new_scheduler" value="yes" />
                    <input type="hidden" name="cmd" value="save_scheduler" />
                    <input type="hidden" name="scheduler_id" value="0" />
                </div>
            </form>
            </div>
        </div>
    </div>
    <div class="modal fade none-border event_style" id="add-category">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                    <h4 class="modal-title">Add a category MODALLLLLLLL</h4>
                </div>
                <div class="modal-body p-20">
                    <form role="form">
                        <div class="row">
                            <div class="col-md-6">
                                <label class="control-label">Category Name</label>
                                <input class="form-control form-white" placeholder="Enter name" type="text" name="category-name"/>
                            </div>
                            <div class="col-md-6">
                                <label class="control-label">Choose Category Color</label>
                                <select class="form-control form-white" data-placeholder="Choose a color..." name="category-color">
                                    <option value="success">Success</option>
                                    <option value="danger">Danger</option>
                                    <option value="info">Info</option>
                                    <option value="pink">Pink</option>
                                    <option value="primary">Primary</option>
                                    <option value="warning">Warning</option>
                                    <option value="orange">Orange</option>
                                    <option value="brown">Brown</option>
                                    <option value="teal">Teal</option>
                                    <option value="inverse">Inverse</option>
                                </select>
                            </div>
                        </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default waves-effect" data-dismiss="modal">Close</button>
                    <button type="button" class="btn btn-danger waves-effect waves-light save-category" data-dismiss="modal">Save</button>
                </div>
            </div>
        </div>
    </div>
<?php include_once('footer.php');?>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.2/jquery.min.js"></script> 
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js" integrity="sha384-0mSbJDEHialfmuBBQP6A4Qrprq5OVfW37PRR3j5ELqxss1yVqOtnepnHVP9aJ7xS" crossorigin="anonymous"></script>
<script src="<?php echo DBout(plugin_dir_url(__FILE__))?>moment/moment.js"></script>
<script src='<?php echo DBout(plugin_dir_url(__FILE__))?>fullcalendar/js/fullcalendar.min.js'></script>
<script src="<?php echo DBout($pluginUrl.'js/datepicker.js')?>"></script>
<script>
    var url1 = '<?php echo DBout(admin_url().'admin-ajax.php?action=nm_ajax_requests')?>';
</script>
<script src="<?php echo DBout($pluginUrl.'scripts/new_scheduler.js');?>"></script>