<?php
include_once "functions.php";
require_once('../../../../wp-load.php');

function setHelpText($helpText)
{
	global $wpdb;
	$sql = "update twilio_settings set help_text='".$helpText."'";
	$wpdb->query($sql);
}


function addCampaignAutoResponder($daysDelay1,$msg1,$daysDelay2,$msg2,$daysDelay3,$msg3,$group_id,$phone_number_id,$created_user,$delayTime1,$delayTime2,$delayTime3)
{
	global $wpdb;

	$firstSMSdATE 	= date('Y-m-d',strtotime("+$daysDelay1 day")).' '.$delayTime1;
	$secondSMSdATE 	= date('Y-m-d',strtotime("+$daysDelay2 day")).' '.$delayTime2;
	$thirdSMSdATE 	= date('Y-m-d',strtotime("+$daysDelay3 day")).' '.$delayTime3;
	
	if($msg1 != '')
	{
		$sql = "insert into jqcalendar (Subject,Location,Description,StartTime,EndTime,IsAllDayEvent,Color,group_id,phone_number_id,created_user) values('Campaign','Empty','".$msg1."','".$firstSMSdATE."','".$firstSMSdATE."','0','-1','".$group_id."','".$phone_number_id."','".$created_user."')";
		$wpdb->query($sql);
	}
	if($msg2 != '')
	{
		$sql = "insert into jqcalendar (Subject,Location,Description,StartTime,EndTime,IsAllDayEvent,Color,group_id,phone_number_id,created_user) values('Campaign','Empty','".$msg2."','".$secondSMSdATE."','".$secondSMSdATE."','0','-1','".$group_id."','".$phone_number_id."','".$created_user."')";
		$wpdb->query($sql);
	}
	if($msg3 != '')
	{
		$sql = "insert into jqcalendar (Subject,Location,Description,StartTime,EndTime,IsAllDayEvent,Color,group_id,phone_number_id,created_user) values('Campaign','Empty','".$msg3."','".$thirdSMSdATE."','".$thirdSMSdATE."','0','-1','".$group_id."','".$phone_number_id."','".$created_user."')";
		$wpdb->query($sql);
	}

}

function getHelpText()
{
	global $wpdb;

	$sql = "select help_text from twilio_settings";
	$row = $wpdb->get_row($sql,ARRAY_A);
	return $row['help_text'];
}

function generatePaging($sql,$link,$pageNum,$max_records_per_page)
{
	global $wpdb;

		if ($pageNum  == 1 ) {
			$tmpRes = $wpdb->get_results($sql);
			$totalRecs = count($tmpRes);
			$_SESSION['TOTAL_RECORDS'] = $totalRecs;
		}

		$recStart = ( (int) ($pageNum-1) )* ((int) $max_records_per_page );
		$totalRecs = $_SESSION['TOTAL_RECORDS'];

		$pagingString = '<table width="100%" border="0" cellspacing="0" class="paging-string" cellpadding="0" ><tr><td align="right" class="hyperlink padding-5" valign="middle">';
		$totalPages = ceil( ( (int) $totalRecs ) / ( (int) $max_records_per_page ) );
		
		$pagingStartPage = 1;
		$pagingEndPage = $totalPages ;
		
		if ($pageNum > 6 ) 
			$pagingStartPage = $pageNum - 5;
		
		if ($pageNum < ($totalPages - 5) ) 
			$pagingEndPage = $pageNum + 5;
		
		if ($pageNum > 1 ) {
			$prPage = $pageNum -1;
			$pagingString .= '<a href="'.$link.'page=1" class="hyperlink"><img src="images/doublebackarrow.gif" width="18" height="18" border="0" align="absmiddle"/></a>';
			$pagingString .= ' <a href="'.$link.'page='. $prPage .'" class="hyperlink"><img src="images/backarrow.gif" width="18" height="18" border="0" align="absmiddle"/></a> ';
		}

		for($i=$pagingStartPage;$i<=$pagingEndPage;$i++) {
		
			if ($pageNum == $i) {
				$pagingString .= '<span class="nm_pagi">' . $i . '</span>';
			} else {
				$pagingString .= '<a href="'.$link.'page='.$i.'" class="hyperlink">'.$i.'</a>';
			}
			
			if ($i != $pagingEndPage)
				$pagingString .= ' | ';
		}
		if ($pageNum < $totalPages ) {
			$nePage = $pageNum + 1;
			$pagingString .= ' <a href="'.$link.'page='. $nePage .'" ><img src="images/nextarrow.gif" width="18" height="18" border="0" align="absmiddle"/></a> ';
			$pagingString .= '<a href="'.$link.'page='. $totalPages .'" ><img src="images/doublenextarrow.gif" width="18" height="18" border="0" align="absmiddle"/></a> ';
		}
		
		$pagingString .= '</td></tr></table>';
		
		$sqlLIMIT = " LIMIT ". $recStart . " , " . $max_records_per_page;
		
		if ($totalPages == 1)
		{
			$a['pagingString'] = '';
			$a['limit'] = '';
		}
		else
		{
			$a['pagingString'] = $pagingString;
			$a['limit'] =  $sqlLIMIT;
		}
		return $a;
}

function senEmail($subject,$to,$from,$msg)
{
	$to  = 'SMS Application<'.$to.'>';
	$from = 'SMS Application<'.$from.'>';
	$message = $msg;
	$headers  = 'MIME-Version: 1.0' . "\r\n";
	$headers .= 'Content-type: text/html; charset=iso-8859-1' . "\r\n";
	$headers .= 'From:'.$from."\r\n";
	$mail_result = mail($to, $subject, $message, $headers, "-f$from");	
}

function addPhoneNumberGroup($phoneNumberID,$groupID,$userID)
{
		global $wpdb;
		$sql = "select id from phone_number_group_assignment where phone_number_id='".$phoneNumberID."' and group_id='".$groupID."'";
		$res = $wpdb->get_row($sql,ARRAY_A);
		if(count($res)==0)
		{
			$sqlAdd = "insert into phone_number_group_assignment (phone_number_id,group_id,created_user) values('".$phoneNumberID."','".$groupID."','".$userID."')";
			$wpdb->query($sqlAdd);
		}
}

function addUserPhoneNumber($From,$userID,$status)
{
	global $wpdb;
	$sql = "insert into users_phone_numbers (phone_number, created_user, status) values('".trim(substr($From,2))."','".$userID."','".$status."')";
	$res = $wpdb->query($sql);
	$phoneNumberID = $wpdb->insert_id;
	return $phoneNumberID;
}

function addSMSHistory($Body,$SmsSid,$SmsMessageSid,$From,$matchingKeywords,$userID,$To,$full)
{
	global $wpdb;
	$sql = "insert into incoming_sms_tracks (`body`,`sms_sid`,`sms_message_sid`,`from`,`matching_keywords`,`user_id`,`to`,`all_post`) values('".$Body."','".$SmsSid."','".$SmsMessageSid."','".$From."','".$matchingKeywords."','".$userID."','".$To."','".$full."');";
	$wpdb->query($sql);
}

function sendSMS($client,$From,$twilio_user_number,$unsubscriptionSMS,$ApiVersion,$AccountSid)
{
	$response = $client->request("/$ApiVersion/Accounts/$AccountSid/SMS/Messages", 
			"POST", array(
			"To" => $From,
			"From" => $twilio_user_number,
			"Body" => $unsubscriptionSMS
		));
		if ($response->IsError) {
			echo DBout($response->ErrorMessage);
		}
}

function updateSubAccountOnTwilio($client,$ApiVersion,$AccountSid,$status)
{	

		$response = $client->request("/$ApiVersion/Accounts/".$AccountSid,
                         "POST",
                         array(
                               "Status" => $status,
                         ));
				
		if($status == 'suspended'){
		$clientStatus = '2';
		}
		if($status == 'active'){
		$clientStatus = '1';
		}
		else if($status!='suspended' && $status!='active'){
		$clientStatus = '2';
		}

}

function updatePhoneNumberStatus($From,$userID,$status,$phoneNumberID)
{
	global $wpdb;
	$sql = "update users_phone_numbers set status = '".trim($status)."' where id='".$phoneNumberID."'";
	$wpdb->query($sql);
}

function encode5t($str)
{

	  for($i=0; $i<5;$i++)
  	{
	    $str=strrev(base64_encode($str)); 
  	}
  	return $str;
}

function decode5t($str)
{

  for($i=0; $i<5;$i++)
  {
    $str=base64_decode(strrev($str)); 
	}
  return $str;
}


function DBin($string)
{
	$a = html_entity_decode($string);
	return trim(htmlspecialchars($a,ENT_QUOTES));
}

function DBout($string)
{
	$string = stripslashes(trim($string));
	return html_entity_decode($string);
}

function writeInFile($data)
{
	$myFile = "LogFile.txt";
	$fh = fopen($myFile, 'a');
	$stringData = $data."\n";
	fwrite($fh, $stringData);
	fclose($fh);
}
function getPaypalInformation()
{
	global $wpdb;

	$sql = "SELECT * FROM twilio_settings";
	$row = $wpdb->get_results($sql);
	return $row;
}

function tblClientGroup($getID)
{
	global $wpdb;
	$sql = "select * from client_groups where id='".$getID."'";
	$row = $wpdb->get_row($sql);
	return $row;
}


class BaseCampaign
{
	public $userID;
	public $groupTitle;
	public $groupKeywords;
	public $dayDelay_1;
	public $smsSubscription_1;
	public $dayDelay_2;
	public $smsSubscription_2;
	public $dayDelay_3;
	public $smsSubscription_3;
	public $client_id;
	public $groupStatus;
	public $campaignSMS;
	public $delayTime_1;
	public $delayTime_2;
	public $delayTime_3;
	public $msg_counter;
	public $msg_counter_start_num;
	public $add_expiry;
	public $add_days;

	
	function __construct($userID,$groupTitle,$groupKeywords,$campaignSMS,$dayDelay_1,$smsSubscription_1,$dayDelay_2,$smsSubscription_2,$dayDelay_3,$smsSubscription_3,$client_id,$groupStatus,$delayTime_1,$delayTime_2,$delayTime_3,$msg_counter,$msg_counter_start_num,$add_expiry,$add_days,$existingNumber)
	{

		$this->userID 				= $userID;
		$this->groupTitle 			= $groupTitle;
		$this->groupKeywords 		= $groupKeywords;
		$this->campaignSMS	 		= $campaignSMS;
		$this->dayDelay_1			= $dayDelay_1;
		$this->smsSubscription_1 	= $smsSubscription_1;
		$this->dayDelay_2			= $dayDelay_2;
		$this->smsSubscription_2		= $smsSubscription_2;
		$this->dayDelay_3			= $dayDelay_3;
		$this->smsSubscription_3		= $smsSubscription_3;
		$this->client_id			= $client_id;
		$this->groupStatus			= $groupStatus;
		$this->delayTime_1			= $delayTime_1;
		$this->delayTime_2			= $delayTime_2;
		$this->delayTime_3			= $delayTime_3;
		$this->msg_counter			= $msg_counter;
		$this->msg_counter_start_num= $msg_counter_start_num;
		$this->add_expiry			= $add_expiry;
		$this->add_days			= $add_days;
		$this->existingNumber		= $existingNumber;
	}
	
}


class Campaign extends BaseCampaign
{	
	function checkKeyword($getID='')
	{
		$keywordArray = explode(',',$this->groupKeywords);
		foreach($keywordArray as $keyword)
		{
			if(strtoupper($keyword) == 'HELP')
			{
				throw new Exception($keyword.' is a reserve word. Can not be used as keyword.');
			}
			if($getID!=''){
			$wherID = " and id != '".$getID."'";
			}
			else{
			$wherID = "";
			}
			
			global $wpdb;			
			$sqlf = "select keywords from client_groups where keywords like '%".$keyword."%' and created_user='".$this->userID."'".$wherID;
			
			$rowf = $wpdb->get_results($sqlf, ARRAY_A);

			$extKeywords = $rowf['keywords'];
			$extKeywordsArray = explode(',',$extKeywords);
			if(in_array($keyword,$extKeywordsArray))
			{
				throw new Exception($keyword.' keyword is a already exists in your account');	
			}
		}
		return true;
	}

	function addNewCampaign()
	{
		global $wpdb;

		$sqlAdd = "insert into `client_groups` (`client_id`,`title`,`keywords`,`status`,`created_user`,`day_delay_1`,`subscription_sms_1`,`day_delay_2`,`subscription_sms_2`,`day_delay_3`,`subscription_sms_3`,`campaign_sms`,`delay_time_1`,`delay_time_2`,`delay_time_3`,`msg_counter`,`msg_counter_start_num`,`add_expiry`,`add_days`, `phone_number_id`) values
		('".$this->client_id."','".$this->groupTitle."','".$this->groupKeywords."','".$this->groupStatus."','".$this->userID."','".$this->dayDelay_1."','".$this->smsSubscription_1."','".$this->dayDelay_2."','".$this->smsSubscription_2."','".$this->dayDelay_3."','".$this->smsSubscription_3."','".$this->campaignSMS."','".$this->delayTime_1."','".$this->delayTime_2."','".$this->delayTime_3."','".$this->msg_counter."','".$this->msg_counter_start_num."','".$this->add_expiry."','".$this->add_days."','".$this->existingNumber."')";

		$res = $wpdb->query($sqlAdd);
		if($res)
		{
			return true;
		}
		else
		{
			return false;
		}
	}

	function updateCampaign($getID)
	{
			
		global $wpdb;	
		$string = $this->campaignSMS;
		
		$a = html_entity_decode($string);
		$a= trim(htmlspecialchars($a,ENT_QUOTES));

		$sql = "UPDATE `client_groups` SET `client_id`='".$this->client_id."',`title`='".$this->groupTitle."',`keywords`='".$this->groupKeywords."',`status`='".$this->groupStatus."',`day_delay_1`='".$this->dayDelay_1."',`subscription_sms_1`='".$this->smsSubscription_1."',`day_delay_2`='".$this->dayDelay_2."',`subscription_sms_2`='".$this->smsSubscription_2."',`day_delay_3`='".$this->dayDelay_3."',`subscription_sms_3`='".$this->smsSubscription_3."',`campaign_sms`='".$a."',`delay_time_1`='".$this->delayTime_1."',`delay_time_2`='".$this->delayTime_2."',`delay_time_3`='".$this->delayTime_3."',`msg_counter`='".$this->msg_counter."',`msg_counter_start_num`='".$this->msg_counter_start_num."',`add_expiry`='".$this->add_expiry."',`add_days`='".$this->add_days."',phone_number_id='".$this->existingNumber."' WHERE id='".$getID."'";
		$res = $wpdb->query($sql);
		if($res)
		{
			return true;
		}
		else
		{
			return false;
		}
	}
}

class PackageAssigned
{
	public $adminID;
	public $pkgStartDate;
	public $pkgEndDate;
	
	function __construct($adminID)
	{
		$this->adminID = $adminID;
		
		$row = self::tblUserPackageAssigned();
		
		$this->pkgStartDate = $row->package_start_date;
		$this->pkgEndDate	= $row->package_end_date;
	}
	
	public function tblUserPackageAssigned()
	{
		global $wpdb;
		$sql = "SELECT package_start_date,package_end_date FROM user_package_assignment where user_id='".$this->adminID."'";
		$row = $wpdb->get_results($sql);
		
		return $row;
	}
	
	public function updateUserPackage($startDate,$endDate)
	{
		global $wpdb;
		$sql = "UPDATE user_package_assignment set package_start_date='".$startDate."',package_end_date='".$endDate."' WHERE user_id='".$this->adminID."'";
		$wpdb->query($sql);
	}
	
}
function getRolloverSMS($client_id)
{
		global $wpdb;
		$sql = "select * from roll_over_sms where client_id='".$client_id."'";
		$row = $wpdb->get_row($sql,ARRAY_A);
		if(count($row)>0)
		{
			
			return $row['sms_count'];
		}
		else{
		return 0;
		}
}

class userPackages
{
	public $userID;
	public $packageID;
	public $pkgStartDate;
	public $pkgEndDate;
	public $pkgAssigndDate;
	public $totalSMS;
	public $usedSMS;
	public $remainingSMS;
	
	function __construct($userID='',$packageID='',$pkgStartDate='',$pkgEndDate='',$pkgAssigndDate='',$totalSMS='',$usedSMS='',$remainingSMS='')
	{
		$this->userID 			= $userID;
		$this->packageID		= $packageID;
		$this->pkgStartDate 	= $pkgStartDate;
		$this->pkgEndDate		= $pkgEndDate;
		$this->pkgAssigndDate	= $pkgAssigndDate;
		$this->totalSMS			= $totalSMS;
		$this->usedSMS			= $usedSMS;
		$this->remainingSMS		= $remainingSMS;
	}
	
	function tblUserPkgAssigned()
	{
		global $wpdb;
		$sql = "SELECT package_id FROM user_package_assignment WHERE user_id='".$this->userID."'";
		$row = $wpdb->get_row($sql);
		return $row->package_id;
	}
	
	function tblPackages()
	{
		global $wpdb;
		$sql = "select * from packages where package_status=1";
		$res = $wpdb->get_results($sql);

		foreach($res as $row){
		$returnArray[] = $row;
		}


		return $returnArray;
	}
	
	function packageHisotry()
	{
		global $wpdb;
		$sql = "INSERT INTO user_package_history (user_id,package_id,package_start_date,package_end_date,package_assign_date,total_sms,used_sms,remaining_sms)
		VALUES ('".$this->userID."','".$this->packageID."','".$this->pkgStartDate."','".$this->pkgEndDate."','".$this->pkgAssigndDate."','".$this->totalSMS."','".$this->usedSMS."','".$this->remainingSMS."')";
		$wpdb->query($sql);
	}
	
	function updatePackage($pkgID,$pkgStartDate,$pkgEndDate)
	{
		global $wpdb;
		$sql = "UPDATE user_package_assignment set package_id='".$pkgID."',package_start_date='".$pkgStartDate."',package_end_date='".$pkgEndDate."'
		WHERE user_id='".$this->userID."'";
		$wpdb->query($sql);
	}
	function setRolloverSMS()
	{	
		global $wpdb;
		$sql = "select id from roll_over_sms where client_id='".$this->userID."'";
		$row = $wpdb->get_row($sql,ARRAY_A);
		if(count($row)>0)
		{

			$id = $row['id'];
			$sqlUpdate = "update into roll_over_sms set sms_count='".$this->remainingSMS."' where id='".$id."'";
		}
		else{
			$sqlUpdate= "insert into roll_over_sms (client_id, sms_count) values('".$this->userID."','".$this->remainingSMS."')";
			}

		$resUpdate = $wpdb->query($sqlUpdate);

		if($resUpdate) {
		return true;
		}
		else{
		return false;
		}
	}
}

function getTimeArray()
{
	$timeArray = array('00:00'=>'12:00 AM',
					   '00:15'=>'12:15 AM',
					   '00:30'=>'12:30 AM',
					   '00:45'=>'12:45 AM',
					   '01:00'=>'01:00 AM',
					   '01:15'=>'01:15 AM',
					   '01:30'=>'01:30 AM',
					   '01:45'=>'01:45 AM',
					   '02:00'=>'02:00 AM',
					   '02:15'=>'02:15 AM',
					   '02:30'=>'02:30 AM',
					   '02:45'=>'02:45 AM',
					   '03:00'=>'03:00 AM',
					   '03:15'=>'03:15 AM',
					   '03:30'=>'03:30 AM',
					   '03:45'=>'03:45 AM',
					   '04:00'=>'04:00 AM',
					   '05:00'=>'05:00 AM',
					   '05:15'=>'05:15 AM',
					   '05:30'=>'05:30 AM',
					   '05:45'=>'05:45 AM',
					   '06:00'=>'06:00 AM',
					   '06:15'=>'06:15 AM',
					   '06:30'=>'06:30 AM',
					   '06:45'=>'06:45 AM',
					   '07:00'=>'07:00 AM',
					   '07:15'=>'07:15 AM',
					   '07:30'=>'07:30 AM',
					   '07:45'=>'07:45 AM',
					   '08:00'=>'08:00 AM',
					   '08:15'=>'08:15 AM',
					   '08:30'=>'08:30 AM',
					   '08:45'=>'08:45 AM',
					   '09:00'=>'09:00 AM',
					   '09:15'=>'09:15 AM',
					   '09:30'=>'09:30 AM',
					   '09:45'=>'09:45 AM',
					   '10:00'=>'10:00 AM',
					   '10:15'=>'10:15 AM',
					   '10:30'=>'10:30 AM',
					   '10:45'=>'10:45 AM',
					   '11:00'=>'11:00 AM',
					   '11:15'=>'11:15 AM',
					   '11:30'=>'11:30 AM',
					   '11:45'=>'11:45 AM',
					   '12:00'=>'12:00 PM',
					   '12:15'=>'12:15 PM',
					   '12:30'=>'12:30 PM',
					   '12:45'=>'12:45 PM',
					   '13:00'=>'01:00 PM',
					   '13:15'=>'01:15 PM',
					   '13:30'=>'01:30 PM',
					   '13:45'=>'01:45 PM',
					   '14:00'=>'02:00 PM',
					   '14:15'=>'02:15 PM',
					   '14:30'=>'02:30 PM',
					   '14:45'=>'02:45 PM',
					   '15:00'=>'03:00 PM',
					   '15:15'=>'03:15 PM',
					   '15:30'=>'03:30 PM',
					   '15:45'=>'03:45 PM',
					   '16:00'=>'04:00 PM',
					   '16:15'=>'04:15 PM',
					   '16:30'=>'04:30 PM',
					   '16:45'=>'04:45 PM',
					   '17:00'=>'05:00 PM',
					   '17:15'=>'05:15 PM',
					   '17:30'=>'05:30 PM',
					   '17:45'=>'05:45 PM',
					   '18:00'=>'06:00 PM',
					   '18:15'=>'06:15 PM',
					   '18:30'=>'06:30 PM',
					   '18:45'=>'06:45 PM',
					   '19:00'=>'07:00 PM',
					   '19:15'=>'07:15 PM',
					   '19:30'=>'07:30 PM',
					   '19:45'=>'07:45 PM',
					   '20:00'=>'08:00 PM',
					   '20:15'=>'08:15 PM',
					   '20:30'=>'08:30 PM',
					   '20:45'=>'08:45 PM',
					   '21:00'=>'09:00 PM',
					   '21:15'=>'09:15 PM',
					   '21:30'=>'09:30 PM',
					   '21:45'=>'09:45 PM',
					   '22:00'=>'10:00 PM',
					   '22:15'=>'10:15 PM',
					   '22:30'=>'10:30 PM',
					   '22:45'=>'10:45 PM',
					   '23:00'=>'11:00 PM',
					   '23:15'=>'11:15 PM',
					   '23:30'=>'11:30 PM',
					   '23:45'=>'11:45 PM');

			
			return $timeArray;
}

class process
{
	public $userID;
	public $pkgID;
	public $first_name;
	public $last_name;
	public $package_title;
	public $free_days;
	public $package_price;
	public $pkgSMS;
	public $recurring;
	
	
	function __construct($userID='',$pkgID='')
	{
		global $wpdb;
		$this->userID 	= $userID;
		$this->pkgID 	= $pkgID;
		
		if($this->pkgID !=''){
		
		$sql = "SELECT * FROM packages WHERE id='".$this->pkgID."'";
	   
	    $row = $wpdb->get_row($sql);

	   	$user = process::getClientInfo();
		
		$this->first_name		= $user->first_name;
		$this->last_name		= $user->last_name;
	    $this->package_title	= $row->package_title;
	    $this->pkgID			= $row->id;
	    $this->free_days		= $row->free_package_days;
	    $this->package_price	= $row->package_price;
	   
	    }
	}
	
	public function getClientInfo()
	{

		$sql = "SELECT first_name,last_name FROM client_information WHERE id='".$this->userID."'";
		$row = $wpdb->get_row($sql);
		
		return $row;
	}
}
function getBDSearch($searchTerm)
{
	global $wpdb;
	$sql = "select company_name,phone_number from business_directory_data where major_division_discription like '%".$searchTerm."%' or sic_2_code_description like '%".$searchTerm."%' limit 7";
	$res = $wpdb->get_results($sql,ARRAY_A);
	if($res)
	{
	$returnVal='';
		if(count($res)>0)
		{
			foreach($res as $row)
			{
				$returnVal = $row['company_name'].'->'.$row['phone_number'].'\t';
			}
			return $returnVal;
		}
		else{
		return false;	
		}
	}
	else{
	return false;
	}
}




function addBuyNumber($FriendlyName,$PhoneNumber,$sms_url,$call_url,$created_user,$type)
{
	global $wpdb;
	$sqlf = "select id from client_phone_numbers where phone_number='".$PhoneNumber."'";
	$rowf = $wpdb->get_row($sqlf,ARRAY_A);
	if($rowf)
	{
		if(count($rowf)==0)
		{
			$sql = "INSERT INTO `client_phone_numbers` (
											`friendly_name`,
											`phone_number`,
											`sms_url`,
											`voice_url`,
											`created_user`,
											`type`
											)
											VALUES (
											'$FriendlyName',
											'$PhoneNumber',
											'$sms_url',
											'$call_url',
											'$created_user',
											'$type'
											)";
			$wpdb->query($sql);
		}
		else
		{
			
			$sql = "update `client_phone_numbers` set `created_user` ='".$created_user."', status=1 where id='".$rowf['id']."'";
			$wpdb->query($sql);

		}
	}
}
?>